Release of 124.3.1 (r11671 on 5-Apr-2025):
	CHG: option for pakset dump versus all other debug by appending 'p' to the debug level, e.g. "-debug 0p" to show only pak details to declutter server logs
	CHG: tram system type way can be laid over other tracks as well (like pak192 narrowgauge over normal rails)
	CHG: bridge builder is now only a two click tool (total renewal) Can again connect to complex ramps on elevated ways or cross rivers automatically
	FIX: Players gain money by building long stretches of expensive tunnels
	FIX: Pak files cannot represent cost of vehicles exceeding 2^32-1 Simu-cents
	FIX: Pak files cannot represent runningcost of vehicles exceeding 2^16-1 Simu-cents
	FIX: Pak files cannot represent fixed cost of vehicles exceeding 2^32-1 Simu-cents
	FIX: makro building with way order and stations extensions fixed
	FIX: Freelist allocated objects (tiles, ways, trees etc.) use 3x more memory than necessary
	FIX: Do not change underground mode when scrolling from the minimap
	ADD: Monthly maintenance for roadsigns and signals (maintenance=1234 in dat file)
	FIX: "Not a socket" error when server does not reply to initial connection attempt within 2 seconds on Windows
	FIX: Increased maximum possible cost, runningcost, and fixed cost of all pak objects (where applicable) to 2^63-1 Simu-cents to prevent overflows during pak creation
	FIX: Completely updated city renovation logic, now goes forward to multitile and back again
	FIX: bridge during town growth were built even if the inital test failed
	FIX: less moving townhalls and not builging townhalls over roads with asymmetric sizes
	CHG: with pause setting, server saves game after going to pause => immediately able to fulfill join requests and more current savegames on crashing servers
	ADD: CURRENCY is now translateable to a local currency (no conversions though) and can be also modified by the user
	FIX: make sure, the pak path and working path are really different


Release of 124.3 (r11590 on 10-Jan-2025):
	FIX: open schedule get applied during rw (reload, quit, change language), line window crashes
	CHG: no way foreground drawn inside stations and depots (and other buildings)
	FIX: loading of roadsings broken for player >=8 and old versions
	CHG: create lost players during game loading to recover more from broken savegames
	FIX: handle focussed objects in tab correctly (like comboboxes)
	ADD: (from simutrans OTPR) tool 44 for generating macro building scripts including terrafroming and station and extension buildings (rebuilding may fail of connection station tiles had been deleted or are outside of the marked area)
	CHG: squirrel script can now also include any file in the script program directory
	ADD: pipette tool (started by ceeac, extended to copy and check for more objects)
	FIX: convoi length bar not so long to need immediately a scrollbar
	ADD: manually increase tool icon size in display settings window
	FIX: keep current tile's climate on lower/raise if climate mode is humidity based
	ADD: error message if digging below water table
	ADD: scenario can now allow and forbid specific way tools (also sped up the forbid list processing)
	CHG: Making the road in front of the city hall one tile longer to each side, so city growth works with any set cityrules
	FIX: also connect bridges to tunnels in pak128 double slope situations
	FIX: Station rotation preview ignored active player (always showed player 0 colours)
	FIX: if a convoi served a station but did not load anything (maybe full), another convoi did not check this stations and could get stuck even with waiting for zero load
	ADD: allow cubic rule that overrideds any forbidden cubic rules and explicit clear rules calls
	FIX: screnario allow and forbid rules were handling wildcard badly. Also, ignore_wt should be used for ignore this parameter (no enforced in rule creation)
	ADD: clear rules of a single player
	FIX: Possible crash when deleting stops during connection recalculation on large maps
	ADD: scaling of icon size is now in percent to be independent from actual icon sizes (icon_scaling = 100)
	FIX: Failed to find city- or streetlists for paksets installed in non-default locations (e.g. simutrans/paksets/)
	FIX: Removal tool removes powerlines of other players
	FIX: Player colours of scripted AIs appear to revert to the default colours on reload
	FIX: Tree distribution setting reverts to random when trees are disabled during new world generation
	FIX: some tools were not added in all neccesary places
	CHG: hm_city_tl, hw_way_tl, hm_house_tl, hm_set_owner_tl accepts now also coord instead coord3d


Release of 124.2.2 (r11400 on 2-Sep-2024):
	ADD: Support for through depots (dims 2)
	FIX: proper building of parallel ways also for elevated ways
	FIX: no public chat after private
	FIX: halt are properly reconnected
	FIX: if convoi load in parralele without minimum load, the second convoi could leave empty
	FIX: again retire convois when empty
	FIX: obj_count() did not count ways and was a relict that may have caused rare strange errors in other places
	FIX: Longstanding bug with the size of scrollpanes with horizontal sliders
	FIX: company messages again, properly show messages in ticker, open chatframe for viewing on ticker click
	CHG: packing planqudrat_t reduces size by 2 byte (32 bit 12->10) or 6 byte (24->18) and accelerates sync_step by 10-20% (only on Intel on GnuC compatible compilers)
	FIX: rotation workin again


Release of 124.2.1 (r11365 on 25-July-2024):
	FIX: player_ranking transport type was not set_rigid => crash on all general comparison
	FIX: do not carry over old chat messages to new games
	CHG: when merging stops, keep the name of the bigger stop
	FIX: insticky bottom on drag to allow scrolling of chat
	FIX: too many null mouse moving events in SDL2 broke double clicks
	CHG: double click copies chat text
	FIX: wrong colors and double messges for private chat messages
	FIX: was not iterating over all stops correctly => wrong passengers spawned


Release of 124.2 (r11351 on 20-July-2024):
	FIX: BASE_DIR/config/simuconf.tab was not read when "-singleuser" was used
	FIX: right button scrolling on minimap was broken
	ADD: new option leftdrag_in_minimap in simuconf.tab to allow dragging in minimap with left mouse button (now default)
	FIX: reenable dragging of stations
	FIX: Cargo not always loading onto vehicles in large games
	CHG: Reconnect to network games unless kicked out with desync
	CHG: Allow again building roads through other people halts but do not take road ownership afterwards
	FIX: Always have topped or new windows on the screen
	FIX: Saving discarded the newest messages
	FIX: number of players online in chat window now correct (and also showing offline state)
	ADD: prefer to build parallel ways, if starting next to an existing way
	FIX: overflow in bits in private way sign could allow/deny unexpectant players
	FIX: loading pak from savegame again (so only savegame needed on commandline)
	CHG: Activate input field if chat is active or after sending message
	ADD: restore open windows when rejoining a network game
	ADD: restore pakset symbols after changing the gui skin
	CHG: don't save default player colours with the settings/game, use pakset simuconf.tab only
	CHG: if only_single_info=0 now tiling the info windows. If there is a convoi or halt, not way or other info will be shown (default for Android)
	CHG: Try to resize windows if they do not fit on screen
	CHG: Continue game on banner will really continue a game and not destroy the current one by loading an older version
	CHG: Better support for narrow but high (portrait) screens
	CHG: A new game always uses the settigns from the simuconf.tab. Use the buttons in the extended settings to load other values
	ADD: new simple tool 42 for toggle day night view
	CHG: line list, load dialoges and online game windows shrunk in width
	ADD: left moving minimap insted of dragging location to have easier use with touch devices


Release of 124.1 (r11272 on 3-June-2024):
	FIX: Cannot build ship depots on dead-end canal or river tiles
	CHG: Freetype library is now a required dependency for non-server builds (previously it was optional)
	FIX: Possible crash for systems with more than 12 logical cores
	FIX: In-game pakset installer does not download paksets, caused by incorrect handling of HTTP response
	FIX: Required data directories not created on first installation on Windows
	FIX: passenger AI crashed the game
	FIX: renaming town crashed, and renaming factories was almost impossible, renaming convoys still required enter
	FIX: New world tool had wrong tooltip and hide building was never in selected state
	ADD: (ranran) new chat window (dialog tool 36) and chat message system using direct and company chat options as well
	CHG/FIX: Updating the line schedule of a convoi bound to this line will overwrite any pending changes from that schedule if open in the schedule window
	FIX: dimensions of info windows more approprioate again
	ADD: (ranran) player ranking frame as dialog tool 37
	ADD: help files will be also searched in pak set text directories


Release of 124.0 (r11164 on 5-May-2024):
	ADD: map view can be changed with any general tool by dragging the pointer above a threshold
	FIX: Cannot load PPM heightmaps
	ADD: new tool (and button in signal dialog) for removing signals only
	CHG: only load goods for a destination into a single convoi. This avoids loading in parallel of slow loading convois
	CHG: More search paths for paks, new parameters -set_base_dir, -set_pak_dir, -set_user_dir
	CHG: Simutrans tries for base files also in the current path without any parameter (also in program location)
	ADD: single toolbar mode: Enabled only one top-centered toolbar
	CHG: Mouse clicks etc. are now processed every frame (but maybe executed later) to avoid the lagging UI at large zoom out or with weak devices
	ADD: tooltip warning when trying to cross way without suitable crossing or curves on runways
	ADD: Pak files are now additionally searched for in up to 4 subdirectory levels within a pakset
	ADD: theme parameter gui_color_image_transparency to set transparency color for icons (Yona-TYT)
	CHG: messages, speed records, ticker use 3d coordinates
	CHG: a go-to-coordinate action will change to underground/normal view if the target is invisible
	FIX: Crash when using 'makeobj list <file>' in some cases
	FIX: Crash when using 'makeobj dump <file>' in some cases
	ADD: Signals can be replaced by overbuilding them using left-click
	FIX: Wrong brightness of colours in screenshots
	FIX: Graphical glitches related to translucent player colours
	FIX: Makeobj ignored switch images for tracks with no seasons (e.g. image[new2]=...)
	FIX: massive swallowing of touch event to keep the game responsive despite SDL2's denial of service flooding
	FIX: airplane convois do no longer crash the game (but are not working perfect yet ...)
	FIX: graphical glitches when road convois change direction in some cases and on overtaking with drive on left
	FIX: (THLeaderH) crossings upgrade when ways are upgraded
	CHG: state of switches (images) save during reloading
	ADD: new parameter in simuconf.tab "cityroad_speeds" for a timeline (year,new_speed) of speed limits of way with pavement
	ADD: rotate house tool will also switch railroad switches (eyecandy only)
	FIX: height map conversion version is ignored if it is selected after height map in the height map selection dialogue
	FIX: Withdraw All button in line window did not indicate withdraw status correctly in some cases
	FIX: Game lags when paused, especially on big maps
	FIX: Could connect elevated way to side of sloped elevated way
	FIX: more respone event handling at low frames per second
	FIX: consequently in lists left click->window richt click/Control+left click -> goto position
	ADD: obj_xxx_details in translation will display some more details on an obj, especially vehciles
	CHG: editing names or filter will become immediately active
	CHG: Windows installer no longer requiring admin rights
	ADD: Antialiased fonts and using TTF fonts of the system by default


Release of 123.0.1 (r10421 on 29-Jan-2022):
	ADD: button to remove double entries in schedules
	FIX: up/down arrows in schedule broken
	FIX: Simulation speeds up uncontrollably in some cases if New World dialogue is open
	CHG: lang files are loaded if their name is *XX.tab or XX*.tab. The first is preferred to avoid confusion by name like ja-taken.tab
	ADD: selected convoi in minimap now magenta. Also network display properly updated when activating or closing windows
	ADD: Option to adjust screen scaling manually (either via display settings or '-screen_scale' command line option)
	ADD: All resizeable windows will have a minimize button in the title
	ADD: Illegal schedule entries are highlited and a button to clear them up will appear.
	ADD: Infinite mouse scrolling can be activated manually in the display settings; but it will fail with certain touch devices
	CHG: new versions of pak48.excentrique, pak64.german, pak128, pak128.German


Release of 123.0 (r10317 on 30-Dec-2021):
	KNOWN BUG: ugly movement of pedestrians on diagonals/curves
	FIX: map enlargement crashes with new climate generator
	FIX: Wrong tooltip when building something with the finance window opened
	CHG: Sound now plays on GDI via Xaudio2 for individual volume control
	ADD: map only moves when numlock off, new tool to move to map view (simple_tool[36]=,keybinding,-1|0)
	ADD: new option in simuconf.tab "numpad_always_moves_map" regardsless of numlock state
	FIX: Wrong loading of 24 bit BMP heightmaps
	FIX: Wrong loading of 8 bit greyscale BMP heightmaps if width is not divisible by 4
	ADD: New height conversion modes when loading heightmaps
	CHG: schedule/line now tab of convoi window instead independent window
	CHG: new line list, overhauled convoi list
	CHG: rivers now go to the sea and pass through lakes. A tiny stream becomes navigatable after a lake or merging with another stream
	FIX: MessageOptions can be three single images (id=0,1,2) instead of one large image
	FIX: Potential hang when loading zstd compressed save files when multi-threading is enabled
	CHG: crossing speed is now the max speed. No crossing, if one speed higher than maxspeed
	ADD: construction cost tooltip also for normal tunnel construction (clicking on slopes)
	FIX: Graphical glitches when resizing SDL2 window with -autodpi
	ADD: special key "SCORLLOCK", "DELETE", ESCAPE", BACKSAPCE" and "+" sign for shift as modifer in tools key binding
	ADD: waiting time in schedules is now entered in days hours minutes (but old games will still have the old steps)
	ADD: (Leartin) groundobj editor and totally overhauled edit windows
	FIX: Fatal error when querying servers running very old versions
	FIX: tunnel can now also connect to sidewards tunnel (as originally intended by the code)
	ADD: target tile for jumping to a position (via pos button, window icon or jump dialog) will be marked with the current cursor
	FIX: Crash when height difference between climate border and groundwater is >127
	FIX: Crash on reload after lowering canal with a ship on a nearby tile
	FIX: Crash when liquidating company owning a non-empty underground depot
	FIX: Crash when liquidating company owning a house
	CHG: gradual unloading and loading if loading_time of a vehicle > 2000
	CHG: schedule with load level zero and waiting time will force daparture at eaxactly this time
	ADD: chat window transparency in network mode now controlled by theme: gui_color_chat_window_network_transparency and gui_chat_window_network_transparency
	CHG: search dialoges now consistent design, text search, preserved during saveload
	ADD: menubar can be now top bottom left or right
	ADD: reselect a tool will close it (new default, set by reselect_closes_tool in menuconf.tab)
	FIX: Grid height not restored when removing building on a raised tile
	CHG: maintenance of powerline tunnel/underground transformer maintenance is now maintenance of powerline + that of tunnel
	ADD: reservation overlay now also shows single way directions and signal states (inspired from ranran)
	CHG: absolute departure time can be also more than once per month (repeats the time in equal intervals)
	FIX: Public player cannot make halts of other players public
	CHG: Smaller file sizes (~20% for forested maps) for single player saves
	CHG: Simutrans now allows more than one file per languange. The file must just ending in XX.tab, where XX is the language code
	ADD: Command line option '-scenario' starts requested scenario if available
	FIX: Trains brake two tiles too late when entering a terminal station via a long block signal
	CHG: window rollup also with double click
	CHG: stop_halt_as_scheduled=1 in simuconf.tab will stop trains at the desginated tile instead going to the end of the platform


Release of 122.0 (r9274 on 10-Oct-2020):
	FIX: Rotation of multi-tile buildings at street corners
	ADD: different volumes for different sounds, realistic distance scaling (independent from screen size)
	CHG: Fade sounds with one over square root distance, and remove the dependency from display and tile size
	ADD: Depot list as dialog tool 32
	FIX: city more strongly attempt to build double height bridges over navigable rivers
	ADD: Vehicle list as dialog tool 33 (to see also upcoming vehicles)
	ADD: goods waiting bar with now configurable: gui_waitingbar_width
	ADD: button to copy the last 20 messages to the clipboard
	CHG: factory smoke location now depended on factory. Four parameters smoketile[], smokeoffset[] (koord), and smokeuplift (16) and smokelifetime (2499)
	FIX: several list stored wrong coordinates after map rotation
	FIX: Too new pak file version check now enforced for all objects
	FIX: airplane should stuck much less upon runway rebuilds
	CHG: block reserver tool will also start a route search of any convoi on its tile (no matter the owner!)
	ADD: timeline switches off after 2999 to prevent retiring of everything
	ADD: new parameter for buildings "preservation_year" and "preservation_month" after that the building is excluded from renovation during town growth
	ADD: if shift is pressed during road building then city roads or faster ways will not be overbuilt
	ADD: more folders searched for fonts on non-windows systems
	FIX: broken connection could kill (especially server) games on Linux
	ADD: customisable loading bar colors with gui_color_loadingbar_inner and gui_color_loadingbar_progress
	CHG: record messages and some status messages are now not saved, while stuck and full stations expire after a month on server chat to keep overview
	ADD: new button in minimap to hide contour for higher contrast of other stuff
	CHG: Option to show convoi name and line name as overlay
	ADD: (inspired by Ranran) Option in city, curiosity, and factory lists to show only towns/factories already served by a player
	ADD: two more theme colors: gui_color_obsolete, gui_color_empty for lines and server
	ADD: (Yona-TNT) configurable offsets for player colors for gui elements
	ADD: convois (in convoi list and schedule) also show their next stop with a posbutton to jump there
	ADD: caseless matching in depots, lines, halt and convoi list dialogs even with umlaute
	CHG: fixed vehicle costs are now booked as running costs at the begin of a month, also convoi details changed to accomodate
	CHG: a server will pause without clients if '-pause' is set on the command line
	ADD: freight type filter on line window
	CHG: speedup of map generation by reorganising and multithreading lake code
	ADD: defining overlapping climate height limits will generate maps with climate patches at these heights
	FIX: (extremly old bug) after removing a house on a slope the world height grid was not restored
	FIX: factory extension during city growth could no cope with more than one supplier for two goods
	ADD: scripted tools (initial patch by THLeaderH)
	ADD: Humidity based climates (originally from kireon green) Attention, winter snowline set temperature at sea level, so important!
	ADD: (FrankP) happy signs for system fonts
	ADD: (ranran) new GUI element routebar
	FIX: space.w added in container not space.h for vertical distance
	CHG: On consequeutive traffic lights, only the first is obeyed to allow turns on four traffic lights crossings


Release of 121.0 (r8870 on 1-Dec-2019):
	ADD: Map number is shown in the enlarge map window.
	FIX: Text area GUI components no longer suffer from line wrap around when displaying an extreme number of lines.
	FIX: Stop information window waiting list in "via (amount)" order will no longer count incorrectly when more than 8,388,607 units are headed to a single destination.
	FIX: SDL2 build running on Windows 10 in fullscreen mode now minimizes and maximizes responsively.
	CHG: gui overhaul: automatic placement and size calculation of elements
	ADD: use animated water graphics on shores
	FIX: Do not call DefWindowsProc for IME to mitigate crash on Windows1809
	ADD: always use temporary save name *.sv_ during saving before deleting main file
	CHG: Make double pak warning translatable
	FIX: (ACarlotti) rotation of traffic light phases and overflow was broken for years
	FIX: fields now check for allowed climate, not same height
	ADD: (HyperSim inspired) new tool for merging distance stations (and lot of code cleanup of old merging tool)
	ADD: constrait[prev][0]=any require a vehile in front (and same for [next] to require a trailing vehicle)
	CHG: The acceleration tool now also alters the acceleration in fast forward mode
	ADD: Up to 3x3 size city buildings, all with up to 8 rotations (attention: New paks using this feature will crash old versions!)
	FIX: Prevent a crash when the schedule window is open with waypoints on bridges that were destroyed or had planning canceled.
	FIX: Goods List speed field will now allow selecting speeds appropiate for very fast vehicles.
	CHG: Revise Goods List for better clarity and usability.
	FIX: Construction of priority and longblock signals
	CHG: Start with random midi song
	ADD: Timeline for pedestrians
	FIX: IP4 address query for easyserver (to detect IP4 changes sometimes occuring for ADSL connections)
	ADD: new simuconf.tab parameter follow_convoi_underground to slice through grounds to follow a convoi in sliced mode oder full underground mode
	ADD: search for midi files first in pak folder, then user folder, then program folder
	ADD: GUI for pakset install script


Release of 120.4.1 (r8600 on 23-Sep-2018):
	FIX: wrong graphics with greedy block signals
	FIX: world minimum height could not be set
	FIX: location forest could not work with factories smaller than 3x3, since not enough inner tiles were iterated


Release of 120.4 (r8588 on 17-Sep-2018):
	FIX: properly handle dualstack servers by using both IPv4 and IP6 addresses (if no symbolic name is available)
	ADD: (HyperSim) sorting vehicles in depot
	ADD: system clipboard support now also with SDL2
	FIX: underground slice view now correctly displays front tile walls when a tile infront is flat and 2 elevations below the underground slice
	OPT: significantly improved the performance of changing underground mode/slice when playing on very large maps
	ADD: More factory locations (shore, river, forest) to the existing city, water, land
	ADD: (THLeaderH) option to hide the revenue income messaging at stops
	ADD: (THLeaderH) configurable height setting for extremely heigh maps (use at own risk)
	ADD: (gauthier) "priority" signals (greedy multi block signals)
	FIX: different obj (ways, bridges, tunnels, ... ) with same name failed for checksum comparision


Release of 120.3 (r8503 on 15-June-2018):
	ADD: new blue-white theme
	ADD: new general tool 40 which rotates buildings
	ADD: scenario_info now dialog tool nummer 31
	ADD: Support Truetype fonts on windows up to 19 pts. For MAC and Linux support there is a way needed to find the font path.
	ADD: Server can be now started at the UI when loading a game.
	ADD: switch -easyserver on commandline to host a game with dynamic IP behind a router
	FIX: crash when resizing isometric minimap
	FIX: problems with scrolled lists
	ADD: (Ichou) force replacement of wayobj by holding ctrl key while building
	ADD: (THLeader) long convoi patch
	FIX: removed line management window memory leaks
	ADD: animated pedestrians, parameters:
		steps_per_frame (internal steps per frame, straight movement across tile is 256 steps)
		image[dir][a] (dir - direction, a - animation counter, a=0,1,..)
	CHG: pedestrian movement, new dat parameter:
		offset (of pedestrian image relative to right tile boundary, 0..255, default 20, 0 = on the right edge of tile, 128 = on center line of tile
	FIX: corrected container UI component focus logic (fixes http://forum.simutrans.com/index.php?topic=17277 )
	FIX: added redraw logic for field removal (fixes http://forum.simutrans.com/index.php?topic=17308 )
	FIX: added Unicode file path support for Windows builds
	FIX: removed Windows builds file search resource leak
	FIX: improved Windows build clipboard Unicode parsing
	ADD: sorting in depot (HyperSim)
	FIX: factories which gain or lose fields should no longer have a chance to break with JIT2 (fixes https://forum.simutrans.com/index.php?topic=17394 )
	ADD: sync step barrier for multiplayer clients to prevent them running ahead of the server in the case of an unreliable connection
	CHG: various multiplayer related settings have been given more reliable default values
	FIX: fullscreen Windows GDI no longer alters display area when alt+tab cycled
	ADD: JIT2 demand based production rate scaling
	CHG: changed factory information view to be easier to understand, especially when operating with JIT2
	CHG: speed can be directly selected in goods dialogue
	FIX: consistent and wider climate borders, also other waterlevels than -2 when loading a relief map


Release of 120.2.2: (r8163 on 31-3-2017):
	ADD: Name filter in depot window
	FIX: Combo boxes now work much more reliable
	ADD: Shift+waybuilder on elevated ways selects the tile under the way (for upgrades)
	FIX: Crash when extending convoy length
	ADD: All configurable colors now rgb internally

Release of 120.2.1: (r8121 on 26-Feb-2017):
	FIX: SDL2 with non-ASCII input
	FIX: crashes with SDL2 when resizing
	FIX: allow docks only next to water
	CHG: use almost no assembler any more, the compiler can do better than us

Release of 120.2: (r8077 on 12-Feb-2016):
	FIX: sorting according to displayed name in house/cur/industry building lists
	ADD: scriptable AI players (folder AI which contains sqai now with distribution)
	ADD: (jk271) switch to load heightmaps with more height levels
	FIX: reload themes after restart
	FIX: demo.sve were never loaded, since the auto-load assumed existence even if there was none
	ADD/FIX: slopes for groundobj now working again. If there are groundobjs with climate water, then these will be used occasionally at the coastline
	ADD: ground name=shore with Image[slope][0,1=snow, if there] for display at shoreline
	FIX: smoke tile when rotated factory views
	ADD: length of max tiles checker after choose sign/signal configurable (max_choose_route_steps)
	CHG: update to squirrel 3.1
	CHG: monthly fixed costs for vehicles now uint32 (needs makeobj 55.4)
	ADD: basic nearest pixel DPI awareness to prevent UI from being too small on high density displays
	FIX: no longer assert when duplicate tiles exists in convoy path list, instead it gets logged (please report log if it occurs)
	FIX: corrected hitbox and resize logic of scrolled list GUI element, which prevents crashes caused by invalid selection
	CHG: building cities, plant trees, make public, headquarters and artificial slope tools check for sufficient funds
	CHG: planting trees is no longer possible by companies when no_trees configuration is set
	CHG: make public tool now works on incline and tunnel entrance ways
	CHG: make public tool now treats way objects separately from ways
	ADD: make public tool can be dragged to rapidly make multiple objects public
	ADD: make public tool cost can be configured
	ADD: make public tool can be configured to not work on ways or way objects for companies
	CHG: notifications about ways being made public in multiplayer games are produced less frequently
	CHG: retained ways from liquidated companies are transferred to the public service player
	ADD: on multiplayer servers any client capable of using the public service player can bypass password checks for all companies
	FIX: network core correctly enumerates local bind addresses instead of repeatedly trying to bind to the first local address
	ADD: support service names for ports in network URNs
	CHG: cities can now build on tiles with bridge pillars, matching the logic that pillared bridges can be placed over city buildings
	FIX: incorrect scaling of electricity revenue with respect to month length
	FIX: electricity related information now accurately reflects the last tick of the network
	FIX: electricity networks are no longer prone to arithmetic overflow which could result in incorrect graphics or income
	FIX: electricity networks no longer skip a power tick or lose revenue accumulators during a save/load cycle
	CHG: simplified transformer information UI removing redundant or meaningless values
	CHG: factory power is solved in 1 tick instead of 2
	CHG: various improvements to JIT2 to improve factory and electricity network stability
	CHG: factories which produce power log the amount of power production consumed instead of the amount of power produced
	CHG: factories which consume power log the amount consumed as negative
	FIX: F12 no longer brings up the ingame help window in the Steam version of Simutrans

Release of 120.1.3: (r7753 on 2-Feb-2016):
	FIX: road vehicles search for new route when arriving at intersection and old route is invalid
	ADD: depot vehicle filter now uses selected good for weight/speed calculations when possible for multi-good carrying vehicles
	CHG:(Vladki) private road signs in the middle of a slope
	FIX: trains reserve blocks at positions of now removed signals, prevents step-by-step reserving coupled with ignoring red signal if signal is removed in front of a waiting train
	FIX: route search to next depot has to be done synchronous on all clients
	ADD: ctrl-click on flat-dock icon to choose orientation

Release of 120.1.2: (r7720 on 7-Jan-2016):
	ADD: configurable compass for minimap, rotation tool, and main screen
	ADD: tool for last used tools
	FIX: improve bridge building
	FIX: (Ters) Map scrolling speed on Windows with high DPI displays
	FIX: (DrSuperGood) general JIT2 fixes
	CHG: better multiplayer client timing
	FIX: uninitialized variables leading to online desyncs

Release of 120.1.1: (r7640 on 4-Nov-2015):
	FIX: corrected bookkeeping of stops and passengers, including walked ones which could lead to crashes


Release of 120.1: (r7634 on 31-Oct-2015):
	FIX: sliced underground mode now ranges from lowest existing to highest existing ground
	FIX: several issues with bridge building and deletion at two vertical cliffs
	ADD: new industrial demand model just_in_time=2, which models factory ordering stuff
	ADD: new tool for trimming lines (linetool, parameter trim, line_id_id egal, linetype (integer), target percentage (integer): will delete lines until target met or less than four convois left on line
	ADD: configurable offsets for signs/signals (use offset_left = 0, for not moving, default 14)


Release of 120.0.1: (r7373 on 15-Nov-2014):
	FIX: waypoints on runways to force certain runways for planes work finally (hopefully)
	FIX: some bridge starting on flat tile going done were not correct
	FIX: Unicode input under Windows 8
	FIX: lot of issues with new landscape code


Release of 120.0: (r7175 on 28-Apr-2014):
	CHG: zoom with mouse wheel zooms to the cursor position, not to the center of screen as it used to
	CHG: system events management rearranged, simutrans should more responsive to user events, specially on low framerates
	ADD: second_open_closes_win =1 in simuconf.tab will close open window instead top them on second call/click
	ADD: remember_window_positions=1 (default) will remember last window positions
	FIX: (S_N_C) net wealth was not consistent after buying vehicles
	ADD: (kierongreen) double heights (slopes), different water levels per tile, and per tile climates
	FIX: long block signals direct in front of stations gave deadlocks
	ADD: fixed maintenance for vehicles is now booked
	ADD: (jk271) way toll statistics now
	ADD: (neroden/kierongreen) stacked stations with different owners are now possible
	ADD: loading gui themes (designs) on runtime
	ADD: faster creating of hill
	ADD: matching pak is loaded automatically when no -objects is given with -load on commandline
	ADD: dragging map also with left mousebutton when the query tool is selected
	ADD: display also fixed cost in convoi details and depot (if set)
	ADD: enforce loading time (time will be long of all vehicles, default 1s)
	ADD: makeobj can now warn about unused entries (makeobj verbose pak... or makeobj debug pak...)
	CHG: Stretchable themes now in trunk
	CHG: use faster route search for ships (jump-point search)
	CHG: max in_transit now depends on the sum of all connected factories output storage times the in_transit percentage
	ADD: goods in transit are now recalculated whenever a game is reloaded
	CHG: overcrowded message no longer for factories supplied by producer but only interchanges
	CHG: Waypoints act no longer as signals
	ADD: server_motd_filename for file with a greeting message in online games
	ADD: more option to select network overlay in minimap


Release of 112.3: (r6520 on 17-May-2013):
	CHG: Removed the restriction of having border heights at water level. Forces a savegame version step, new maps can't be properly shown in previous versions.
	CHG: Raise and Lower tools interact with the grid now, not with tiles.
	ADD: (jk271/Dwachs) finance history distinguishes transport type
	CHG: Added a new setting to simuconf.tab, background_color. Allows to change the color of the background.
	ADD: Departure and arrival times can be shown in the halt dialogue
	CHG: Updates to the in-game pointer mechanics, updates its position after using a tool, and hides when the pointer is outside the world.
	ADD: (neroden) clustering of houses, set "cluster_factor" in cityrules.tab to about 10 times the typical distribution weight
	ADD: Displaying the natural slope at the map border if requested (default on)


Release of 112.2: (r6390 on 17-Mar-2013):
	ADD: maximum radius of factories of a chain configurable
	CHG: use more colors to show height levels in minimap
	CHG: loading screen reworked graphically and in functionality. Lowers the chance the OS will identify Simutrans as "not responding" when loading large files/paks.
	CHG: lots of extensions of scenarios


Release of 112.1: (r6212 on 23-Dec-2012):
	ADD: transparent chat window in networkmode
	FIX: underground stations in networkmode
	ADD: (Markohs) Scenario and heightmap dialogs now support multi-directory
	ADD: (Markohs) File dialogs deletes now use the trash bin (by default) instead of a permanent delete in Windows platform. SHIFT overrides.
	FIX: waiting level in schedule dialog works with keys again
	FIX: convoi list filtering again in working order
	ADD: hide by default return ticket for rail based transport (enable by simuconf.tab)
	ADD: possibility to limit the amount of goods in transit (see simuconf.tab)
	ADD: city attractions and town halls can be defined to be build for more than 65535 citizens
	FIX: you will need a dock to connect to an oil rig => no islands or tunnel can be used any more => ships only load at docks
	ADD: display which factories supplied/received goods last month
	ADD: player without operations can be deleted after x month
	ADD: player without new building/replacing activities can lose password protection
	ADD: logging of ip/nickname of company creators
	ADD: nettool commands to lock, unlock, remove a company
	ADD: (Timothy) support for syslog (compile flag -DSYSLOG, command-line option -syslog)
	ADD: Restore city window on joining
	ADD: Restore chat window on joining
	ADD: Restore factory window on joining
	FIX: correctly remove stale freight from convois when stops are joined or tiles are deleted
	FIX: less desyncs when renaming, better processing server queue


Release of 112.0: (r6000 on 22-Oct-2012):
	ADD: (wackdone) screenshots of topmost dialogue window only by CNTRL+screenshot tool click
	ADD: (wackdone) -pause on command line pauses the loaded game
	FIX: downgrading of stops using CONTRL works again
	ADD: scripted scenarios
	ADD: river algorithm faster and river number automatically scaled with map size
	CHG: proper support for non-rectangularly shaped factories, no dummy (0,0)-tiles
	ADD: support for non-rectangular shaped station extensions, attractions, monuments
	CHG: Allow to connect to channels built by anyone
	CHG: fields can now spawned in larger number than the initial min value
	CHG: number of factories in new world dialog is now indeed the total number of factories (too many newbie mistakes here)
	ADD: force a minimum distance between city attractions
	CHG: Bankruptcy check before subtracting maintenance
	ADD: Drag stops
	CHG: reduced memory consumption when compiled with COLOUR_DEPTH=0, no copies of object images kept in memory
	ADD: ctrl-click with link-factory tool actually removes links between factories
	ADD: station buildings can be restricted to above/under ground (parameter allow_underground, =0 only above, =1 only under, =2 both/default)
	CHG: rework scenario directory structure: scenario my_scen is in my_scen/, script file is my_scen/scenario.nut


Release of 111.3.1 (r5843 on 31-Jul-2012):
	ADD: weight in dat fields are in tons but kg can be given as 1.350
	CHG: goto / follow convoi functionality via window gadget
	CHG: no bridges over runways / taxiways
	ADD: check whether format specifiers of translated strings match those of the master string, start with -debug 2 to get error messages
	ADD: customize icon of toolbar separator (taken from menu.BarTools or extra menu object)
	FIX: crash when changing to other programs while in fullscreen with GDI version


Release of 111.3 (r5772 on 10-Jun-2012):
	FIX: race condition with multithreads on GDI
	CHG: savegames will be saved as "_temp.sve" and only renamed after after success to the final name
	ADD: screen redraw will be now up to 50% faster when needed thanks to multi-threading
	ADD: hashtables for animations and smoke => much faster adding/removing
	ADD: (from yorkeiser/prissi) line display in minimap (toggle with show schedule together with pax, mail, freight button) CONTRL will use player colors
	CNG: Order and function of many minimap buttons rearranged
	ADD: enable dragging of lower & raise tools in network mode
	ADD: enable dragging of bridge, tunnel, elevated way tools in network mode
	ADD: zoomlevel in minimap from -16 to 16
	ADD: Start paksetdownloader, when started without paksets
	FIX: (z9999+) Corrected speedbonus base factor calculations
	FIX: (z9999+) Nickname in chat also send to server for reloads
	FIX: (installer/pakset updater) better finding out if portable installation is needed
	ADD: change of waiting at stops option in minimap
	CHG: Withdraw all will not disassemble convois in depots for easier upgrading
	FIX: route search for runways with oneway signs was broken
	FIX: main menu was not updated when new modes of transport became available
	ADD: (kierongreen) powerline tunnels: allow_undergroud_transformers=1 (default) will allow transformers below ground
	FIX: deleting tunnel ground was booked twice
	FIX: deleting tunnel ground charged for way on tunnel, which is not charged when building
	CHG: Only founding a city when account is positive
	CHG: powerlines will connect in directions a powerline can be build on a tile
	ADD: threaded (but with graphic errors) tile redraw will by used automatically when fps too low
	FIX: AI used wrong factories for building chains and build too long routes


Release of 111.2.2 (r5583 on 20-Mar-2012):
	CHG: Simutrans help will now always display left the help index and right the actual help => easier navigation and only one window always
	ADD: nickname for players, enable chat for observers, add messages when players join / change nick / leave
	FIX: deletion of stops on bridgehead with trams
	FIX: extended setting of bool was broken
	FIX: track reservation now saved with game (less deadlocks on load)


Release of 111.2.1 (r5434 on 28-Feb-2012): (111.2 had a severe bug with zipped games)
	ADD: more info on bare ground
	ADD: show ownership in minimap
	ADD: bonus_basefactor = 125 incorporated, determines minimum income for slow vehicles in case of speedbonus
	ADD: hint text in empty schedules
	ADD: highlight (land)tiles, which are part of a schedule
	ADD: F1 open dialog help in all dialogs with a help
	ADD: only show line names which contains a pattern (optional) and other tuning of dialogues
	ADD: server-side authentication of players
	ADD: city, industry and attraction numbers scale with map size
	ADD: front images for ways
	ADD: goto-button to chat messages, coordinate taken from @x,y or (x,y)
	CHG: overhauled color choose dialog with ideas from Hajo
	FIX: lots of double free errors (mostly in network code)
	FIX: No new buying obsolete stuff, just allow appending


Release of 111.1 (r5115 on 23-Jan-2012):
	FIX: owner of way gates were accidentally rotated
	ADD: speedbonus speed limited by way speedlimits and achievable convoi max speed
	ADD: record also walked pax
	FIX: CJK description of houses correctly breaking
	ADD: configure modes of transport for AIs
	FIX: better tree offsets on tiles, should give less errors with trees on roads, in water etc
	ADD: read (when with addon loading) also ~/Simutrans/pakxyz/config.simuconf.tab
	ADD: (falconne) hide only objects around cursor
	ADD: (falconne) hide factories and goods currently not on the map
	FIX: several bugs with airplanes and reservation
	ADD: cities build bridges over rivers
	FIX: clip buildings to not shine through bridges
	ADD: (falconne) filter vehicles in depots according to their freight
	FIX: pedestrians on crossings were considered cars after leading
	FIX: endless loop when fast forward and zooming out too much
	CHG: using old display routines for zoom out to speed up display
	CHG: cities will now grow gradually in time and size during creation, starting with 32 citizens in the first townhall year
	CHG: minimap now really isometric
	ADD: allow elevated ways over water with depth = 1
	FIX: load savegames even if factory pak is missing
	CHG: pak addons now in folder addons, to have same structure in portable and normal installation
	ADD: warn about missing pak files after loading a game
	ADD: logging of speedbonus speed in line window


Release of 111.0 (r4911 on 1-Nov-2011):

	ADD: factory charts
	ADD: storage capacities scale with base production for factories which do not support fields
	ADD: factory-going passengers/mail are handled separately
	ADD: new boost mechanism at factories for passenger, mail and electricity
	ADD: new factory expansion settings for factories without fields
	ADD: command-line tool NETTOOL to administer server
	ADD: start as many trains as you like in a depot without waiting
	CHG: when building artificial slopes on water, create underwater hill first
	ADD: cache information about savegames in save/_cached.xml to speed up savegame dialog
	FIX: presignal on last route index and crossing on last route index could stuck trains
	ADD: (neroden) display tiles/month equivalent for km/h in goods-list window
	ADD: way builder can use basic terraforming
	CHG: gui does not lose focus when new messages appear
	ADD: AI players use way builder with terraforming
	CHG: passengers and mail now prefer nearer attractions and cities as destinations, with attraction changing over the years
	CHG: enable building under flying aircrafts
	CHG: renovated factory dialog to include statistics and other indicators; preparation for factory renaming
	FIX: convoi reservation for street convois longer than one tile is now fixed
	CHG: road vehicles less likely to block intersections or drive through each other when turning
	ADD: traffic light phasing adjustment
	ADD: break (pause) button now internally handled as ASCII 16 (^P)
	ADD: coordinate display and goto button for almost any non-moving thing on the map
	ADD: loading convois will be overtaken
	ADD: new file streetlist_xx.txt will be used for stop names for cities. With one parameter the halt type will be used, with two the city name and the halt type
	ADD: configurable way toll for using other players way (see simuconf.tab)
	ADD: renaming of factories
	ADD: private way sign now blocking for specific players
	CHG: (Timothy) new serverlist without any registration needed
	ADD: new tool to show block reservations
	ADD: new tool to show owner of ways and all other objects


Release of 110.0.1 (r4359 on 12-Mar-2011):

	ADD: try to build crossing that match maxspeed of the ways to be crossed
	ADD: sheep will not walk in cities anymore
	CHANGE: much smaller savegames in online mode with trees
	FIX: broken townhalls when the land was flattened before
	FIX: AI better cleans up when building of shipping lines fails
	FIX: line IDs are now tied to line handles => no double line ID any more
	FIX: crashes with window resizing under SDL
	FIX: convoys stuck after modifying schedule of line
	ADD: pak set specific pre-defined player colors and random player colors
	FIX: world enlargement
	FIX: loading lines with ID zero again


Release of 110.0 (r4303 on 14-Feb-2011):

	CHANGE: default savegame now bzip2 (games 33% smaller)
	ADD: Odometer and distance per month available for convoys/lines
	ADD: (gerw) built tunnel without ways
	FIX: no longer possible for negative prices (cheat bus)
	ADD: (Dwachs) starting money per year
	ADD: lines will be listed numerically correct, if the contain a number
	ADD: bridge building with click-and-drag
	ADD: traffic light can set their phases now manually (in seconds) (new help text: trafficlight_info.txt, new string: -\nSet phases:-)
	ADD: some more network related settings like server_frames_ahead, network_ms_ahead, server_frames_per_step to control timing on the network
	ADD: translations are also search in user dir/scenario/text
	ADD: (gerw) auto-electrify depot added
	FIX: freelist sometimes returned wrong elements to free
	ADD (VS): makeobj ignored alpha channel now really
	CHANGE: (Knightly): Not scaling images displayed by gui_image_t anymore
	FIX: deleting tram signals again
	ADD: click-and-drag also for network games (except for building elevated ways, bridges, tunnels)
	ADD: tools should work on all clients regardless of underground mode
	ADD: tools work now correct with ctrl keys in networkmode
	FIX: a double block (presignal) robbed the following signal of its (pres/longblock/choosing) function
	CHANGE: no re-zooming in viewport
	FIX: text overflow in message boxes
	FIX: window resizing is triggered even if initial click is not in dragger area
	FIX: square button's clickable area not set according to accompanying text
	FIX: help text link's clickable area not correctly set
	FIX: pak file image data not trimmed according to x-offset and contains superfluous data
	ADD: factories now support multiple fields
	FIX: factory builder does not consider minimum fields in randomising production
	FIX: tooltip box hovering above viewport
	ADD: (mostly Dwachs) nicer crossing infos
	ADD: bridges/tunnel show their names in info window
	ADD: (inspired by gerw) choose signals will not choose if on the route is another choose signal or and end_of_choose
	FIX: text overflow in ground info
	CHANGE: ground info and thing info title bar color will change according to ownership
	ADD: allow_buying_obsolete_vehicles in simuconf.tab can disallow buying obsolete vehicles for better balancing
	FIX: forest density/size nor again reasonable dependent on map size
	ADD: factory stops can now get different names from building stops (%s factory %s %s must be new translated)
	FIX: build foundations only directly under elevated monorail depots
	FIX: ist_natur() return also false on halt tiles (like harbor)
	ADD: (gerw) broad tunnel patch (see pak64 sources: adding images [Nl] [Nm] [Nr] and so on)
	FIX: no longer no trees after 150 years
	ADD: no decimal point for very large amounts
	CHANGE: better displaying algorithm, should give much less clipping errors/graphics glitches with long vehicles/bridges/stations etc.
	ADD: configurable thousand exponent (like 10^4 for Japanese) by SEP_THOUSAND_EXPONENT
	FIX: Makeobj could not extract bridges (and possibly even more objects) under XP
	ADD: zooming in also for pak192
	ADD: preparation for images larger than 64k resp 255*255
	FIX: maintenance for ticks_per_month smaller 18
	ADD: timeline for cityroads using 'city_road[0]=name[,intro][,retire]' in simuconf.tab
	ADD: winter image for PowerSource/ PowerDest: Image[2] and [3] as snowy versions of [0] and [1]
	ADD: winter image for sidewalk: Image[1],[4],[7],[10],[13] as snowy versions, Image [5][8][11][14] transition images
	ADD: minimum and maximum numbers of next towns to connect to a factory can be set too in simuconf.tab with factory_worker_minimum_towns/factory_worker_maximum_towns
	ADD: timeline for intercityroads using 'intercity_road[number]=name[,intro][,retire]' in simuconf.tab
	ADD: winter image and timeline for crossings: winter images of [image][0] are [image][1]
	ADD: powerline stabilisation pak which enforces a single transformer next to factories/power stations
	ADD: enable to use more than one powerline object
	ADD: texture for tunnel grounds (Obj=misc, Name=TunnelTexture, Image with numbers 0,3,6,9)
	ADD: simuconf.tab: add default values for cityroad ("city_road") and intercity road ("asphalt_road")
	CHANGE: TAB goes to next/Shift+TAB to previous edit box, moving and resizing now even when other windows open
	ADD: skinnable scrollbars
	ADD: setting dialogue tool (handle with care, should not be visible by default for pak sets!)
	ADD: resizer also part of skin
	CHANGE: also starts without any skin
	FIX: no signals to be built on switches, since they will not display correctly
	FIX: waiting time cycles also on left button
	ADD: (z9999+) limit size of toolbars in simuconf.tab
	FIX: (z9999+) loading old games before 88.00
	CHANGE: forest settings moved to simuconf.tab
	ADD: delay and duration of tooltip configurable in simuconf.tab
	ADD: timeline for headquarters (pak-sets may need to be updated as the default intro date is 1900, default retire date is 2999)
	ADD: blinking cursor, selectable text and clipboard functions for text input fields
	ADD: industry increase and minimum city distance now also saved in savegame
	FIX: error in routing will clear itself after loading
	FIX: not restore fields if there is already a building on this tile
	CHANGE: minimap will center after zooming
	ADD: parameters of cityrules.tab saved in savegame (networkmode)
	ADD: active window title bar is highlighted (for options see simuconf.tab)
	CHG: canals cannot be built on canals of other players
	FIX: removed obsolete forest config parameters
	FIX: traffic light setting also network safe
	ADD: if present show copyright line from ground.outside.pak (which should contain pak set and revision)
	ADD: new general_tool[36] to build cityroad according to timeline
	FIX: (z9999) building a Barbour must check also for existing stops above/below
	FIX: (z9999) trains were braking on field too late after changing of route count
	FIX: (z9999) stopping before occupied crossings with a signal and many other signal fixes
	ADD: for text input, double-click to select a word and triple-click to select the whole text
	ADD: register lineless convoys at the halts and list them with links in the halt details dialog
	FIX: do not crash with prodbase 0 and ensure some basic production
	FIX: convoys did not properly looked up next signal for signals on closed crossings
	ADD: right-click on icon of selected toolbar closes the toolbar
	ADD: server uses a different savegame revision => testing already possible now
	ADD: savegame version can be set in settings
	ADD: simple chat system added (send message option in message window)
	ADD: semi-automatic announce of servers possible
	CHANGE: chat option now part of message center
	ADD: messages on joining and leaving
	CHANGE: renaming of stuff now in network games
	ADD: clients and server compare paksets before joining
	CHANGE: for two-click-tools: ctrl+click sets start marker, useful for point-to-point bridge building with two clicks in network games
	ADD: (gerw/Dwachs) build signals like ways; ctrl+click on icon opens dialogue to change parameters (help file: signal_spacing.h), in network games: ctrl+click and then drag
	ADD: station extensions can be built near public halts
	CHANGE: when joining with public station, the public station keeps its name
	CHANGE: Introduced symbols and tooltips for a much more compact status line
	ADD: dialogue can be changed (currently only minimap)
	ADD: possibility to compare pakset of client and server
	CHANGE: one year after bankrupt, clear slot for new player
	CHANGE: first load convoy waiting the longest time at a stop
	FIX: after bankruptcy, ways on public stops will remain unowned, so new people can connect to them
	FIX: transfer statistics too, when joining stops
	CHANGE: In order to lock a game the public player must be password protected. Unlocking the public player allows player change again.
	CHANGE: (Knightly) message system has now tabs for faster overview of categories
	CHANGE: cities try some terraforming to be able to build roads
	ADD: messages are saved in save games
	CHANGE: passwords are only checked/changed if <enter> is pressed in the password input box
	ADD: more messages for headquarters and making stops public
	CHANGE: application folder for simutrans now under /Library/Simutrans (default MAC standard)
	ADD: (TurfIt) right-click closes all toolbars, all dialogues and deselects all tools
	ADD: (TurfIt/Dwachs) Windows snap onto each other when they are close (controlled by window_snap_distance)
	ADD: server can do monthly announcements
	ADD: announcements can be configured on command line
	ADD: also schedules and line windows are kept during joining
	ADD: vehicles can immediately lose part of their value when starting running (used_vehicle_reduction) to make expensive vehicle unattractive when starting a game


Release of 102.2.2 (r3131 on 8-Mar-2010):

	FIX: connecting upslope to upper way works in sliced mode (r2949)
	FIX: longer convoi's name could cause crash when entering depot
	FIX: lines were never freed upon deletion
	FIX: deleting factories/cities/attractions while those lists were open resulted in CTD
	FIX: stop types in station frame sometime painted on top of each other
	FIX: delete convoi only in next step if loading and return directly (and step reverse in karte_t)
	FIX: walk_city (for stop in towns with AI) was broken (r2990)
	FIX: distribute goods also on factories with less than 10 output
	FIX: latin2 characters with unicode>255 work again (via hack)
	FIX: (VS) do not buy same house twice
	FIX: (Knightly) only do action when mouse button release also on same button
	FIX: (Knightly) prevent pending mouse events when resizing
	ADD: support for townhalls with four rotations
	ADD: korean glyphs now in cyr.bdf (r2967/r3059)
	ADD: reading of bzip2 savegames from trunk
	ADD: (Dwachs) starting money per year
	FIX: crash when changing schedule after no_route on halt
	FIX: presignal before station failed
	FIX: wrong clipping of text
	FIX: (TurfIt) really empty factories input even in consumption factors not 100%
	FIX: stop factory building if more than 10 attempts failed
	FIX: (Dwachs) display correct length in depot
	FIX: isometric map repaired



Release of 102.2.1 (r2928)

9-12-2009
	FIX: minimap was not updated when a bridge was deleted
	FIX: AI could not built any lines
	FIX: grid slopes were not (re)set correctly
	FIX: min_building_density and harbour are now recognized in dat/tab files
	ADD: do not close load/save dialogue after deleting
	FIX: do not show more than the last 2000 messages in message center to prevent scrollbar malfunction
	FIX: margin calculation was wrong
	FIX: first halts are now first in connection list => consistently transfer at first possibility
	FIX: no money when selling convois at the depot
	FIX: (Knightly) inverse scrolling consistently for minimap and main view
	FIX: also ask when a single pakset with addons is present what to load
	FIX: game starts in normal mode (instead paused) again
	FIX: downgrading ways were cheaper than destruction => now downgrading will be as expensive as removal
	CHANGE: ignore empty entries and lines starting with # in citylists
	FIX: deleting line does not longer crash in halt_detail windows
	FIX: withdraw all with convois in depot causes crash (and maybe also not withdraw all)
	FIX: several issues with tram signals
	CHANGE: info windows now open less important first resp. for single window topmost object first (usually most important)
	ADD: toolbar, which did not fit their space can be scrolled (either manu menu or when toolbar_max_height = 1)
	ADD: new parameter for icons in windows title bars: gui_gadgetwidth and gui_gadget_height (although the latter is unused for now)
	FIX: Labelist with own player filter works again


Release of 102.2 (r2785)

18-Oct-2009:
	CHANGE: cursor now works with full 3d-coordinates
	ADD: (mostly gerw) sparse data and overlay in main map for passenger destinations
	ADD: No connections found via overcrowded stops, if overcrowded flag active
	ADD: do not create goods/passenger/mail when the only route is over an overcrowded stop (simuconf.tab no_routing_over_overcrowded)
	ADD: more vehicle messages show in main screen
	CHANGE: ask for language only once (prepare for difficulty dialogue)
	ADD: UNDO for powerlines
	FIX: convoi details (and info- windows) were not always correctly (re)opened
	CHANGE: convoi, station and line handles autoextent their capacity
	FIX: changing schedule by stop mover did not work on open schedule windows
	CHANGE: climate dialogue now completely gui_numberinput_t
	CHANGE: convois will only choose stops that can fit their entire length
	FIX: (mostly gerw) tunnel maintenance costs
	ADD: (z9999) tunnel can have predefined way (new syntax, need new makeobj)
	ADD: completely ignore message button at beginning of dialogue
	CHANGE: faster map (non-isometric) on very large maps and no crashes with extremely large maps anymore
	ADD: paste letters under windows with CNTRL+V
	ADD: button "withdraw all" in line window
	CHANGE: simuconf.tab cost values can now go up to 48 bit (should be enough for insanely high starting capital)
	CHANGE: addons can be put now into the user folder with the same name than the main pak folder
	CHANGE: skins are now read first from program dir/skin then from own dir/skin and then from pak set
	ADD: (gerw) dragging of wayobj and many other tools, adding wayobj-remover
	CHANGE: (Dwachs) better intercityroad creation
	ADD: (Dwachs) sliced underground mode
	ADD: (z9999) 8 layout for city buildings allow also closed corners
	ADD: (Dwachs) buying cityhouse will protect them from renovation
	ADD: Underground slope (in principle even compatible to older savegames) using standard slope tool
	ADD: changing slopes now also with objects on top
	ADD: (Dwachs) tram track can be build in road tunnels
	ADD: (gerw) click-and-drag for tunnels
	ADD: (Nathan Samson) allow left_to_right_graphs (=1 in simuconf.tab)
	ADD: (z9999) better display of depots in minimap
	ADD: (Dwachs) zooming of map with mousewheel
	ADD: switches change graphics for diagonal going trains (only eyecandy)
	ADD: ambient sound effects (for all graphics + forest + beaches)
	CHANGE: less lagging updating/rerouting after schedule changes even with large stations
	ADD: (Dwachs) Public player can remove all
	ADD: two switches (-addons and -noaddons) to regulate loading of addons together with pakset
	CHANGE: (Dwachs) 2-5x faster city generation
	CHANGE: (Knightly) even faster routing of goods due to ignoring non-transfer stations in breath search
	ADD: switch to keep towns static
	ADD: (gerw) minimaps in city info window are clickable
	CHANGE: after 40 retries, factory construction will ignore climates to avoid broken chains (if possible at all)
	ADD: citygrowth parameter configurable in simuconf.tab
	ADD: setting dialog allow access to all settings also found in simuconf.tab before starting a game


Release of 102.0 (r2366)

5-Mar-2009:
	FIX: connect stops again to public player
	FIX: marker had invalid position after loading a game => crash when adding new marker
	FIX: again income messages even with very many convois
	ADD: &#; for direct character input (but no unicode yet) to help files "HTML" (&#30; happy face, &#31; unhappy face)
	ADD: (z9999) capacity of a stop shown in tooltip
	ADD: (z9999) halt can have different storage capabilities for different good types (seperate_halt_capacities=1 in simuconf.tab)
	ADD: if pay_for_total_distance=1 in simuconf.tab, price is calculated for the distance you got nearer to destination
	ADD: (isidoro) jump to line window from halt_details
	FIX: mark deleted trees dirty when building roads
	CHANGE: message window now obeys also Simutrans UI (array/rightclick for goto on map, leftclick on text to show again)
	CHANGE: inactive tabs nor greyed out
	ADD: goto line also in convoi info window
	CHANGE: (z9999) finally useful marker with a simutrans consistent gui
	ADD: (gerw mostly) river are now created during map creation, new options in simuconf.tab
	ADD: no vehicle/cash sounds during fast forward
	ADD: (gerw/prissi) powerline remover
	FIX: lines always got id 1 => saving was not successful!
	CHANGE: language specific divider for amount possible (like million for most) using LARGE_NUMBER_STRING and LARGE_NUMBER_VALUE
	CHANGE: start at any month you like (parameter starting_month in simuconf.tab)
	FIX: fences and slopes in most situations now without graphic errors (some are currently unavoidable)
	ADD: (z9999) new sort option for good list by category
	FIX: (mostly Dwachs) way graphic for way in tunnel now matches speed and maintenance fixed
	ADD: avoid overcrowded stops (experimental, avoid_overcrowding=1 in simuconf.tab)



Release of 101.0 (r2208)

3-Jan-2009:
	FIX: weg search stooped to early => not properly upgrading city road types in pak128 (z9999)
	FIX: crash of passenger AI before busses were available
	FIX: stop moving tool also deals with empty lines now
	FIX: retire dates again ignored during map creation
	FIX: no crashing when loading unavailable buildings
	FIX: crashes with movingobjects during creation
	FIX: planes were not always correctly descending
	FIX: harbour tile layout==16 tile were not calculated similar to stations
	CHANGE: -fullscreen command flag will try to detect current resolution => no need to specify size
	FIX: scrollbar text after resize now updated properly
	FIX: remember last selected tool
	FIX: preserve tick count after loading saved game => wait per month should be fine now
	FIX: allow harbours also on trees ...
	FIX: start on signal tile resp. drive through closed signals when open/close schedule dialogue
	ADD: multithread support for screen copy (max. 10% faster) for GDI
	FIX: new timing for idle and frame => fast forward speed more closely met, less CPU needed, smoother transitions
	FIX: too sensitive mouse repaired (moving during clicking)
	FIX: no crashes on power bridges at vertical slopes
	CHANGE: much faster town renovation/town growth => faster city generation
	FIX: only tools applicable in the current situation are visible
	CHANGE: savegame path instead .simutrans now ~/simutrans on Linux/BeOS, and ~/Documents/simutrans on MacOS
	FIX: fields next to a new station leads to crashes during name determination
	FIX: correct color for stops over townhalls for labels
	FIX: long block signals searched always on first leg too much and stuck trains which stop directly after them
	FIX: wayremover removed (partly) bridges even without permission
	FIX: bridges during removal removed too much maintenance
	ADD: make tooltips configurable (show_tooltips, tooltip_background_color, tooltip_text_color) in simuconf.tab
	ADD: (leopard) Native sound/midi support for MAC
	FIX: rotate also coordinates of messages
	ADD: target destinations in halt details now clickable
	FIX: raise and lower now also ok new border, better error messages
	FIX: (z9999) maglev and narrowgauge for everything, additional line symbols (MaglevStop, NarrowgaugeStop, ... ) for linemanager optional
	CHANGE: speed on diagonals only 20% faster => less gain, more realistic vehicle length
	FIX: no crossings on underground station tiles
	FIX: wayobj ignored replacement by compat.tab for catenaries
	CHANGE: now 16 syllables for town names %/&(0...9A...F)_CITY_SYLL
	CHANGE: maps got an own subdirectory, and format RLE compressed (usually less than 10% of ppm)/uncompressed 8-Bit and 24-Bit BMP allowed too
	FIX: trams were not using the max speed according to the trams speed table
	ADD: (z9999) daylight level now adjustable
	ADD: (isidoro/prissi) overtaking for road vehicles/citycars
	ADD: (z9999) right mouse button to minimize windows to title bar and restore
	CHANGE: payment is now only for the decrease in distance to the next transfer stop
	ADD: instead a number also a name of a  menu object (with image zero) can be given for an icon in menuconf.tab
	ADD: (Gerd Wachsmuth) map enlargement during the game
	ADD: (VS) electric EMU/trolley bus tab added to depot
	CHANGE: AI now separate files, which would allow for a greater variety of AIs
	ADD: (Dwachs) depots remember last line
	FIX: construction of four layout stations and rotation of four layout buildings were completely broken
	FIX: graphic error with slopes next to bridges and tunnels
	ADD: new tool to make a stop a public one (to make public stops on map without player change)
	FIX: disabling sound and midi will be now saved and will disable them completely to avoid the SDL_mixer troubles
	FIX: x instead y offset written by makeobj
	ADD: (Dwachs) new object gui_numberinput_t for more convenient entering of numbers
	ADD: (gerw) sizeable loadsave frame
	CHANGE: savegame bump, no AI save state correctly, same for map extension, no koord saved anymore (up to 60% smaller savegames)
	CHANGE: settings are now saved for game relevant/user relevant to prepare for multiplayer (and do proper versioning)
	CHANGE: sea level now in single steps (before only double steps, but single steps in display)
	FIX: handling of wrongly defined fonts and unicode characters now correct again
	FIX: bridges could connect to "harbour" tunnels
	CHANGE: maximum map size now 16 million tiles
	FIX: overcrowded station messages again


Release of 100.0 (r1867, stable)

28-June-2008:
	FIX: rotated townhalls could lead to crashes
	CHANGE: show connected stops at factory again
	ADD: factory edit modus after patch from z9999
	FIX: removing of wayobj in tunnel or on bridges left wrong top speed.
	ADD: factory link tool from z9999
	ADD: attraction built tool from z9999
	ADD: citybuilding builder inspired by z9999
	ADD: tree planting tool inspired by z9999
	FIX: trees are now correctly sorted by the internal tile positions (before were shadow problems)
	CHANGE: smoother zoom out (experimental)
	FIX: x-offset for images should finally work
	ADD: following zoom-levels are now supported 1.5:1, 1.33:1, 1:1, 0.75:1, 0.66:1, 0.5:1, 0.33:1, 0.25:1 (maximum tile size zoomed in is 254!)
	FIX: no cars entering railroad crossings when they apparently cannot exit (may fail with crossings following immediately)
	FIX: no citycars entering a crossing, if there is no exit
	FIX: convois created by copying had no home depot
	FIX: during zoomout, the tiles were clipped 32 pixels too early
	FIX: rotation of buildings with layout>4 corrected
	ADD: more statistics for world (see in citylist)
	FIX: show signals again in minimap
	ADD: preliminary support for automatic configuration, clarification of the licence
	CHANGE: maintenance of player buildings now depends on its level
	FIX: reloading with no matching buildings for a climate could lead to crashes
	CHANGE: smoother movements of vehicles in all sizes and zoomlevels
	FIX: powerlines destroy on fields during loading
	CHANGE: all traffic lights have now synchronized phases
	ADD: new parameter in forestconf.tab: tree_climates for climates with at least one tree per tile and no_tree_climates for the reverse
	ADD: new parameter for cityrules.tab "minimum_building_desity" in percent: if the area covered by buildings is less than this, the city borders will not increase => more compact cities, not fading out along a single street (default: 25)
	CHANGE: completely renovated schedule entering window
	CHANGE: logarithmic traffic density display in minimap
	CHANGE: cst_depot_air for charging air_depot
	CHANGE: less subtypes for stops and depot (halfway)
	CHANGE: new customizable toolbars (90%) (see pak64/config/menuconf.tab)
	FIX: schedule window last line was not selectable
	ADD: waytypes narrowgauge_track and maglev_track now functional
	FIX: trains with freight_type but total load==0 were still creating connections (caotic)
	CHANGE: groundobj for new map again (z9999)
	CHANGE: seasons for groundobj and movingobj (z9999)
	CHANGE: enables all map edit tools again (z9999)
	FIX: random rotation building problem (z9999)
	FIX: initialize tool (z9999)
	FIX: check climate for tree (z9999)
	FIX: tree cost (z9999)
	FIX: power for low producing factory (z9999)
	ADD: Fill trees tool (z9999)
	ADD: Add forest tool (z9999)
	ADD: Add random city car tool (z9999)
	ADD: option to start without trees (z9999)
	ADD: max. speed information on depot window (z9999)
	CHANGE: allow any key for command, include #99999 (decimal code), ^A (Control A), F99 (F1-F15), COMMA (,)
	CHANGE: allow for &lt; and &gt; to be used in flowtexts
	ADD: stop mover tool (mostly z9999) tilewise for road, stopwise for water/air and platformwise for rail bound vehicles
	ADD: AI builds airports (sometimes still too close to border) and uses them more or less wisely
	FIX: no factories/attractions under monorail or powerlines and thus no disruption of them
	FIX: waypoints under/over stops were treated as stops for good routing
	CHANGE: all stops are now given more or less unique names. First factories,
		then buildings, then ?standard, where "?" is 1..9 or A...Z (if available)
		and standard is center, extern or suburb the later with one of the german
		directions nord, sued, west, ost, nordwest, ... If failed, it will be a
		numbered stop (translators: please translate on simutranslator!)
	CHANGE: deduct maintenance at the beginning of a month => no sudden dropping below zero any more
	CHANGE: no zooming in/out of vehicle images in depot and lists
	CHANGE: speedbonus taken now from config/speedbonus.tab (if present)
	ADD: scenarios (i.e. you can play for a goal), bankrupt only after net wealth is below zero
	CHANGE: scenario can have an additional factor for difficulty
	CHANGE: more description of files before loading (ppm/scenario)
	CHANGE: -debug parameter now takes a debug level (1,2,3,4 for errors only, warnings only, all messages,debug special messages)
	ADD: highlight selected toolbars/tools


Release of 99.17.1 (r1550, stable)

17-Dec-2007:
	FIX: some errors concerning headquarters, AI and moneys frame
	CHANGE: again only first and last vehicle reserves block
	CHANGE: only producing factories are consuming power
	CHANGE: allow for offsets in the texture files => pak192 grounds possible
	CHANGE: new convoi filter for stuck convois 'clf_chk_stucked'
	FIX: could delete crossings under certain circumstances
	CHANGE: images in line tab, translation now tooltip, "TramStop" pak needed
	CHANGE: block reservation mode on will also enable "delete these reservations" cursor
	ADD: new obj named groundobj, new string "cost for removal"
	FIX: error with removing headquarters after rotation
	FIX: deleting non-continuous buildings and rotated buildings could crash simutrans, rotate factory base for rebuilding after loading
	FIX: invisible mousecursor by moving the mouse during right click scrolling outside of window fixed
	CHANGE: adding type to introduction/retirement message
	FIX: severe bug loading pedestrians or citycars


Release of 99.17 (r1502)

19-Dec-2007:
	ADD: water animation (if images defined) animation images are just the second parameter in the definition; animation speed is set by water_animation_ms in simuconf.tab
	FIX: tiles in train middle at waypoints were not properly reserved
	FIX: sometimes planes were circling on the ground
	FIX: winter tile change for whole map also on large maps
	ADD: more statistics for cities / preparation for different growth models (strings now   "citicens", "Growth", "Buildings", "Electricity",  "Transported", "Passagiere", "Sended", "Post", "Arrived", "Goods")
	FIX: daynight cycle for show_month<=1
	CHANGE: town growth is now stimulated by 40% passenger transport, 20% Mail transport, and 30% for not leaving storage of consumers with workers from this town empty
	FIX: powerlines and tunnel entries more intelligently handled during wayremoval
	CHANGE/FIX: close schedule windows when deleting a convoi or starting one from depot (removing the annoying error message when entering schedule is in progress) "Es wird bereits\nein Fahrplan\neingegeben\n"
	CHANGE: electricity production of a power station is now fixed at 4x nominal production (does not matter how much transformers => no cheating with solar plants)
	FIX: smoke offset revisited
	FIX: thing info is always redrawn => less redrawing errors
	FIX: headquarters was always added during drawing to money dialogue => to time left for event processing
	FIX: remove trees below monorail depot
	FIX: good filter now works with categories
	CHANGES: city cars spawn now only if neither passengers, mail, nor goods are transported
	CHANGES: to make list easier to navigate with left button only mouse, city list, attraction list, and factory list display jump to button
	FIX: two errors that could lead to stuck convois


Release of 99.16

2-Dec-2007:
	FIX: image under fields were not recalculated after removal
	FIX: deleting a factory with an open info window lead to crash (also during map destroying)
	FIX: pak selector was not always shown
	FIX: crash when opening slopetools in underground mode
	FIX: windows gain not focus during dragging with mousebutton
	ADD: new error message 'Not possible in this rotation!'
	FIX: bridges ending on elevated monorail or flat tiles fixed
	ADD: screenshot under windows as png (if gdiplus.dll is present, i.e XP or .NET there)
	FIX: transparent/no season recognizing bridges
	FIX: double or "unknown" names for stations on bridges/tunnels for 99.14 and older games
	CHANGE: events now internally carry always the mousebutton states => fixing problem when scrolling with right mouse button (and so others too)
	ADD: airplanes now reserve the runway for the entire time of takeoff/landing (more realistic, smoother waiting circles)
	ADD: during world creation no tourist attractions newer than the current year will appear with timeline on
	FIX: under certain cases station (length!=8) stations loaded one vehicle too many
	FIX: old texts were not deleted from nonrotated hashtable during rotation
	ADD: 'pillar_asymmetric' for bridges with shorter pillars on north resp. west slopes and 'max_height' for bridges + new error message 'bridge is too high for its type!'
	ADD: new crossing logic: crossing is one object only (new strings: "invalid", "open", "request closing", "closed", "\nway1 reserved by" , "cars.\nway2 reserved by", "cars.\nstate")
	FIX: no stops on tunnel entries or on runways
	FIX: calc load and image correctly after leaving depot
	CHANGE: factory introduction dates (thus with older paks no factories before 1901)


Release of 99.15

3-Nov-2007:
	FIX: AI terraforming was free of charge
	FIX: AI never changed convoi, when building does not succeeded
	FIX: powerlines did not disconnect during deletion
	CHANGE: road convois wait, if next tile is a crossing and they cannot pass
	CHANGE: if the stop of a factory is overcrowded and there is no goods waiting for a destination while there are some for other destination of this factory, the overflowing amount is rerouted. This avoids situations where nothing was delivered to a waiting convoi because a station was overflow and thus this convoi blocked everything. Now it will be gradually loaded.
	FIX: vehicle position was wrong after visit to depot => such convois will be vanish after reloading, sorry
	CHANGE: sort order for convois and halt match as default; also last setting is saved
	CHANGE: selection of map buttons is saved
	FIX: hausbauer now handles building deletion => complete deletion of stops and factories, even non-continuous and connected
	FIX: pax_transported, pax_erzeugt was not saved
	FIX (z9999): tree density setting form uint8 to uint16
	FIX: empty schedule during loading for convois in depot => crash
	FIX: signal and missing roads where overlooked when leaving depots
	ADD: minimum factory distances more strongly enforced. Configurable via simuconf.tab (factory_spacing, default 6)
	ADD: new message category for warnings (like name of new player or traffic jams)
	ADD: AI now builds headquarters
	FIX: correctly building ways from/in depots and stops
	CHANGE: AI now announces headquarters construction with <<%s's\nheadquarter now\nat (%i,%i).>>
	FIX: redistribution of goods on stations with three destinations was faulty
	FIX: building taxiways again
	FIX: lines again automatically connect and detach from a stop
	FIX: depot closed, if there was only a single depot and the next/previous depot was searched
	FIX: reaching destination while just leaving depot will skip destination
	FIX: revenue will be only given for cars in station
	FIX: slope entering by a curve would not give slope penalty
	FIX: tram tracks on bridges were visible in underground mode
	FIX: build station extension building again on flattened slopes
	FIX (kierongreen): station layout patch supplied with some fixes
	ADD (kierongreen): powerline bridges
	FIX/CHANGE: window system was really a little broken
	FIX: remove tall buildings without residuals
	CHANGE: bus AI now tries to connect intown as well => less worse competition
	FIX: deletion of powerline was free up to now ...
	CHANGE: two less virtual functions in vehikel_t::sync_step() (most often called routine) => speedup
	FIX: convois with waypoints at bends were still jumping for certain vehicle lengths (sigh ...)
	CHANGE: GDI fullscreen mode correct and due to switching resolution ~50% faster redraws
	CHANGE: dragging during raising and lowering land enabled
	ADD: manufacturer name for each car shown in the convoi detail dialogue
	FIX: start/end way building under cars and filled depots
	CHANGE: preliminary map rotation (for these places behind a slope) with 'R'
	FIX: clear all old entries in the message list upon starting a new game
	FIX: text labels again on any height (did affect towns below bridges)
	FIX: frame delay time does now slower increase/decrease => smoother response
	CHANGE: all toolbars open directly below each others
	FIX: crash when zooming out images with negative y-offsets
	FIX: rotate map, when building a tree with nonrateable factories
	FIX: ground calculation fixed again
	FIX: smoke offsets
	FIX: more responsive interface by changing frame time calculation again for extreme cases
	ADD: frame around active window if requested (window_frame_active in simuconf.tab)
	FIX: toolbars now also change with underground mode
	ADD: new message for AI going bankrupt (Company bankrupt)
	FIX: no route message shown again
	FIX: roadsign rotation corrected
	FIX: snowline height fixed (automatically set be the end of the highest climate)
	CHANGE: if no pak defined in config or commandline then a) if only a single pak exists load this or b) display a dialog for choosing one


Release of 99.14

31-July-2007:
	FIX: speed limit of channels for ships was never lifted
	FIX: again front images for traffic lights
	FIX: crash when building harbour outside of the map
	FIX: avoid jumping of trains when waypoint on first tile after a curve
	ADD: under windows nicer error messages for missing objects
	CHANGE: much better loading of games with missing objects
	CHANGE: stopping position of trains of length>12
	FIX: factory positions in minimap
	FIX: screen resolution enlargement with GDI version resulted in crash
	FIX: crash when opening a depot, for that no vehicles exist
	FIX: town name management now like halt management
	FIX: player color for depot/color selection fixed
	ADD: ordering of menu entries for station buildings (level) and wayobjects (topspeed)
	CHANGE: money frame construction cost button name now 'Construction_Btn'
	CHANGE: enable UNDO always for active player
	FIX: convoi list can again hold more than 819 convois
	ADD: new buttons in display settings: 'show waiting bars' and 'show station names' for the previous '!' key function
	CHANGE: 'Q' now opens the options dialogue, where you can really quit the game
	FIX: factory crossconnection running amok hopefully solved (and some production values tweaked)
	ADD: (z9999) show current schedule/selected line in minimap (new strings: 'Show schedules', 'Shows the currently selected schedule', 'factory details', 'Shows consumer/suppliers for factories', 'CityLimit', '(%i)-')
	FIX: redraw problems after topping windows
	FIX: factory builder was tried to built the same factory always on the same region => now check next two regions in all directions => less incomplete chains
	CHANGE: AI deleted uneconomical vehicle and routes, if in trouble
	CHANGE: AI tries now also more or less successful ship route


Release of 99.13

3-July-2007:
	FIX: airplanes got confused, when the ground under them changed
	FIX: (z9999) show factory detail info
	FIX: (kierongreen) Removing tram tracks from road caused crash
	FIX: restore speed limit after crossing deletion
	FIX: deletion of traffic lights led to crash with road deletion tool
	FIX: (z9999) traffic light position with drive on left fixed
	FIX: (z9999) filter overcrowded did not work in haltlist
	FIX: right map rotation in non-isometric view
	FIX: removing station from ground with other station one bridge/in tunnel could result in display/naming errors
	FIX: (marcr) minutes were wrong in no-month mode
	FIX: (robofish) underline error for help text H1 tags
	FIX: unreservation during convoi/track deletion fixed
	FIX: (z9999) factory reader and colors in minimap were wrong
	ADD: cityrules new parameter u/U ground is not/well suited for road
	ADD: cityrules new parameter renovation_percentage (default 12) to finetune new building/renovation ratio
	FIX: schedule was one off during reloading (and driving one field) due to missing initialisation of check_for_finish in vehikel_t(welt)
	FIX: convoi stuck on a slope, if pos_next was wrong
	CHANGE: calc_height only called if needed (about 5% faster game)
	ADD: (tomilepp) empty capacity line to freight_sorter
	CHANGE: sync_list changed from slist_tpl to ptrhashtable_tpl => remove from 5% to 0.3% game time for all sync-objects (cars, pedestrians, animated buildings, smoke, ... )
	FIX: wrong outdated flag due to missing initialisation after loading of a convoi
	FIX: overflow in money frame color calculation
	ADD: now three lists for connecting stations, depending on the freight type => about 50% faster route search
	CHANGE: different (more compact) list of stations connected at a stop
	FIX: (kierongreen) station names in tunnels
	FIX: (z9999) monorail station extension buildings
	FIX: convoi could break up when during loadtime it was on its finally tile (also new detection for already broken convois)
	ADD: speed record for all kind of convois
	FIX: vehicles may have been saved with wrong pos_prev, which may caused errors at waypoints/stations
	FIX: blue night light finally working
	ADD: automatic line breaks in building description texts (inspired by tron)
	FIX: error with stale goods after deleting served stops
	FIX: no crashes with overlong headquarters strings
	CHANGE: more cpu-friendly wait for no route/waiting before a signal (and less fast stuck tooltips)
	FIX: finally really loading the Pxxx.bdf fonts (and generated new bdf-font based on old ones)
	ADD: (kierongreen) ways will look for replacement during loadtime in no matching besch found
	FIX: convoi speed reset to zero at traffic lights
	CHANGE: faster sorting in haltlist for waiting amount
	CHANGE: much faster scrolling with right mousebutton (previously this made an update for every pixel move)


Release of 99.12

31-May-2007:
	FIX: explicitly check error codes when saving files
	FIX: cars now properly turn at road signs
	ADD: toggle grid now also in the visual settings dialogue "show grid"
	FIX: road remover fixed
	FIX: electric engine type was lost after saving
	CHANGE: UNDO now only denied, if something built on top of that way (including tunnels, bridges, stops, signals, electrifications ...)
	FIX: intended two way calculation during building of ways was calculating same route twice instead switching start and endpoints => strange routes could occur
	CHANGE: removed second route calculation and put a malus on a turn on the last field
	CHANGE: default way_double_curve=6 gives better results
	FIX: after showing bankrupt dialogue, fast forward is switched off
	FIX: crash, when a schedule had an illegal ground coordinate (new string: "Invalid coordinate")
	CHANGE: city car generation is now proportional to (log10(generated-transported+1)*density/16) Probability=1.00 mean on average one citycar per month
	FIX: wrong entry deleted during rerouting (vector_tpl will now assert there)
	FIX: waypoints work correctly with vehicles longer than 8
	CHANGE: bits per month setting should now work up to 29, minutes are now displayed
	ADD: powerline category to money dialogue (and cleaned up, new string: This Month), also add headquarters to the dialogue
	FIX: powerline did not cost any maintenance (in simuconf.tab: cost_transformer=2500 and cost_maintain_transformer=100)
	ADD: b shows/hides reserved rails
	ADD: new roadsign type 'end_of_choose' to limit the range of free_route sings/signals
	FIX: construction over sidewalks did reset speed limit
	FIX: overflow when sorting vehicle list (defined signum for sint64)
	ADD: crossing between all ways (except air) are now allowed. See attached example. Priority will have the secondly defined way.
	FIX: do not show foreground for normal buildings
	FIX: starting long engines in a depot could cause all strange stuff


Release of 99.11

4-May-2007:
	FIX: roads did repel each other too strongly. A little more clever handling has been introduced, but way_count_leaving_road is still too high.
	CHANGE: convois indicate error states also with tooltips
	FIX: factory crossconnection was one-sided
	ADD: midi shuffle will be remembered
	FIX: electric engines also recognized when not leading convoi
	FIX: advance savegame => field positions now saved
	ADD: more colors for convoi status: WHITE in depot, ORANGE: stuck/no route
	FIX: re-added city car info dialogue ("%s\nspeed %i\nmax_speed %i\ndx:%i dy:%i")
	FIX: speed of convois and city cars was frame rate dependent!
	FIX: deleting fields with factory
	CHANGE: vehicle now queue properly even on diagonal roads
	CHANGE: only the first vehicle in a traffic jam will report traffic jam conditions
	CHANGE: citycars are now only generated when there are not many passengers transported and the field is question is empty.


Release of 99.10

17-Apr-2007:
	FIX: powerline connection fixed
	FIX: single slope up/down in one tile was broken
	FIX: powerline production AND consumption now based on factory production
	FIX: factory production per month now correctly displayed
	ADD: crossconnection for factories now switchable (crossconnect_factories_percentage in simuconf.tab)
	FIX: schedule sanity check could fail under certain circumstances (kierongreen)
	FIX: disallow going to depots if already under way (kierongreen)
	FIX: station with layout crash fixed (kierongreen)
	FIX: improved focus management
	FIX: vehicle filter list fixed for airplanes/ships (kierongreen)
	ADD: field support (kierongreen/prissi) (in simuconf.tab: cost_multiply_remove_field, in factory entry fields, new field with a number of image[x] definitions)
	ADD: miniwindow now shows also black background in underground mode (kierongreen)
	FIX: factories will now only smoke when producing, consuming or both
	FIX: crash related to building/replacing elevated ways
	FIX: loading wave sounds again
	CHANGE: simutrans now searches for data always in its root directory (-use_workdir to override this)
	CHANGE: simutrans user data on Unix now in "~/.simutrans"


Release of 99.09.3

24-Mar-2007:
	ADD: jump to coordinate dialog added ("Jump to") called by "J"
	FIX: reloading games save in 99.09.2 from previous versions works could result in passengers without route
	FIX: colors in map window were still broken
	CHANGE: powerline now do not avoid slopes
	FIX: during building of powerlines the first tile had no net
	FIX: remove xyz strings were not translated


Release of 99.09.2

16-Mar-2007:
	FIX: some errors with construction/deletion of oriented stations fixed
	FIX: bdf-fonts with more than 256 characters are loaded again
	FIX: tree with 3 seasons had same behaviour than the ones with two => ignore the third one
	FIX: loading demo-games with multiuser
	FIX: better compatibility with old save games (e.g. empty stops etc. )
	FIX: reduce world size to (0,0) during deletion => less crashes, less complains in the log
	FIX: bus AI tries no longer to built on other players roads
	FIX: houses for stop names will be now selected in a fixed order => less double names
	ADD: you can limit the fast forward speed with fast_forward in simuconf.tab (but this is rather a course regulation)
	ADD: time multiplier for fast forward mode shown
	FIX: setting correct 2nd player color after reloading a game
	FIX: simu.log now saved in home directory
	FIX: automatic recognition of bitmap depth (failed with SDL on some old machines) => transparency fixed
	CHANGE: 16 bit color depth for GDI (may not work on all machines, please report)
	CHANGE: better recognition by the AI, if there is already a connection
	CHANGE: AI now built also tunnel and bridges, that are only one tile long
	FIX: also not altering old city roads (before only affected new city road)
	ADD: two more tweaks for the way builder: way_straight (cost for straight tile) and way_leave_road (to make existing roads more favourable)


Release of 99.09.1

4-Mar-2007:
	FIX: time for pause/refresh interval now moved to sync_step() => handled internally each refresh => better responsiveness
	FIX: end of station with layout>4 in NS direction


Release of 99.09

3-Mar-2007:
	FIX: on unix multiuser environments the path separator symbol was omitted
	FIX: marker did not work on elevated ways => no route, even if there was one
	FIX: no crash after deleting powerline crossing during game creation (but this was done by fixing symptoms, not the cause :()
	ADD: button for showing forest in minimap (new string "Forest")
	FIX: during rerouting of goods wrong entries were deleted
	FIX: singleuser_install in simuconf.tab was not read
	ADD: 8 player colors + second set of eight player colors, more colors to choose from, blue light color
	ADD: (kierongreen) possibility for automatic orientation (and facing of parallel) stops
	FIX: station coverage was wrongly detected
	FIX: ppm for all program for heightmaps (Photoshop created unexpected header)
	ADD: goods entries shrank further (now 12 Bytes pre packet) and saved lots of lookups
	ADD: obj=tree allows for seasons=3/5 with the third/fifth season having snowy winter tree image
	FIX: AI tried to built busstops in invalid positions
	FIX: InputSupplier[]=0 did not built new factories, even if required
	FIX: no depot on crossings or places with more than a single way
	CHANGE: a car will wait two months in a traffic jam, then it will complain. After three months it tries to turn; in unsuccessful, it will self-destruct.
	FIX: crash could occur with long_block_signals(); the fix will cause trains to slow down in front of long block signals similar to choose signals
	ADD: color for good in dat-file (color=index_nr, same as factory colors)
	CHANGE: category names now  CATEGORY_xx and part of the pak set, replacing  "piece goods", "bulk goods", "oil/gasoline", "cooled goods", "liquid food", "long goods"
	FIX: connection streets across slopes
	FIX: faster groundsearch also avoids artificial slopes


Release of 99.08.1

6-Feb-2007:
	FIX: all tabs in depot show, if there was/is ever a matching vehicle
	FIX: all reserved signals after presignal or choose signals are now green
	CHANGE: save sound/midi volume
	FIX: midi now loaded correctly (first in usedir/music/music.tab, then program_dir/music/music.tab)
	FIX: unsigned long correctly loaded (i.e. load in schedules)
	FIX: correct baum types in the correct climate (hopefully final fix)
	CHANGE: bus AI will use always the cheapest road to survive a little longer
	FIX: games with failed to generate even a single town were saved wrongly
	FIX: houses without cities are again reconnected to the nearest city upon reloading
	FIX: length of string buffer for stations was 3 bytes too short


Release of 99.08

4-Feb-2007:
	FIX: random_tree_for_climate was broken, and did return not always the right tree
	FIX: unmark map ground during underground deletion
	FIX: image for bridge ramps after reloading
	FIX: cities continue also ways on upslopes
	FIX: citycars properly turning, when there is no entry or only one tile after a crossing (and also make now 180° turns)
	FIX: (kierongreen) trains in small window are now correctly followed over bridges
	ADD: (kierongreen) withdraw of convois i.e. convoi is sold after it is empty (and no freight is loaded) 'withdraw' and 'Convoi is sold when all wagons are empty.'
	ADD: (kierongreen) no loading button to convoi info window added for manual control of a convois state
	FIX: crash when click on vehicle that is in a different depot than its home depot
	FIX: (kierongreen) underground mode resets not grid mode
	FIX: (kierongreen) height on slope during follow convoi was jumping
	CHANGE: shrank ware_t by eight bytes
	FIX: citycar destroyed themselves after a curve with a dead end
	FIX: wayremover in tunnel removed tunnel object also on starting and end tile
	CHANGE: goods now stored in an array instead of a list at stations => higher chances of joining => much faster (up to 50% for passenger/mail games) + less memory (up to 4MB); your mileage may vary.
	FIX: label were saved but not loaded
	FIX: crash when city tried to built new road to new townhall over existing player road
	CHANGE: only show goods which can be transported for status display at stations
	CHANGE: simuconf.tab is searched in pak/config/simuconf.tab after reading the main one in simuconf.tab (which is not needed)
	CHANGE: savegames and all other configuration stuff is now saved in the users home directory (resp. Eigene Dateien) if multiuser_install=1 (default) in simuconf.tab
	CHANGE: simuconf.tab files are now read in this order: program_dir/config/ then user_dir/config (for pak file path) than pak/config/ then user_dir/config for the rest
	CHANGE: new program option -singleuser to avoid using the users home directory (respective singleuser_install in simuconf.tab)
	CHANGE: removed maintenance_overhad, maintenance_ways from simuconf.tab, since it was not used
	FIX: forgot to charge for industry construction
	CHANGE: forrestconf.tab -> forestrules.tab, now maintained by the tree class itself
	FIX: building ways into depots again
	FIX: city does not build road through busstops, loading bays or depots
	FIX: underground depots are recognized again
	FIX: water image of artificial slopes fixed
	CHANGE: display of savegame pak-folder in the load/save dialog
	ADD: (kierongreen) long block signals: a train coming to this signal will only enter, if it can drive to the next signal, through all stops or waypoints (set is_longblocksignal=1 in the dat file)


Release of 99.07

21-Jan-2007:
	FIX: crash when deleting empty tiles of middle parts of bridges
	FIX: wrong schedule entry pointer after loading
	FIX: crash when electrify before electrification
	FIX: citycars got stuck on slopes at height level -1
	FIX: way remover with tunnels crashed at tunnel entry
	ADD: (prissi & kierongreen) transparent images for buildings, trees, and catchment area with an extended display dialogue (new strings: "hide transparent", "hide trees", "hide city building", "hide all building", "transparent station coverage", "show station coverage")
	FIX: improved citycar behaviour
	FIX: wayobj not dirty after creation => garbage on the screen
	ADD: shuffle for midis
	ADD: (kierongreen) colors for water height in minimap
	ADD: (kierongreen+prissi) better station coverage display in separate layer
	FIX: removing way was free of charge
	ADD: new label enables land buying (cost by 'cost_buy_land' in simuconf.tab, default -100), help file now possible ('label_frame.txt')
	FIX: wrong images after diagonal tile after bridges and crossings
	FIX: snowy bridges start on slope was wrong
	FIX: max midi volume now 255 => no overflow
	FIX: (kierongreen) pillar position was plainly wrong
	ADD: (kierongreen) using SDL_mixer for midi (now also with Linux, if possible)
	FIX: crash during deletion of bridges and tunnel (although just fixed symptoms)
	ADD: waterdepths (needs new ground obj "Water", with n images, n=0 is uppermost, 1=deeper, 2=even deeper, ...
	FIX/CHANGE: roads will not be overtaken, if they are not public property
	ADD: shadows for airplanes (still wrong at non-straight slopes)


Release of 99.06

08-Jan-2007:
	(prissi)
	FIX: crash when closing the filter window before the main list window
	FIX: not zooming out menu icons
	FIX: drawing of single direction signs
	FIX: stations of AI were not added correctly
	FIX: some minimap setting were forgotten during season change
	FIX: curves in tunnel again
	FIX: way owner was lost after saving
	FIX: channels were not connected to the sea in all cases
	FIX: crash, when building has not tile (0,0) due to empty image on info
	FIX: diagonal wayobj again
	FIX: checked for wrong offsets in a schedule during load/save
	FIX: obey BBX completely in BDF-fonts
	FIX: landing airplanes now recognize the ground
	CHANGE: cleaned up midi code, now maximum 128 songs, "music.tab" now "music/music.tab"
	FIX: bug when loading stations etc. that were not animated but put into the animation list
	CHANGE: wayobj will be deleted before a station
	CHANGE: ground can no long be owned, only objects on it (need some tweaks with labels still)
	(kierongreen)
	CHANGE: snow for tunnel and bridges
	FIX: right mouse button scrolling in minimap


Release of 99.05.1

17-Dec-2006:
	FIX: idle timer has eaten up all time doing additional frames
	FIX: issue with transformers
	FIX: crash in depot
	FIX: off-by-one error which can lead to non-unique city names
	FIX: DWITH in bdf-fonts was not used
	FIX: check for allowing artificial slopes was broken
	FIX: loading signals
	FIX: loading bridges
	FIX: display in depot for left hand driving
	CHANGE: depots now maintained in a list => underground and monorail depots are found again and shown in minimap
	FIX: crash when building tramways
	ADD: scrollbar for label frame (mip)
	FIX: now frames per second direct setable (refresh was not the right way for slow computer) new parameter "-fps", "-refresh" is obsolete; you can also use frames_per_second in simuconf.tab
	FIX: pillar of neighboring bridges now at the same positions
	FIX: depot search could crash game when pressed twice very fast


Release of 99.05

03-Dec-2006:
	FIX: always ensure tile is empty before applying slopes (avoids wrong positions)
	FIX: deletion of thing not on the map
	FIX: buying cars with different predecessor/following numbers
	FIX: elevated tracks not shown
	FIX: waypoints for planes
	CHANGE: 4 bytes less per planquadrat, 4 less per ground (now down to 32 bytes per tile without objects from previous 48)
	CHANGE: koord3d is now only with 1 per height step => much less hassle with heights and again bytes saved
	CHANGE: squeezed another four bytes from tree structure => now only 20 bytes per tree => 16 MB less on 2048*2048 maps
	CHANGE: got rid of ding_t::step() => large maps should now be as fast as slow maps with the same factory, citycar and city count
	CHANGE: objects now take care of their image themselves => another four bytes off from ding_t (smaller is not possible, imho)
	FIX: larger than 1x1 building on slopes
	CHANGE: game will continue even while dragging (still little buggy)
	CHANGE: cityrules allow now up to 7x7; more fine control about the res/ind/com clustering too (see cityconf.tab)
	CHANGE: option to not showing vehicles which are not matching current action ('Show all' and 'Show also vehicles that do not match for current action.' strings added)
	CHANGE: zoom in and out 'map zoom' in the small map only with a control, more user friendly button positions 'Show legend', 'Show map scale', 'Show industry'
	ADD: auto-centering on minimap
	ADD: 45 rotated minimap 'isometric map'
	ADD: tunnel entrance only built with control key
	CHANGE: corner heights only bytes instead of long => less data to handle during savegames
	FIX: track remover for tunnel and monorails fixed
	FIX: building trough depots
	FIX: retire/intro messages for ways ('way %s now available:\n' and 'way %s cannot longer used:\n')
	ADD: winter ways form kierongreen


Release of 99.04.2

20-Nov-2006: (prissi)
	FIX: images inside tunnel
	FIX: buying airplanes again
	FIX: minimap remembers size again
	FIX: old errors with too short vehicles
	CHANGE(tron): lots of cleaning up of data structures and doubtful code
	FIX: makeobj broken at several places, not really finished with fixing
	CHANGE: the same building must not be next to each other => nicer endgame towns
	FIX: AI no longer using elevated track or tramways as rails
	FIX: info window title for ways fixed


Release of 99.04.1

15-Nov-2006: (prissi)
	FIX: in depot: articulated engines will be only bought forward respective backward from the current position on
	FIX: bridge/tunnel construction/deletion fixed
	FIX: retire messages for planes
	FIX: way maintenance was screwed up
	FIX: depots had no maintenance after reload
	FIX: button offsets


Release of 99.04

13-Nov-2006: (prissi)
	FIX: elevated construction could only connect via straight connections
	FIX: tunnel rails were upgraded to even higher speeds than allowed
	FIX: no more accidental connection between bridges/tunnels
	FIX: no more upgrading track on bridges or in tunnels
	FIX: way search for ways below monorail fixed
	CHANGE: unified construction of rail, monorails, maglev, channels, airstrips by baue_schiene()
	FIX: position now nearly always centered for all zoom levels and pak sizes
	FIX: scrolling with right mouse button for all pak sizes
	FIX: rectangle in minimap now shows the real screen size (these three were in for ages ... )
	CHANGE: (tron) assembler corrections, code cleanup, reader definition more C++ style
	CHANGE: tunnel code changed (might not load 99.03 savegames!)
	CHANGE: 6 byte less for planquadrat_t (i.e. per tile, although GCC gives us only four of them)
	CHANGE: 8 byte less for grund_t => 14 bytes less per tile (12 with GCC) => map requires ~ 15-25% less memory
	CHANGE: rewrote dingliste: always well defined position, about 10-20% faster insert of vehicles
	CHANGE: articulated vehicles are now always bought together, if there is only a single choice


Release of 99.03

03-Nov-2006: (prissi)
	FIX: city creation on new map fixed (actually rectified deletion)
	FIX: tunnel can now properly handle all way types
	FIX: cost of tunnel construction
	FIX: left and right position of buttons (you may skin round buttons now ... )
	FIX: translation now shows the correct signal type in info window
	FIX: button will update their translation every time a dialog is opened
	FIX 'convoi passed last\nmonth %i\n' '\nRibi (masked)' '\nRibi (unmasked)' 'km/h\n' translatable
	ADD: (kierongreen) underground mode (toggle with 'U') You can built depots and station, interrupt tunnels in the middle but not much more
	ADD: preliminary underground construction routines (user the tunnel icon in underground mode; must start on a tunnel!)
	ADD: elevated support for nearly all waytypes (but not tested)
	FIX: stations on slope got wrong height offsets
	CHANGE: maxspeed/friction calculation is now only done when entering a tile => 16x less function calls


Release of 99.02.2

21-Oct-2006: (prissi)
	FIX: unreservation of tracks failed fatally if there was no ground connected to the next tile
	FIX: factory with there 0,0 on slopes did not recognized their position (not found by other factories, no production)
	CHANGE: if a city could not built a road at a certain slope, it built a house instead.
	FIX: button definitions for skins were ignored
	FIX: demo savegame loading at startup fixed
	CHANGE: same further optimisations of certain routines
	ADD: <i> attribute for the help texts
	CHANGE: first delete station, then caternary


Release of 99.02.1

03-Oct-2006: (prissi)
	FIX: game could lock up during creation when no matching tourist attractions were found for the available climates
	ADD: new flag in simuconf.tab "ground_info" to show info on ground tiles
	FIX: platzsucher did some meaningless comparisons and did not consider all suitable places (i.e. slopes)
	FIX: factory builder did add one too few to the distribution weight => with n factories with distribution_weight=1 the last was always forgotten
	FIX: wrong/missing foundation during construction on slopes
	FIX: if no townhall with bev=0 is available for a climate, no towns will be founded in this climate
	FIX: redraw problem when changing window size
	FIX: line remembers statistic settings in the line management window
	FIX: many warning with VC++ fixed, project included
	FIX: font may also have a maximum width of 12 pixel (was even faster than previous drawing routines)
	FIX: no longer support for animated ground (interfering with the texture code), removed "animated_grounds" from simuconf.tab


Release of 99.02

27-Sep-2006: (prissi)
	FIX: display depots after reloading
	FIX: autoscrolling was still outcommented
	FIX: loading bar position in list display
	FIX: not roads on foundations
	CHANGE: progress bar now always half display width, two more messages "Loading map ..." and "Saving map ..."
	CHANGE: default setting for new map will be loaded from default.sve in the main directory. This file can be a savegame, but will be overwritten the next time a game is started.


Release of 99.01.1

26-Sep-2006: (prissi)
	FIX: ground below houses was draw even if not needed
	FIX: crash when messages were generated at load time
	FIX: display error, when no passenger vehicles but engines were in a depot
	CHANGE: auto resize for scrollbars on all textarea objects (if they have some)
	FIX: building transformers, less reallocation of nets
	ADD: engine_type 'battery' added
	FIX: not loading passengers/mail at freight locations
	FIX: house where not recognized in old savegames
	CHANGE: after lot of tries settled now in binary heaps for pathfinding, up to 15% faster
	FIX: display of animated buildings fixed
	FIX: monorail and channel tunnels fixed
	FIX: (again) not connection through depots and 4-stops during city expansion


Release of 99.01

18-Sep-2006: (prissi)
	FIX: redraw after window resize
	FIX: climate dialogue
	FIX: display in townhalls
	FIX: images in depot again
	FIX: pause at waypoints
	CHANGE: automatically loading pak/demo.sve (or whatever the pak folder is) on startup
	CHANGE: symbol.BigLogo.pak with maximum for image loaded during initial startup
	CHANGE: more complex tunnels, with cost=, maintenance=, topspeed=, waytype=, intro- and retire dates
	CHANGE: allowed tunnels for all but air, also removal or tunnel with tramrails should work
	FIX: city roads no longer destroy runways and the like
	FIX: more even house distribution with rotation


Release of 99.00

10-Sep-2006: (prissi)
	CHANGE: full climate/season support
	CHANGE: sync_prepare removed


Release of 90.00.1

3-Sep-2006: (prissi)
	FIX: unicode routine
	FIX: memory for citylist names was one too few
	FIX:/CHANGE: menus are now adapted during player change (in new module simmenu.cc)
	FIX: planes now also can do approaches with one way markers on them
	FIX: dummy vehicle for way removal/upgrades now always successful
	FIX: wrong prices after starting a map in beginner mode and next in normal mode


Release of 90.00

2-Sep-2006: (prissi if not noted otherwise)
	FIX: clipping error at outmost right row for bitmaps
	FIX: forgot stop choose after closing schedule after line change
	FIX: force beginner/normal mode after loading
	ADD: (kierongreen) additionally freight image for vehicles (syntax 'freigthimage[no][direction]=' with the good definition in 'freightimagetype[no]=')
	FIX: more error check to makeobj pak for vehicles (wrong numbers etc.)
	FIX: missing cstring_t initialisation in slist_tpl; since cstring_t only used in translator.cc and searchfolder.cc, these two converted to slist_tpl<const char *>
	ADD: color codes for lists of lines and convois (minus: red, not moving: yellow, obsolete: blue, no vehicles: white)
	FIX: slow building of ways with log of ~ding() error messages
	ADD: extract command for makeobj (also got rid of the need for ./ for defining the main file in most positions)
	FIX: restoring old signals was badly broken => many convois were stuck
	FIX: (tron) many errors fixed, working inline assembler for GCC 4.0, imported all old versions into SVN
	CHANGE: citycars lifetime now in ms => they will be more controllable, since generation is also linear with time (also cleanup of pedestrian code)
	FIX: overheadwires could be now replaced by a faster type, player was not check during destruction
	FIX: signals were always built without owner => everybody could destroy them
	FIX: problem with depots not found: saving and loading should solve this, no longer deleting other people depots


Release of 89.03.2

21-Aug-2006: (prissi)
	FIX: just_in_time is saved with a map
	FIX: beginner mode properly set/reset with maps
	FIX: oneway signal on last tile of a route not a problem anymore
	FIX: height of bridgeheads fixed
	FIX: loading vehicle image display now matches state of the car
	FIX: loading vehicles just on their last tile (which also contains a signal) fixed
	FIX: next depot only finds own depots
	FIX: proper recalculations yearly income after loading
	FIX: only change game name if not autosaved
	FIX: powerlines over monorails and stations but not crossing bridges and elevated monorails in its height
	CHANGE: numbered station now numbered per town (two new strings '%s city %d %s' and '%s land %d %s')
	CHANGE: stops covering the townhall will be added monuments 'monument' and townhall/tourist attractions according to their name
	CHANGE: two more center names '6center' and '7center'


Release of 89.03.1

17-Aug-2006: (prissi)
	FIX: reward for boats in harbours
	FIX: beginner mode restored after reloading
	FIX: selection for scrolled list (like in the line dialog) fixed
	FIX: some corrections for SimuTTD and half tile height in minimap and other places


Release of 89.03

13-Aug-2006: (prissi)
	CHANGE: you can pak object with any size (smaller than 255). The tile size will be taken now from "ground.Outside.pak" (Go for big ships, Timothy)
	FIX: overhead maintenance take from pak, not from simuconf.tab any more
	FIX: code file cleaning up
	FIX: signal appearing immediately after direction changes
	FIX: mark dirty for higher buildings
	CHANGE: beginner mode 'Beginner mode' with 1,5times higher prices (can be configured in simuconf.tab) and no just in time factories
	FIX: under certain circumstances, the wayobj/wayremove found an electric engine and could not lay a caternary ...
	FIX: hopefully, convois will be no longer try to calculate a route to the position they are already
	FIX: only money for vehicles in stations
	FIX: correct number of vehicles reach into the station (hopefully)
	CHANGE: better progress indicator slowest process (city size growth and road connection) now take most of the bar
	FIX: full scrolling in map window
	FIX: no longer messing around in other players depot
	FIX: restored functionality of 'e' again
	ADD: generic names for city buildings: If no translation is available, they will be called 'residential house', 'industrial building', or 'shops and stores'


Release of 89.02.4

12-Aug-2006: (prissi)
	FIX: images of bridges after built fixed
	CHANGE: company color for way and ground (but slower loading, since all images are scanned for company color) This was a heavy rework of the dirty system ...
	FIX: result of heavy renovation of tile dirty system: much less area copied during each redraw, less garbage pixels left
	FIX: citylists work again
	FIX: dummy roadsigns everywhere after reloading games (and info for debug purposes "\nwith sign/signal\n") => stuck trains
	FIX: coverage area signs now always refreshed after building/deletion
	FIX: Factorylistbuttontext translated twice Input -> Eingang -> Elevated station ...
	FIX: more error checking during parsing of help files, unlimited length (before maximum 8192 bytes)
	FIX: compile error on MAC spotted by Timothy
	FIX: convoi loosing its name after many actions in the depot ...
	FIX: choosing of bridges works again
	FIX: signal and roadsign position on slopes


Release of 89.02.3

06-Aug-2006: (prissi)
	FIX: choose signals and convoi starting repaired
	FIX: waypoints in tunnels
	FIX: a little nicer vanishing in tunnels in westward direction
	ADD: new marker graph
	FIX: production of factories with large storage or high rates fixed


Release of 89.02.2

06-Aug-2006: (prissi)
	FIX: loading pak translations fixed
	ADD: ids displayed for convois ("cl_btn_sort_id" sort by convoi ids)
	FIX: wayobj were not displayed
	FIX: minspeed signs (and many others) work again for cars (fixed the sprite sorter)
	FIX: trains ignoring signals after reloading
	ADD: trams rail over road bridges and through road tunnels
	FIX: public owner can now build stops anywhere; adjacent stop will be taken over by the public owner; the price is 36*monthly maint.*level!
	FIX: no depots for public service, since this player is not intended to run any convois
	FIX: display error with diagonal wayobjects
	ADD: generic help for factory window


Release of 89.02.1

30-Jul-2006: (prissi)
	ADD: braking before red signals and at the end of stations in the following steps 200,100,50,25 (only stations)
	FIX: no airplanes servicing oil rigs any more
	ADD: new text "\nis reserved by:" for showing reservation on tracks
	FIX: bus checks for electric route


Release of 89.02

24-Jul-2006: (prissi)
	FIX: roadsigns shown in the wrong menus
	FIX: not cost display for ways
	FIX: roadsigns error after loading
	FIX: wrong clipping for scrollbars ... still ...
	CHANGE: more than one translation for a language in pak/text/ possible
	CHANGE: if there is a file pak/compat.tab the names will be used to search for vehicles during loading => obsolete vehicles can be appropriately replace + better loading of 128 under 64 and vice versa
	FIX: correct sorting of goods by name
	CHANGE: no more railblocks => no signals on crossings (which did not worked well before too), but signals are now only a single tile!
	ADD: new object way-object for overheadwires or avalanche protection; allows for electric roads too ... top speed in wayobj is limited
	FIX: correct weight for attractions
	CHANGE: automatic align of city buildings to the next road, if there is more than one rotation
	FIX: tunnel construction
	FIX: clouds now better vanishing
	CHANGE: one way signs and signal discovered also during routing


Release of 89.01

15-Jul-2006: (prissi)
	FIX: depot with wrongly initialize vehicle list could crash
	FIX: crash, when selling just under the last line
	FIX: crash when selling trains with PBS
	CHANGE: convoi list to array
	FIX: unreserve route when reserved track is deleted
	FIX: find route until station end without help
	FIX: AI now knows about short vehicles and can built smarter stations more often
	FIX: clipping of lists
	FIX: one way signals on platforms have been ignored
	ADD: dates and "waytype=" for signs (not only roadsigns, although only the no enter sign will work on all ways)
	FIX: crash when deleting world


Release of 89.00 (preview)

1-Jul-2006: (prissi)
	ADD: path based signalling (PBS): There can be many trains in a block as long as their path do not intersect.


Release of 88.10.5 (stable)

1-Jul-2006: (prissi)
	FIX: maintenance for bridges works again
	FIX: values in finance history init to zero at the start of new year
	ADD: fences at slopes


Release of 88.10.4

24-Jun-2006: (prissi)
	FIX: margin calculation now (finally) taken into next month
	CHANGE: finance update only when dialog open or during new month
	FIX: monorail again above buildings
	FIX: remove ownership also with undo and track delete
	FIX: do not hide depots
	FIX: slopes where buildings are lower than the natural slope will be preserved
	FIX: signal at bridges now are drawn in the correct height and will not connect to tracks below
	FIX: open a schedule default mode now "add stop" also selected (not only button shown ... )
	FIX: a convoi now only searches for depots that belongs to its owner
	CHANGE: color indicator now always go from zero to the actual maximum value in the minimap
	CHANGE: display value in chart under the mouse when clicking on it
	FIX: harbour under bridges fixed (only a single stop on a tile is now really enforced)
	CHANGE: search for stop now inline => likely faster search and routing of goods
	ADD: new error message concerning dock: "Dock must be built on single slope!"
	FIX: scrollbar in factory windows
	FIX: clipping errors when letters were vertical (top) clipped
	FIX: the "cost=" entry in the roadsign files were not correctly saved by makeobj
	FIX: forgot to add "needs_ground=" to the building section of makeobj. If needs_ground!=0, grass (or snow) will be drawn below a building


Release of 88.10.3

19-Jun-2006: (prissi)
	FIX: wrong buildings on slopes, transparent bottoms
	FIX/CHANGE: forbid to delete a line assigned to convois (but you could do it without crash anyway again)
	FIX: set dirty of smoke
	CHANGE: only smoking chimneys when producing/consuming
	FIX: another try to fix the depot window to prevent wrong obsolete vehicles
	FIX: faster, less memory consuming route calculation (about factor of 10-50 for ships)
	FIX: waybuilder much faster calculation and finally builds diagonals as expected (may have one curve too much but is up to 4000% faster that way)
	FIX: waybuilder now only generates one sound per tile after finishing construction and you can read the total costs per tile (not painting over each other)
	CLEANUP: removed all support for savegames before 84.06 since they were not loadable anyway
	CHANGE: remember last name with that the game was saved
	CHANGE: hide all buildings (special up to five additional construction sites, if there)
	CHANGE: allows for non-square factories (leave the empty field out, not fully tested yet)


Release of 88.10.2

10-Jun-2006: (prissi)
	FIX: trains/trams in depot reserved the according block automatically for convoi zero during reloading (even if this was a ship ... )
	FIX: sprite sorter now inserts all sprites including pedestrians and citycars in the order they belong (drawing errors with trailer trucks fixed)
	CHANGE: hour glass during saving
	ADD: display of powerlines/depots in the map window
	FIX: delete road under the powerline of a different player
	CHANGE: after deleting everything from a tile one loses the ownership on this tile again
	FIX: when the number of vehicles changed during reopening of a depot dialog (either year or electrification) the game crashed
	ADD: you can create a roadsign which prevent citycars from entering. Use "is_private=1" in the roadsign definition (will be not part of the 64 set though!)
	ADD: draw way as a normal object by "draw_as_ding=1" in the definition of a way
	CHANGE: (internal) all defines now in simconst.h"


Release of 88.10.1

4-Jun-2006: (prissi)
	FIX: textinput fields work again as expected, mouse sets cursor position
	FIX: several places were handling player colors incorrect or not at all
	FIX: several small clipping errors fixed
	CHANGE: compiles again with MS Visual C++ Express => better debugging, some little errors fixed, esp. overruns


Release of 88.10

2-Jun-2006: (prissi)
	CHANGE: A* vehicle route finder strongly reworked, extensive tests with priority queues versus simple arrays => arrays are up to 10x faster (less lags with ships, no crashes any more)
	FIX: elevated monorail slopes during construction
	FIX: arrows with lines work again in the depot
	CHANGE: map array now displays always vehicles and is not updated when not open


Release of 88.09.6

9-May-2006: (prissi)
	FIX: raising and lowering land works again as intended
	FIX: loading slopes for bridge heads
	FIX: assignment of more than 6 lines ...
	CHANGE: reader more endian compatible
	CHANGE: obsolete entry "2LIGHT_CHOOSE"
	FIX: translator looked words up twice (eating lots of performance with many dialogs open)
	FIX: line assignment during reloading fixed
	FIX: depot is updated once before showing it
	FIX: station ground name was copied on itself
	FIX: workaround for Linux 4.0.3 compiler bug (will use the C-routines for image display instead of assembler)
	FIX: several issues with unassigned values and fixed using valgrind


Release of 88.09.3

4-May-2006: (prissi)
	FIX: recompiled with hopefully corrected files => bridges/marker correctly, line number ok again
	FIX: ownership of public owned road is taken when using trams
	FIX: last line in schedules selectable again
	CHANGE: slope now part of ground structure => less errors with monorail over houses
	CHANGE: gui-components and dialogs mostly separated, lots of code cleanup


Release of 88.09.2

1-May-2006: (prissi)
	FIX: houses in cities on slopes again
	FIX: can again delete last town too
	FIX: translator automatically adds "\n" to stations => simutrans will remove this
	FIX: road under tramway works now as well
	ADD: scrollbars to save/load dialogs
	FIX: next month starting date could have been wrongly calculated
	FIX: age of old vehicles again calculated correctly
	FIX: depots have again an owner
	FIX: only clearing trees when building ways, stations and depots will remain (no planes etc. any more)
	FIX: block cleared correctly, when entering or leaving a depot
	FIX: no more building factories with distribution_weight=0
	FIX: station bar indicator only at stop basis position
	FIX: bridges in miniwindow
	CHANGE: internally now allows cover tiles
	CHANGE: made redraw faster, but set refresh again to 1 for smoother movements. Use -refresh=2 for old speed
	FIX: engines shorter than 8 units stopped too early in a station => station tile indicator was wrong
	FIX: convoi mini world view scroll more smooth and displays planes correctly
	FIX: passengers from/to monuments after reloading
	FIX: one month too many after reloading
	FIX: player colors for AI changeable
	CHANGE: option window renovated (mostly internally, make much more consistent with current windowing system)


Release of 88.09.1

23-Apr-2006: (prissi)
	FIX: signal on illegal coordinates now checked
	CHANGE: passenger generation now proportional to the inhabitants show
	ADD: passenger generation can be now adjusted using "passenger_factor" in simuconf.tab. 16 equals the old value.
	FIX: track deletion of bridges and tunnel now completely deletes them
	FIX: several errors/inconsistencies with the line management dialog fixed
	FIX: clipping error when switching players
	FIX: trees should now regrow at their intended rate
	FIX: map window needed sometimes a right click to activate
	CHANGE: mousewheel support for nearly all dialogs for the vertical scroll bar
	FIX: again normal number of pedestrians, since you can now built on them


Release of 88.09

19-Apr-2006: (prissi)
	FIX: renovation townhall city update (again ...)
	FIX: lines were created double in depot and not shown in the selection
	CHANGE: city border are now recalculated after reloading => border can shrink again manually by this
	CHANGE: deleting a town now also deletes all houses within this town
	CHANGE: three stage map info window
	CHANGE: houses now indicate their town in the info "Town: %s\n"
	CHANGE: renovated player tool
	ADD: long tracks/monorails/road/channel removal tool
	FIX: choosesignal deletion was not handled on two places in the blockmanager
	CHANGE: scrollable help windows with "more intelligent" size calculation
	CHANGE: road construction also on used tiles, i.e. on top of pedestrians ...


Release of 88.08.1

16-Apr-2006: (prissi)
	FIX: all unnecessary warnings corrected (and an error in the AI module found)
	FIX: some problem with initialized values fixed
	FIX: broken convoys after curves, much less "jumping" at waypoints
	FIX: line selector in depot now hopefully finally fixed
	FIX: wrong naming of industry stops with numbered stations
	FIX: 64er aircraft cost optimized for timeline


Release of 88.08

14-Apr-2006: (prissi)
	FIX: line selection in depot window
	CHANGE: lines now sorted alphabetically
	CHANGE: new parameter for vehicles in dat files: length=xyz for the length i 1/16 of a tile (default: 8) => much easier stem engines with short tender etc.; but: vehicles with len!=8 better have 8 views, else ...
		The standard vehicle length are like this for 64:
			S or W: x=2*len, y=len
			SE: y=2*len
			SW: x=4*len
	CHANGE: no jumping at waypoint on diagonals
	CHANGE: depot window now displays minimum station tiles needed ("Station tiles:")
	FIX: signals on stations should now work as intended, even with pre- and choose-signals
	FIX: when current schedule entry is the current depot, not route message was show => now advance to next entry
	FIX: many wagon overlapping drawing errors with trains


Release of 88.07

9-Apr-2006: (prissi)
	CHANGE: asynchronous updating of routes and rerouting to avoid lags when building stations/change schedules
	CHANGE: more CPU-friendly choosing for trains
	ADD: block tool (b) also checks for double or orphan block and block without signal and corrects it
	ADD: invalid block ids are now corrected during loading
	FIX: crash using (t) when no rails are available
	FIX: signal state in front of waiting train now always red, even for presignals and choose signals
	FIX: better check for double entries in schedule to avoid crashing
	CHANGE: line management convoi info more consistent color/names (removed string from translator: "Convois: %d\nProfit: %s"), added min size button
	FIX: minor display errors with line windows
	CHANGE: line now accessed via handles (more stable programming, less memory required)
	FIX: after changing max speed at depot the convoi info shows new max speed
	FIX: many errors with list management fixed
	FIX: no loading of smoke => no wrong images emerging after updates
	FIX: lower right border error when loading reliefdata fixed
	FIX: wrong speed on bridges after loading a saved game
	CHANGE: after creating a new line, this line is immediately selected in this schedule window (removed text: "New line created!\nYou can assign the line now\nby selecting it from the\nline selector above.")
	CHANGE: clicking somewhere else into the dialog will close the line drop down box in schedule and depot dialog
	FIX: construction of ship depots now again everywhere
	FIX: redraw error in depot (part of vehicle was visible in certain window sizes outside the box)


Release of 88.06.3 ("stable")

18-Mar-2006: (prissi)
	FIX: deleting of a station did not update the corresponding routes
	FIX: sometimes route with itself as first interchange appeared
	FIX: choose signals at a corner now working
	FIX: more diagonals during road construction
	ADD: tramlines
	FIX: convoi changed in depot did not display correct capacity/loading info


Release of 88.06.2

10-Mar-2006: (prissi)
	FIX: after passing a choose signal a single time, all presignals will stop the trains, if not the complete route is free
	FIX: faster rescheduling of goods now works on demand (after changing a schedule)
	FIX: error with choose signal fixed, if target tile was not a station
	FIX: changing ladegrad in schedule first selected invisible item on top of a scrolled list
	FIX: ladegrad was ignored, if absolutely nothing was there to load or unload
	CHANGE: choose signal will reserve the full way until the target location
	FIX: traffic light switched to seldom after reloading
	FIX: zoom out error with 128 pak and electrification


Release of 88.06.1

05-Mar-2006: (prissi)
	FIX: one way signals/roadsigns work together with the choose points
	FIX: monorail ground saves slope (otherwise the slope could be changed by building below)
	CHANGE: schedules are now recalculated more often
	FIX: no tunnel or bridge destroyed by slopes anymore
	ADD: indicator for convois stuck for more than a month
	FIX: much less redraw troubles with slopes (will be drawn as foreground, if any object is behind them)
	ADD: season indicator
	FIX: UNDO did remove tracks but no electrification
	FIX: block reservation now saved
	CHANGE: made line chart more slim
	FIX: when vehicle braking was larger than acceleration in curves => acceleration to insane speeds
	FIX: removing halt with no ground during load
	FIX: only removing really empty bridges without stops
	FIX: several translator text adjusted with program texts

04-Mar-2006: (prissi)
	FIX: choose trains go to the end of a platform again
	FIX text changed to "Die Bruecke ist nicht frei!\n"
	FIX: correctly loading and saving monorails


Release of 88.06

04-Mar-2006: (prissi)
	FIX: airplanes check for exit the map (although this should never happen)
	FIX: runways may only built up to four tiles next to the border
	FIX: no depots on top of depots
	FIX: too young trees with different timescales
	FIX: sort options in convoy dialog were not correctly remembered
	FIX: presignals works with monorail
	CHANGE: presignals now reserve needed blocks => hopefully less deadlocks (but may be screwed up during reloading)
	CHANGE: choose signals are possible (as result of the above change)
	CHANGE: buttons and labels are now translated, when the text is assigned


Release of 88.05.1

01-Mar-2006: (prissi)
	FIX: townhall added wrong buildings during renovation => crash when generated passengers afterwards
	FIX: connecting to the end of an unconnected bridge (now again going through tunnel and bridges for way calculation)
	CHANGE: sync_prepare() only called one time before sync_step() => lost of useless objects are not called any more every frame
	FIX: trams find depots again
	CHANGE: built on top of cars or pedestrians (may cause graphics errors)
	FIX: oilrig and other water factories fixed when loading old sets
	FIX: wrong sound when closing tool bars
	FIX: again correct gear in convoi details
	FIX: several wrong sounds/smoke for vehicles
	FIX: more error checks for way builder
	FIX: change to entries to their translator entries: Oktober and Load game
	CHANGE: all list: left key info, right key goto


Release of 88.05

25-Feb-2006: (prissi)
	CHANGE: runways now system_type=1, independent of max speed
	FIX: traffic density=0 => no cars generated
	FIX: townhall construction with uneven grounds
	FIX: maintenance adjusted according acceleration factor
	FIX: no longer roads through depots, bus stops or loading bays (hopefully)
	FIX: sound hashes were wrongly calculated => hopefully fixed
	FIX: player initialisation during map creation not allowed for passenger stations for player 0 and 1

24-Feb-2006: (prissi)
	FIX: crash in waybuilder when runway starts on streets or when a way costs no maintenance
	FIX: wrong slope display (was back to old state?!?)
	FIX: tunnel block connection
	FIX: connection rails with tram rails
	FIX: deleting bridges with roadsigns and stops
	CHANGE: extended bridge search for unknown bridges during loading
	CHANGE: all vehicles smoke, if requested
	FIX: stop of passenger generation when timer overflowed fixed
	CHANGE: only relative time steps used => much faster and more reliable for the game
	FIX: nearly complete renovation of blockmanager
	FIX: F12 key does not crash game anymore
	CHANGE: bridge may end at vertical slopes
	FIX: "harbour tunnel" works again (as some other complex tunnels too)

23-Feb-2006: (mip)
	ADD: citylist including sorting

21-Feb-2006: (prissi)
	FIX: checking all schedules during loading for illegal entries
	CHANGE: try even harder to find the right vehicle during loading (=> more chances of loading broken savegames/games from other paks)
	ADD: new type "monorailstop" for monorail stations and extension buildings (=> makeobj=33)
	ADD: slower timespeed possible (set bits_per_month in simuconf to values higher 18) and display of day possible (show_month>=2) see simuconf.tab


Release of 88.04.4

19-Feb-2006: (prissi)
	FIX: saving depots
	FIX: display of attractions


Release of 88.04.3

18-Feb-2006: (prissi)
	FIX: sum up freight of same catg again
	CHANGE: extended convoi detail dialog, mover kill button to details
	FIX: ugly tunnel bug
changed translations:
added: Leistung: %d kW
removed: Transported Goods

15-Feb-2006: (prissi)
	FIX: track builder always failed in a station
	CHANGE: cleaned up the depot code code, monorail and trams are now classes
	FIX: monorails no go again to the end of a station
	FIX: expensive rails are no longer replaced by cheaper ones
	CHANGE: larger passenger destinations in city window
	CHANGE: unified color scheme for charts

13-Feb-2006: (prissi)
	FIX: error check when building stops on completely empty tiles
	FIX: deleting harbour: water again at correct position ...


Release of 88.04.2

12-Feb-2006: (prissi)
	FIX: monorailine correct
	FIX: again tram depots
	FIX: again air stops
	FIX: remove unused vehicle list (that was really eating memory ... )
	FIX: sell again vehicles in depots without removing them


Release of 88.04.1

11-Feb-2006: (prissi)
	FINISHED: full monorail support including ramps (using a bridge)
	FIX: line financial calculation fixed
	FIX: line window

8-Feb-2006: (prissi)
	CHANGE: monorail line
	FIX: deleting habours
	CHANGE: goods (bonus) frame
	FIX: aircraft in depot broke savegame
	CHANGE: further monorail support

7-Feb-2006: (prissi)
	FIX: curiosity list was cutting names
	FIX: no passengers generated after loading of a map
	CHANGE: unified schedule routines
	FIX: convoy wait for loading on empty stations work again
	FIX: convoiinfo help window again
	FIX: connection neighbours rewritten to check all ground levels => should work with subways too (if they come)
	FIX: deleting busstops
	CHANGE: monorail now separate from rail vehicles
	CHANGE: blockmanager reworked in many aspects

6-Feb-2006:
	CHANGE: all station buildings routines unified => no crashes of no city there, only two error messages: "No terminal station here!" (4 layout) "No through station here!" (2 layout) => also terminal stations for bus stops, trains or channels
	CHANGE: all depot buildings routines unified => only one error messages: "Cannot built depot here!"
	CHANGE: cursor normal after building depot
	still not fixed: connection code

5-Feb-2006:
	FIX: line window crashed when opened twice
	ADD: covertiles over vertical trogs
	FIX: no vehicle beaming any more (was waiting in sync_step instead step!)

Release of 88.04

3-Feb-2006(prissi):
	CHANGE: big code cleanup, german translation cleaned of all unnecessary strings => all official strings now there
	CHANGE: map legend now closes with main map
	FIX: linking order for gdi (=> again wav sound)
	ADD: error message, if a feature is not yet available.

2-Feb-2006(prissi):
	CHANGE: sound system now working; all sound are save under pak*/sound with a description either in sound.tab in the same folder or a wavefilename in the vehicle description
	CHANGE: new menu order, separated monorail and tram; Help button. New text RAILTOOLS, MONORAILTOOLS, TRAMTOOLS, ROADTOOLS, SHIPTOOLS, AIRTOOLS, Help and Fast forward
	CHANGE: loading indicator and dummy message if no simuconf.tab is found (to avoid 80% of the complains I get via mail!)

31-Jan-2006(prissi):
	ADD: cityrule T and t for not a stop/stop
	CHANGE: schedule do not allow waypoints for airplanes over stops
	FIX: deleting water bridges
	CHANGE: sound paks halfway done

30-Jan-2006(prissi):
	FIX: building/destroying bridges, wayfinder for bridges
	FIX: cost of houses
	FIX: crash when deleting stations
	FIX: go home button reactivated
	ADD: convoi details (new strings: "Manufactured:", "Power:", "Gear:")

Release of 88.03.2

29-Jan-2006(prissi):
	FIX: display of number during new world dialog
	FIX: renovation townhall works again as intended
	FIX: convoi count during reloading fixed (leads to crash of line management window)

Release of 88.03.1

29-Jan-2006(prissi):
	FIX: no crossings through stations/bus stops for normal tracks
	FIX: station naming with industry (%s building %s %s) for industry stops

28-Jan-2006(prissi):
	FIX: loading lines
	FIX: convoi info display: much less recalculations during loading/unloading
	CHANGE: now only the free load in terms of categories is given (not goods)
	FIX: removed several unused memory wasting variables from gebaeude_t
	CHANGE: now town passenger skips tourist attractions during town loop iteration => not iterated twice
	FIX: town statistics

27-Jan-2006(prissi):
	FIX: New year calculation for Autosave/timeline ...
	FIX: disable arrow buttons
	CHANGE: goods list design
	FIX: new world info some fixes
	FIX: bridge builder for channels

26-Jan-2006(prissi):
	FIX: init line ids when destroying maps
	CHANGE: order of buttons in halt list

25-Jan-2006(prissi):
	FIX: acceleration on slopes
	ADD: Repeatbuttons
	ADD: correctly routing through tunnels again
	FIX: wrong color in finance window
	FIX: monuments were not added to towns
	FIX: tunnel next slopes fixed

25-Jan-2006(mip):
	FIX: factory list and curiosity list


Release of 88.03

23-Jan-2006(prissi):
	ADD: automatic alignment of station extension buildings (must be either defined with dim=x,y,layout (layout=1,2 or 4), x>=y and following order N E S W)

22-Jan-2006(prissi):
	CHANGE: now line management for every player

21-Jan-2006(prissi):
	CHANGE: station now have a capacity of 32*level; thus price reflect station capacity
	CHANGE: changed owner of several dialogues
	CHANGE: new world functional, new string "Intercity road len:", obsolete ones. "7WORLD_CHOOSE", "7WORLD_CHOOSE", "

18-Jan-2006(prissi):
	CHANGE: new town population/passenger destination system (takes into account only existing buildings)
	CHANGE: new world dialog renovated

17-Jan-2006(prissi):
	ADD: automatic slider recalculation at halt info and convoi info
	CHANGE: consistent colors for negative and positive amount in dialog (red/black)
	FIX: wrong maintenance calculation when replacing roads (include other players ones)

16-Jan-2006(mip):
	CHANGE: new attraction list
	ADD: overlooked the following translations: "\nelektrified", "\nnot elektrified", "\nRail block ", "\n\nRibi (unmasked) ", "\nRibi (masked) "

14-Jan-2006(prissi):
	FIX: building constants now configurable in simuconf.tab (see there)
	FIX: new player frame (mostly internal change)

13-Jan-2006(prissi):
	FIX: way is kept when building/removing bridges
	ADD: tooltip "Alters a schedule.", "loaded" for convoiinfo, further rearrangement
	CHANGE: goods in convois and stops are sorted by the same rules => same sorting options
	CHANGE: convoi freight info and stop freight info only updated when needed => saving lots of time
	ADD: translations "follow me", "Follow the convoi on the map", "Sort by"

11-Jan-2006(prissi):
	CHANGE: convoi_info new text "%i km/h (max. %ikm/h)"
	FIX: (un)loading in harbours
	CHANGE: following convois via convoi info
	FIX: crash building tracks under pillared roadbridge
	FIX: again schedules with only one stop possible

10-Jan-2006(prissi):
	CHANGE: following convois via convoi info
	FIX: crash building tracks under pillared roadbridge
	CHANGE: better error check before building harbours
	CHANGE: definition of wege
	FIX: first all down will flatten a tile (more intuitive), using a slope on identical couble slope will make it steeper

9-Jan-2006(prissi):
	CHANGE: convoi list: minus red, further polish of halt_info
	CHANGE: halt_info: obsolete strings "Akzeptiert"
	FIX: scroll_pane now clips correctly
	CHANGE: speed bonus now in percentage instead of absolute speed => higher bonus for earlier fast stuff, lower for new stuff (may require new balancing :() (but effect not too much, only very fast things get a little less)
	the formula is now speed_bonus_faktor = 100*speed/mean_speed-100 (i.e. the speed difference in percent) => goods_price*(1000+speed_bonus_faktor*bonus_faktor(10%=10))/1000;
	CHANGE: new good list, obsolete translations: "Preis", "Bonus", "Category", "Speed boni for road %i km/h, for rail %i km/h, for ships %i km/h, and for air %i km/h."
	CHANGE: new texts: "Speedbonus %i%%:\n    road %i km/h, rail %i km/h, ships %i km/h, planes %i km/h.", "gl_txt_filter", "gl_speed_up", "gl_speed_down", "gl_btn_unsort", "gl_btn_sort_name", "gl_btn_sort_revenue"
	FIX: powerline construction now cost again money ...
	FIX: wrong tunnel slopes solved
	FIX: building on slopes not destroyed during reloading


Release of 88.02.1

8-Jan-2006(prissi):
	FIX: error with slopes mostly fixed => you can even built a channel using slopes
	FIX: monorails now display again correctly
	FIX: no rails at tunnel start
	FIX: station alignment on bridge start fixed
	FIX: no automatic bridges and tunnels any more => no crashes for public road and other occasions


Release of 88.02

7-Jan-2006(prissi):
	FIX: aircraft did not accelerate after reaching flight level
	CHANGE: "cooperate identity" exactly same dimensions for all list buttons started
	CHANGE: halt info, new text "Passengers %d %c, %d %c, %d no route\n\nCapacity: %i\n" instead "Passengers today:\n %d %c, %d %c, %d no route\n\n%s\n"
	CHANGE: elements of halt list rearranged => more compact design
	CHANGE: adjustable costs for many things, level for station buildings ... (see simuconf.tab)
	FIX: double character with GDI and numlock

1-Jan-2006(prissi):
	FIX: changed all income calculation to 64 bit => hopefully no overruns any more
	FIX: wayfinder check now for artificial slopes and starting tile
	CHANGE: cost of land changes more balanced, tunnels more expensive
	CHANGE: nicer indicator in lower line
	FIX: 8 bit SDL works again fine

31-Dec-2005(prissi):
	CHANGE: makeobj recognizes now all waytypes in all relevant objects
	FIX: way finder now takes care of powerlines when building bridges
	FIX: now slopes are correctly checked before built => more slopes possible
	FIX: selling airplanes do not delete a depot

29-Dec-2005 (prissi):
	FIX: deleting order change => no crashes when quitting a game with vehicles in depot that are assigned to a line
	CHANGE: ways now take care of their images themselves also for crossings
	CHANGE: new slope calculation working (needs new graphics)

28-Dec-2005 (prissi):
	CHANGE: way image is now calculated by the way, not by the ground => 4 Byte less per tile
	CHANGE: correct calculation of offset for double height slope building foundations

27-Dec-2005 (prissi):
	CHANGE: more flexible bridge search in wegebauer
	CHANGE: using existing bridges/tunnels when calculating new ways
	ADD: estimates cost for construction before building
	ADD: show difference to start location when building ways
	CHANGE: more prominent waiting display in the schedule window

Release of 88.01.3

26-Dec-2005(prissi):
	FIX: cursor keys for SDL and Allegro
	FIX: mouse pointer for Allegro
	FIX: symbol alignment fixed for message options
	FIX: missed airplanes again included into 64 pak

Release of 88.01.2

25-Dec-2005:
	two tiles drawing code operational; but, the effect is rather small and only seen in very hilly maps

22-Dec-2005:
	FIX(prissi): change factory precision to allow high-volume production
	FIX: redrawing title bar under not Allegro

21-Dec-2005
	ADD(tron): new makefiles (all options now in config.default, copy config.template and edit this)
	ADD(prissi): citycars with destinations (not recommended, just to many which want to reach places without roads)
	FIX(prissi): Allegro now with mouse in menu bar

18-Dec-2005(prissi):
	ADD: colors for channels in minimap
	FIX: factory now consumes goods according to their setting (before: the number of products) If a factory produces less, it will consume less.
	FIX: 's' builds road again

13-Dec-2005(prissi):
	FIX: when deleting a line, the schedule from convois in depot will be deleted
	FIX: dinglist could cause a crash when asking for a single deleted object (i.e. on a road)
	ADD: factory added to stop names (when built close to it)

12-Dec-2005(prissi):
	FIX: powerlines again buildable
	FIX: route calculation of aircraft improved
	CHANGE: wait for loading percentage now several numbers with wrap around
	ADD: waypoints for planes
	ADD: aircraft circle during waiting for free stop

Release of 88.01.1

10-Dec-2005(prissi):
	ADD: citylist with total inhabitants
	ADD: new switch in simuconf.tab "just_in_time" (default=1) which allows switching off just in time logistics
	CHANGE: new factory construction: try to connect always to an existing factory, and ignore the distance, if the connection factory is not an elemental source
	FIX: redraw error, when AI changed land height hopefully fixed
	CHANGE: map display updated also with several options on

6-Dec-2005(prissi):
	FIX: takeoff/landing direction
	FIX: overflow on large maps and long transport
	FIX: waybuilder now forbid curves on runway nearly 100% (only be deletion still possible)
	ADD: nl key file by stormoog
	FIX: no queuing over airstops for flying planes

3-Dec-2005(prissi):
	CHANGE: A* for ways (finally!)
	FIX: drive on left zoom out bug in 128 solved (this one was well hidden)
	FIX: key handling in SDL renovated
	FIX: more error checks when deleting signals to recover from orphan signals from before ...


Release of 88.01

2-Dec-2005:
	FIX(prissi): fiddled a little around with the signal deletion routine. No crashes, after a some tries
	FIX(prissi): monorail again deletable
	FIX(prissi): identical blocks on different tracks when using undo fixed
	ADD(mip): Marko keys (set them with CNTRL+F2...F14) and recall them with simple F2...F14
	FIX(prissi): tool bars again in more rows
	FIX(prissi): cleaned up sources, took in Allegro support (wow, is the fastest so far!)
	FIX(tron): nice makefiles

30-Nov-2005 (prissi):
	FIX: air depot/terminal alignment
	FIX: only straight runways
	FIX: power large than 65536 and gear larger than 255 are now handled correctly
	FIX: slower acceleration on runways
	FIX: when ground was changed, airplanes were stuck
	FIX: "nicer" calculation of speed during different flight positions
	FIX: made planes compatible with half height version
	FIX: error when zoomed out with different base tile sizes
	FIX: A* route calculation was actually wrong and very badly implemented
	FIX: AI even more biased towards networks
	FIX: fiddled a little around with the signal deletion routine. No crashes, after a some tries
	FIX: monorail again deletable
	FIX: identical blocks on different tracks when using undo fixed

28-Nov-2005:
	FIX(mip): curiosity list used strtok, which wrote into the read-only strings from translation! (also customize display: "%s (%i,%i) - (pax %i, post %i)" for translation)
	FIX(mip):
	FIX(hsiegeln): divers error messages around schedules and station buildings


Release of 88.00

22-Nov-2005:
	FIX (hsiegeln): do not count vehicles in depot for line capacity
	FIX (hsiegeln): display in convoi and schedule list
	FIX (prissi): vehicles in depot are shown, even if obsolete (but apparently worked before too)
	FIX (prissi): speedboni are always initialized with default values
	CHANGE (prissi): zero number if goods waiting are omitted in haltlist
	FIX (prissi): vehicle going in wrong depots
	CHANGE (prissi): haltlist now also with CNTRL functionality (CNTRL+click = only jump to position)

20-Nov-2005 (prissi):
	FIX: no income generated at waypoints
	ADD: free chose of stops for cars after certain signposts (new sign flag "free_route=1")
	ADD: new entry for halt filter (type "hlf_chk_airport")
	ADD: indicator for city attraction in the attraction list
	FIX: cursor alignment for up/down fixed
	FIX: minimum income for any good is 1/8 of the normal income, even if speed bonus is negative

17-Nov-05 (hsiegeln/prissi):
	ADD: airplanes
	ADD: stations need support building for certain types. Now there are freight stations that needs a waiting hall to accept passengers.
		for the obj=building the type="" has been extended by the following types.
			station - Rail stop (2 dir)
			busstop - Road stop (2 dir)
			carstop - Road stop (4 dir)
			habour - in the sea (4 dir)
			wharf - channel stop (2 dir)
			airport - plane stop (4 dir)
		These can have additional flags strings:
			extension_building=1 - extents like the station buildings (1 dir) (cannot build on a way)
			enables_pax=1 - passengers can travel from here
			enables_post=1 - mail can start from here
			enables_ware=1 - good are accepted here
		Without these flags, a stop will not accept anything!
		A freight station must posses "type=station  enables_ware=1" or it won't accept freight.
		For generic, not stop specific buildings, there are three entries left:
			hall - waiting hall (1 dir)
			post - post office (1 dir)
			shed - goods shed (1 dir)
	The halt list and halt dialogue are extended by a small symbol indicating what this station accepts.


Release of 87.02

13-Nov-2005 (prissi)
	FIX: after reloading, check stations for post offices (was broken before)
	FIX: search for next station failed too often
	FIX: error message when AI failed building a route does not appear any more
	FIX: crossing channels with electric wires again ok
	FIX: going to end of station also on bridges
	FIX: avoid deleting parts of a bridge
	FIX: default filter state for convoi list is off
	CHANGE: A* for faster pathfinding and preference of faster ways for faster vehicles
	FIX: correct booking of roadsigns
	FIX: again sorted as intended by category amount transported engine type, speed, power, ...
	FIX: some further finetuning of cost, speeds etc.
	FIX: some goods were wrongly joined, if there were two goods for the same factory at the same final stop
	ADD: click on vehicle in depot will open depot window (should be like that from the beginning ... )
	CHANGE: factory names for 64 changed again for compatibility with very old savegames (but 87.xx might not load!)
	CHANGE: renovated japan pak for timeline and consistent building names, many new trams ...


Release of 87.01

4-Nov-2005 (prissi)
	FIX: loading old maps with obsolete docks
	FIX: no route next to attraction should now have a more meaningful number (so you can better guess how much you have to transport)
	FIX: mail from attractions and factories again 4x received mail
	CHANGE: some further small optimizations for faster drawing of dialogues
	CHANGE: vehicles now sorted in depot by intro year and engine type
3-Nov-2005 (mip)
	ADD: curiosity list
3-Nov-2005 (prissi)
	ADD: channels as waterways, habour as "...ChannelStop"
	FIX: mail flag correctly recalculated after changing a station
	FIX: deleting tunnels
30-Oct-2005 (prissi)
	FIX: builds again presignals
	FIX: under some circumstances, building on ways (e.g. all stations) were not correctly removed
	FIX: several data of pak64 vehicles finetuned, mail carriage added, busstop before 1900 added
	ADD: Fast forward (keycode W)
	ADD: indicator for fast forward and timeline (translatable "timeline" "no timeline")
	FIX: calculation of speed bonus changed => bonus not per car, but per passenger
	FIX: timeline was sometimes some years off; especially after loading old games


Release of 87.00

27-Oct-2005 (prissi)
	CHANGE: train outside depot on same square are displayed first
	CHANGE: no goods are sent to overflowing industries
	CHANGE: halt status color also red, when goods are overflowing station
	CHANGE: accepts freight at all stops near factories (including bus stops)
	CHANGE: road, rail and ship bonus now depend on average speed, if timeline is on
	FIX: some errors loading older savegames fixed
	FIX: on animated tiles missing phases will return the tile at phase=0 (i.e. baumarkt)
	FIX: alignment error of up-/down slopepointer
	FIX: could remove a non-empty depot ...
	FIX: industry chain creation could crash without cities
	FIX: schedule is corrected for invalid entries after input
	ADD: full use of copyright entries for houses and vehicles
24-Oct-2005 (prissi)
	FIX: roadsign cost correctly display (and not free anymore) and now also on bridges
	FIX: return ticket finally working (was too easy to do it right?!?)
	CHANGE: close topmost window by ESC or DEL
	FIX: not replacing city roads below depots (fixed sending home error)
	FIX: removing overhead wires make now removes electrified status again
	CHANGE: Using Mersenne Twister algorithm for faster and better random numbers
	FIX: when renovating, check, if I can renovate something; if highest level reached: do nothing
	CHANGE: full building timeline for 64 pak with many new building (=> can play from 1900)
	CHANGE: era and copyright message for buildings
	ADD: many new trams, alignment corrected for existing ones
	ADD: new player1 tool: jump a year forward
	CHANGE: haltlist now member of planquadrat
	ADD: stations on bridges
	CHANGE: also for stops, station, schedule entries, roadsign signals: CNTRL is from up, normal from down


Release of 86.10.5

16-Oct-2005 (prissi)
	FIX: time now corrected after loading (no jumps)
	CHANGE: city takes over city road ownership
	CHANGE: growth now size dependent (max 1.67 for <1000, max. 3 for <1000, max. 6 for other)
	FIX: good distribution always, when more than 10 produced: non-distributing factories should be gone
	FIX: passenger and mail coverage display fixed
	FIX: connection from factories and town were asymmetric and only passengers went to the last factory in the list
	CHANGE: train can drive now on any track (also on public owned roadcrossings ...)
15-Oct-2005 (prissi)
	FIX: deleting upper and lower objects tweaked a little
	FIX: also now deleting of tram rail on a road works out
	ADD: public stops for player 1 can be now constructed everywhere. New tiles of this stop will be also public.
14-Oct-2005 (prissi)
	FIX: timeline can be also altered afterwards on non-locked maps
	FIX: crash when lowering land at the lower right border
	CHANGE: selection of next building now via "chance=" (default 100)
	CHANGE: timeline enforced for ways, bridges, and buildings incl. stations and attractions (new makeobj needed, support now fully retire_year/retire_month and intro_year/intro_month)


Release of 86.10.4

13-Oct-2005 (prissi)
	FIX: no power generation in foreign languages fixed
	FIX: after assigning the same line twice, convoi did not move anymore
	FIX: may be fixed problem in industry chain building
	FIX: current entry not changed when appending to a schedule
	FIX: vehicle will only load people up to the next time it reaches a stop
	CHANGE: CNTRL+roadbuilder will replace also fast by slower road
	FIX: first use of 's' for roadbuilding -> crashed program
	FIX: setting new schedule could crash on fast computers or long lines due to recursive calling
	ADD: two new settings to simuconf.tab "only_single_info" and "window_buttons_right"
	CHANGE: configure, that always a single window opens up
	CHANGE: for you arabic and hebrew writers and all brainwashed by gates: close button configurable to the right (goes best with Win98 skin ... )
	ADD: timeline, starting year and cheating mode can be set in the starting menu (and will be fixed further one, allowing for competitions)
	ADD: new edit tool to protect a map from further change
	CHANGE: new spanish, portuguese, czech, and dutch translation for 64 set
	CHANGE: further reordering of deletion order ...
	FIX: if factories were connected via station areas, goods disappeared ...

Release of 86.10.3

09-Oct-2005 (prissi)
	FIX: size of station coverage wrongly calculated
	FIX: order of object deletion a little adjusted
	CHANGE: can delete pedestrians (sound really like hitman on the nearby roof :()
	ADD: CNTRL+remove will remove ground objects first
	FIX: detail button in factory info was wrongly aligned
	FIX: error with construction site lookup
	some FIX: deleting signals should now work better than before


Release of 86.10.2

5-Oct-2005 (prissi)
	FIX: fundament slope drawing errors corrected
	FIX: showing attraction in the minimap removed all attraction from the internal vector => crash
	FIX: crash when deleting the last stop of a schedule (revolved to increase the maxi-counter in fahrplan_t) => savegameversion 86.10
	CHANGE: removed halt_list from factory, changed fpl to minivec_tpl (now max. 255 stops in a schedule)
	CHANGE: route of goods was calculated twice when delivering to a station
	FIX: stealing from competitor works now (and also more intelligent goods distribution from factories)
	ADD: status now also shown in factory image
	FIX: more than two near stops (error in inset template)
	FIX: correct translation (and maybe also player issues) solved with line management
	CHANGE: 't' and 's' remembers last used track/road type for construction
	FIX: update errors in depot
 4-Oct-2005 (mip)
	ADD: factorylist (new entries in translation: fl_title, Fabrikname, Input, Output, Rating)


Release of 86.10.1

3-Oct-2005 (prissi)
	FIX: city check now for all non-removable objects before expansion
	FIX: check with valgrind -> no errors left (apart from SDL and lost memory)
	ADD: preliminary monorail-support (vehicle needs still better alignment)
	ADD: waypoints on bridges (and other preparations for station on bridges)


Release of 86.10

2-Oct-2005 (prissi)
	FIX: removed some out of bounds arry_tpl's access.
	FIX: error with deleting the last objects from a tile (errors in dingliste_t)
	FIX: traffic light graphics were wrongly ordered
	FIX: no longer burying ship depots under sea mountains
	CHANGE: ausflugsziele now weighted array (weighted_vector_tpl) -> faster selection of passengers
	CHANGE: cities now weighted array (weighted_vector_tpl) -> faster selection of passengers, more travellers to bigger cities
	CHANGE: intercity travellers will now also go back (=> more traffic from larger cities)
	CHANGE: goods will be now distributed to the stop which is a) not overflowing and b) has less in storage (so you can "steal" from another company)
	CHANGE: travellers destination cities are now weighted by their size
	FIX: minimap redrawing when changing grid ('#') fixed
	FIX: numbers in depot correctly updated
	FIX: no more crashes with pillars
	FIX: also when building stop after a schedule is set, this schedule will be recognized


Release of 86.09.3

24-Sep-2005 (prissi)
	FIX: also loading games with too many objects on one tile (warning will be given)
	FIX: working again with factories with more than 30 destinations and 10 suppliers
	FIX: artificial slopes now nearly always ok (one case is not solvable)
	FIX: reloading streets with paveway are again 50km/h
	FIX: sending back pax was not trying original destination => too many no route
	FIX: forgotten comment: citycars deceased after 100 hops ...
	ADD: traffic lights


Release of 86.09.2

23-Sep-2005 (prissi)
	FIX: citycar stopped also when passing a car
	FIX: correcting rail blocks when loading
	FIX: destroying building cost again money
	FIX: try to fix memory leak with powerlines
	FIX: not post for non-accepting stops (check for correct routing please)
	FIX: screenshot for windows again
	ADD: show accepted good types also in station details
	FIX: pillar show bridge info
	FIX: several alignment errors with yellow steel bridge
	ADD: brick rail viaduct
	ADD: length limit for certain bridges (max_lenght=)


Release of 86.09.1

16-Sep-2005 (prissi)
	FIX: bridges now cost again money
	FIX: citycars and pedestrians behave now as intended
	FIX: citycars delete themselves at the end of their lifetime
	CHANGE: non-square buildings are allowed also without rotation
	FIX: click in town tool now on correct line
	FIX: overlarge windows now moved to left corner
	FIX: again water industries (was built in wrong order [pri=1])
	ADD: resizeable depots
	ADD: preliminary support for pillars in bridges: "pillar_distance=1...x" (distance [0=default off]), backpillar[s]=..., backpillar[w]=....


Release of 86.09

13-Sep-2005 (prissi)
	ADD: Additional tool "natural slope"
	CHANGE: changing terrain becomes much more expensive (so use bridges and tunnels more often)
	FIX: some more drawing errors with slope fixed
	CHANGE: more equal distribution of tools in a toolbar
	CHANGE: citycars will no turn into a dead end (check 2 tiles ahead)
	FIX: again pedestrians (was broken since 86.07)
	CHANGE: new setting in simuconf.tab: "drive_left" will offset all citycars, trucks, roadsigns, ... to the other side of the road (there will be still some clipping errors)
	CHANGE: artificial slopes now includes the natural ones
	ADD: Isaac new roadsigns
	ADD: cityroad configurable "city_road_type" in simuconf.tab
	FIX: cars now also wait on diagonals
	CHANGE: new vehicle-sorter, thus trams look a little better and it know about left side driving

11-Sep-2005 (prissi)
	FIX: cursor keys with SDL working again
	FIX: remove obsolete keywords from translations, also small font will be ignored
	FIX: en.tab and de.tab for finances/map legend
	ADD: Some buildings from Moistboy and de/en translation texts
	ADD: road inside city limits will get a sidewalk after some time
	ADD: "Total inhabitants:" to citylist which shows the number of total inhabitants
	CHANGE: made dinglist to maximum size 255, and single objects are stored directly => much faster loading, saved another 2 bytes per tile and 32 byte per empty tile/one object tile
	CHANGE: removed fundament type from ding-types => 56 bytes less per building
	FIX: Some more error checking, when loading ways => can cope with unknown ways


Release of 86.08.1

10-Sep-2005 (prissi)
	FIX: wrong engine types for obsolete rail type "electrified_track" in old packages
	FIX: SHIFT again dead key with SDL
	FIX: after removing stops from a schedule, the removed stop was not updates => passengers waiting for non-existent lines
	CHANGE: Allowing for 32 workers destinations (More would be easy, by may slowdown passenger generation a little.)
	CHANGE: haltlist to minivec_tpl => saved about 2 bytes per tile
	FIX: error check during scroll bar creation
	CHANGE: tried yet another set of routines for GDI which seems to work on all machines I could test
	CHANGE: newly arranged finance window, obsolete string now "Construction:", "New Vehicles:","Vehicle Running Costs:","Revenue:","Total:","Maintenance:","Balance:"


Release of 86.08

3-Sep-2005 (prissi)
	FIX: convoi in depot which were assigned a line or a schedule started after reloading.
	CHANGE: Separated map and legend. Got rid of small font
	FIX: Closing button should check, if closing is ok.
	ADD: built straight ways by pressing control during mouseclick	(just using a dumb minimizing distance algorithm)
	FIX: factory production calculation could overflow under bad circumstances.


Release of 86.07.4

2-Sep-2005 (prissi)
	CHANGE: new map button "factories", no more clutter in the legend
	FIX: divers "delete" to "delete [] ", which are different operators. valgrind now only complains about SDL stuff.

Release of 86.07.3

30-Jul-2005 (prissi)
	FIX: cursor alignment with 128
	FIX: no money making by open schedule window during loading in a station
	FIX: message list now displays all messages again
	FIX: divers errors around the GDI display routines and further speed up + sound and midi
	FIX: cursor offset finally corrected for all display widths


Release of 86.07.2

25-Jul-2005 (prissi)
	FIX: again correct train types for newer paks
	FIX: error during loading was using evt. uninitialised minimap
	CHANGE: order in railtools and tramstools roughly similar
	CHANGE: background for tunnel graphics (was returning always foreground)
	CHANGE: AI will always keep cityroads
	FIX: roads under harbour deleted
	FIX: AI now uses better calculation of income (before always the farthest factory won)
	CHANGE: zeiger now drawn on to of everything
	CHANGE: allow to crossconnect all factories (via crossconnect_factories=1 in conf/simuconf.tab)
	FIX: factories initiated more than one smoker instance during loading (could break savegames)
	FIX: cars and trains now really vanish in tunnels (more or less)
	CHANGE: wrote extremely simple direct copy in Windows-GDI. Seems 2x faster than SDL and the debugger works a little, yeah!!!


Release of 86.07.1

15-Jul-2005 (prissi)
	FIX: fundament as subtype of grund was a bad idea: no more objects were detected!
	FIX: no new month after starting a new game!
	FIX: error in routings could led to a crash of the sort routines displaying the station info!
	CHANGE: extensive correction no done during loading of savegames. If you are lucky you may be able to load an 128 savegame (or a german) with the 64 and vice versa.
	CHANGE: weg_t are now the only waytypes (vehikel_besch_t::strasse no longer valid)
	CHANGE: made way for lower hills (actually there is a TTD-like graphic set under way ... )


Release of 86.07

13-Jul-2005 (prissi)
	Internal cleaning up of some data structures => more run-time memory, preparation for other machines/64 Bit
	Repaired/Changed some code to make it compatible with DevCpp
	Changed the list handling code: There was a lot of unneeded memory use (class instead struct) and some overhead. Also more friendly to different compilers.
	Changed the mempool code: Reuse the blocks also used for the list handling code (will be always size of 4, 8, 12, ... bytes up)

	CHANGE: removing now first deletes citycars, then roadsigns/signals, otherwise like before
	FIX: key help dialog is now a magic one (only open once)
	FIX: limit maximum speed even hill down to maximum_speed+20 (higher speed would likely cause a derailment in reality)
	FIX: now the absolute year is saved (avoid cheats) With saving and reloading every 500 years or so this should allow unlimited long games.
	CHANGE: Non-quadratic maps (my favorite is always 512x256)
	CHANGE: Unmagic cityinfo (so you can open more than one) and city info does not forget its settings anymore
	CHANGE: try to built a little more straighter road/tracks also for diagonals (not 100% working yet)
	ADD: presignals now possesses a third stage, i.e. next block free, but next one still not free
	FIX: Paranoia check during loading can partly repair broken savegames during loading/saving
	CHANGE: vehicle values drops now 50% in 20 years and changes monthly.
	CHANGE: passengers and goods are first loaded for the nearest stations the convoi goes. This allows to built local and station skipping highspeed lines.
	ADD: after three month not moving, citycars will turn around. If still stuck, they will report "To heavy traffic\nresults in traffic jam.\n" as a problem
	CHANGE: citycars will wait for next free hop in a step() (saving lots of calculation time)
	CHANGE: autosave value gives now interval in month (0=off)
	FIX: no more redraw errors with slopes behind buildings
	CHANGE: sorting by number of passenger for the next destination (i.e. connecting to xyz)

	64 Graphics:
	ADD: new station building and new harbours from timeshock/converted 128px graphics


Release of 86.06

6-Jul-2005 (prissi)
	FIX: calculation of slopes after lowering landscapes now correct
	FIX: connection with a near stop could fail for non-symmetrical station buildings
	FIX: full-window mode works more reliable
	FIX: crash, when the land on a route was removed
	FIX: From a stop under a bridge a vehicle can directly hop onto the bridge (error in koord3d comparison, might be also affected other places!)
	FIX: railwindow and editwindow excluded each other
	ADD: normal cars now also do not run over each other but wait like trucks etc.
	ADD: roadsigns for no entry and minimum speed
	ADD: name of current player in the bottom bar
	ADD: many new help texts from Gotthardlok


Release of 86.05.1

23-Jun-2005 (prissi)
	FIX: now correct waytype when building tunnels
	CHANGE: mail now passenger tab in depots, wagons without payload (usually tender) also into engine tab
	FIX: delete of multi-tile buildings improved
	ADD: deleting industries works, if no station is connected
	ADD: deleting towns by deleting townhalls (the other houses are not affected by this; but only houses within city limits can generate passengers)
	FIX: avoid dropping of frame time below 10ms
	FIX: convoi info windows not correctly checked
	FIX: error message when raising/lowering tiles now correct (came never/too much)
	ADD: monthly autosave (option "autosave = 1" in simuconf.tab) as file autosaveXX.sve (XX=01..12)
	FIX: message repeat now changed a little: Now route/overcrowded messages will be repeated after one month

21-Jun-2005 (prissi)
	FIX: fullscreen mode from simuconf working.
	FIX: redraw error when raising water.
	ADD: 'P' to change player (player 0 is construction AI).
	ADD: Edit menu for player 0 (grow city, shrink city, build cityroad, build attraction)
	CHANGE: build industry now into edit menu


Release of 86.05

17-Jun-2005 (prissi)
	FIX: no resize when dialog open
	FIX: AI busses waiting at tourist attractions were not added to routing tables (and updating tables now asynchronous process).
	FIX: passenger AI could cause random crashes. Also test for indirect connections was no working. Now only new route built, if more than three stations bypassed.
	CHANGE: rearranged icon in the slope tool
	CHANGE: 4 new slope graphs => much less drawing errors (backward compatible)
	CHANGE: forbid use of slopes on potentially dangerous tiles (message: "Tile not empty.")
	ADD: support for headquarters (in dat: obj=building, type=hq, parameters are level= 1,2,3,4,... and passengers=xyz) (Press 'H' to built)
	CHANGE: No stop at waypoints on straight tracks
	FIX: fullscreen-switch repaired


Release of 86.04

11-Jun-2005 (prissi)
	FIX: Jumping trains with no route/wrong depot fixed.
	FIX: rotation for townhalls.
	CHANGE: add schedule will be reset after closing a window.
	ADD: Window resize of main window.
	ADD: Input conversion for non-latin languages. CHRxx (xx is hex between 80 and FF) will be translated from tab-file. Missing entry will give default.
	FIX: check when building docks


Release of 86.03.4

03-Jun-2005 (prissi)
	FIX: crash during return to depot.
	FIX: problems at signals/depot exit to 75% solved.
	CHANGE: now a change for connecting even to distance industries.
	FIX: error with calculation of left over productivity of a factory.
	FIX: slower aging of messages.


Release of 86.03.3

01-Jun-2005 (prissi)
	FIX: long routes also found on large maps by increasing the number of steps of the variable "max_route_steps" in simuconf.tab (default=100000, useful maximum size^2 [16 Byte/entry])
	FIX: crash when town growth requires new industry, but nothing found.
	FIX: to fast disappearing of income messages.
	FIX: bug during entering a schedule when open multiple windows
	FIX: raise height until level 14.
	FIX: wrong season when loaded.


Release of 86.03.2


25-May-2005 (prissi)
	CHANGE: station_coverage_size now saved with a savegame. For old map, default is 3.
	FIX: opening the minimap on faster systems yield FPS>1000. hopefully fixed (+ default refresh=2)
	FIX: retire messages now appear
	FIX: outdated or future vehicles now display with a blue bar instead crashing in a depot
	FIX: finetuning number of trucks for AI
	ADD: parameter "-fullscreen" for command line resp. "fullscreen = 0/1" in simuconf.tab


Release of 86.03.1

23-May-2005 (prissi)
	FIX: overflow in vehicle array position (was not extended)
	CHANGE: made the drawing a little more fluid: everything will move smoother than before (just forced redraws before idle wait) With -refresh 2 even the 128 can be played very fast.
	FIX: Pause could cause a hangup/division by zero.
	FIX: Hopefully no longer factories on slopes or roads


Release of 86.03

18-May-2005 (prissi)
	ADD: "citycar_life" to simuconf.tab (How many tiles can a simutrans car go, before it forever breaks ...) Answer about 2500 per year (depends on speed), default 35000
	ADD: citycars now obey timeline (if switched on)
	ADD: sorting of road and bridges by their speed
	FIX: hopefully fixed some bugs relating to passengers at attractions
	FIX: some bug relation to AI and vehicles with trailer fixed?
	ADD: building post offices on slopes
	ADD: station buildings possible (name must end with "...StationBlg") Will also extend the storage by 128.
	ADD: allow larger maps (but will need lots of memory) and longer trains (up to 24 cars).
	ADD: display of station capacity ("Storage capacity")
	FIX: not starting up when japanese was selected
	CHANGE: calculation of FPS change to a real time based system to avoid very high FPS with high accelerations (downside: at very high stretch times vehicle movement less smooth)

New entries for citycars are:
speed, intro_year, intor_month, retire_year, retire_month

15-May-2005 (prissi)
	CHANGE: Trams only in tram depot (tram only if "waytype=schiene_tram")
	CHANGE: obsolete vehicles can be hidden if the timeline is on
	CHANGE: no electric units shown, if depot did not have catenaries
	CHANGE: new tab for passenger vehicles (to show EMU heads, use freigth=Passagiere and payload=0, to add them here) Name is "Pas_tab" (trains), "Bus_tab" (cars), and "Ferry_tab" for ships.
	FIX: depot window can be now redraw by clicking the obsolete button (will fix display after electrification or rezoom)
	FIX: second row should be selectable after rezoom in depots
	FIX: several small things increasing compatibility to standard C++ (compiles on GCC 2.95)
	FIX: citycar_writer fixed
	FIX: click with tool windows now obey used/unused images


Release of 86.02.2

11-May-2005 (prissi)
	CHANGE: produced good go now first to the factories, which have a storage, that is not overcrowded
	CHANGE: removed the step-wise route recalculation at halts into a monthwise one.
	FIX: error, when good is already at target stop hopefully finally fixed
	CHANGE: retiring date for city cars and engines
	CHANGE: production now really the value in the dat-files => resetting several 64pak values
	FIX: factory location searcher works again as intended
	FIX: some things which placing bus stops
	FIX: no longer send cars to tram depots and vice versa
	FIX: no production during pause any more
	FIX: no longer many transparent pixels when zooming


Release of 86.02.1

05-May-2005 (prissi)
	FIX: error when creating goods and all destinations were empty: only first was served
	FIX: no longer people waiting for transport to own stop
	FIX: numbers of created with no route at station display corrected corrected
	FIX: station type was not calculated after loading => station list empty
	FIX: presignal crashed, when deleted tiles of a calculated route
	FIX: pedestrian graphics fixed


Release of 86.02

01-May-2005 (prissi)
	FIX: error when loading UTF8 citylists fixed
	FIX: rebuild destinations, when convoi was removed by x => no more stale freight waiting
	FIX: when convoi self_detructs, its value is booked back to the owner
	FIX: when station already is already destination => just happy
	ADD: vitus new pedestrians to 64-pak
	CHANGE: oilfield to Ravens oilfield

24-Apr-2005 (prissi)
	FIX: no route found, when factory was to close
	FIX: crashes, if delivery with unknown route?!?

20-Apr-2005 (prissi)
	FIX: ware could not unload at a dock => internal connect calculation no with halt basis_pos
	FIX: again detailed information from public stops
	CHANGE: allow more than one row in the tools
	CHANGE: color indicator on simloops and FPS
	CHANGE: random pedestrian now switch off also in dialog (6LIGHT_CHOOSE), 7WORLD_CHOOSE removed (identical)
	CHANGE: year now also updated in city chart
	FIX: UNDO repaired
	FIX/CHANGE: factory production from dat-files is now per whole factory and independent of the load of simutrans
	FIX/CHANGE: distribution now when more than 10 produced (instead 32)
	FIX: makeobj always appended a cursor and a symbol, even if none defined.
	CHANGE: factory list to vector_tpl, halt_list of grund_t now on demand -> should save lots of memory


Release of 86.01

19-Apr-2005 (prissi)
	CHANGE: passenger to attraction/factory is equal to returning number; mail is 1/8 of returning. This comes for free and reduces the load considerably.
	CHANGE: when a ware was added to a station, the route was calculated again in case of pax
	CHANGE: passenger generation/routing cleaned up and reworked => much faster
	FIX: now really closing all windows before loading
	CHANGE: Building do not step anymore, if not necessary => much faster
	CHANGE: simloop/FPS system complete reworked to allow more time for other applications resp. a smoother scheduling all other times. But now no time stretch <1.0 possible
	CHANGE: factories are now built every 2^x*industry_increase_every

14-Apr-2005 (prissi)
	FIX: no more adding cities after loading corrected; also now in principle an unlimited number of cities should be possible (but something still breaks at 64 ... )
	FIX/CHANGE: traffic to an attraction is now proportional to the level of this attraction
	FIX: ships could only unload under the harbour ...
	CHANGE: random now c instead of C++ => a little faster
	CHANGE: line in fillbox a little higher
	FIX: new GB citylist
	FIX: CMOCxx cause pre PentiumPro to crash => exchanged

10-Apr-2005 (prissi)
	CHANGE: trees have now also an distribution weight (default=3)
	FIX: transportation revenue also calculated, when vehicle was stopped for new schedule
	FIX: dirty_rect for vehicles was to small => traces were left!


Release of 86.00.3

9-Apr-2005 (prissi)
	FIX/CHANGE: datatype for city array_tpl now vector_tpl -> more access checks
	CHANGE: townhall_info added to simuconf.tab to avoid passenger level info window of townhalls
	CHANGE: calculation intense station type is now only recalculated after construction work
	FIX: AI busses waited also on overcrowded lines and always created only one bus ...
	FIX: player images were displayed two times using slow and fast routines ... urg!
	FIX: tourist and city building passenger amount per time now comparable
	CHANGE: hopefully removed all spaces from pak64 file names (will break old savegames)
	FIX: mip_cobbelstone maintenance corrected
	FIX: trams corrected
	FIX: added new pedestrians from Vitus



Release of 86.00.2

8-Apr-2005 (prissi)
	CHANGE: new signals for 64
	CHANGE: different signal graphics for electrified and normal tracks (if more than 8 images defined)
	CHANGE: passenger AI will removed stuck or unused busses
	FIX: passenger AI will no longer build lines to unconnected factories
	FIX: pax at tourist attractions were added to all stops!?!

7-Apr-2005 (prissi)
	FIX: several routines replacing ground also destroyed binding to halt
	FIX: tourist attractions now generate mail again
	FIX: unhappy mail was also omitted
	FIX: presignals were not correctly removed
	CHANGE: 64pak: two rail roofed station added

5-Apr-2005 (prissi)
	CHANGE: assembler for display_text (17% faster) and display_fillbox (150% faster)
	FIX: variation of non-rotatable houses was ignored for special buildings
	CHANGE: tourist attraction are no longer built next to each other, but at least 1+b+h away

Changes to Makeobj20 (prissi)
(for Simutrans 86.xx and higher. Factories created with this version will crash Simutrans 85.04.1 and earlier.)
	CHANGE: pax_level for factories added.
	FIX: 96 and any other even size should work again.
	FIX: citycars were broken.
	CHANGE: "schiene_tram" added as waytype to accommodate for Trams.

3-Apr-2005 (prissi)
	FIX: station window display
	FIX: station bar indicator also included good None (therefore the color were one off)
	FIX: map crashed, when there was not a place for every town

29-Mar-2005 (prissi)
	FIX: removing a tile was killing all station info => station no longer connected
	FIX/CHANGE: tooltips are now only allowed for topmost windows
	CHANGE: some more assembler, now 999ms instead of 1462ms for display_img() (45% faster)
	CHANGE: added busstops to tram menu
	FIX: Finally nailed down bug of stealing goods from other companies
	FIX: Only own stops could be added to a schedule (so no stops where nobody could unload/load)
	FIX: factories tried to connect to overconnected suppliers
		=> ok, there is then an error message, that too many pointers were added, but simutrans exists anyway


Release of 86.00.1

27-Mar-2005 (prissi)
	FIX: coded the display_img new, now 40% faster than before
	FIX: city statistics were wrongly initialized
	FIX: docks: water ground left, catchment area now checked + dock removal possible
	FIX: makeobj allows now also for sizes != 64 and 128

26-Mar-2005 (prissi)
	FIX: factory catchment area was asymmetric (2x3) => change also to 2x2
	FIX: tourist attraction display now normalized to biggest attraction
	CHANGE: another round of drawing optimizations: no redraw of menus or ticker background
	CHANGE: vertical clipping display further optimized, zoom on demand now working
	CHANGE: new parameter in simuconf.tab "station_coverage" sets the coverage area
	FIX: wrong factory catches ware of the same typ hopefully corrected
	CHANGE: added the tram-stuff for 64


Release of 86.00

20-Mar-2005 (prissi)
	NEW: statistics for towns
	FIX: all ground tiles were no properly initialized during loading! (weg1 and 2 could have a random image!)
	CHANGE: all images are loaded and coded to their proper values. Darkening is only on demand. (huge memory relief)
	CHANGE: zooming calculation change => drastic speed-up and in principle allows also for zooming by all integer factors (1,2,3,4,5, ... )
	CHANGE: Debug message actually taken out, if compiled without debug support => leaner code and speed up.
	CHANGE: TramTools disabled, if no tram depot found
	CHANGE: Lots of german help files added (from Gotthardlok)

17-Mar-2005 (prissi)
	NEW: Season for grounds ("WinterGras" and "WinterShore")
	NEW: Seasons for trees (either all year (0-4) or summer/winter (0-4|5-9) or all four seasons with 20 images (sum|aut|win|spr)
	NEW: new parameter in simuconf.tab: "tree_info=0" switches tree info off

14-Mar-2005 (prissi)
	FIX: convois have again correct weight after loading a game
	FIX: AI wrongly fills undo array
	FIX: corrected some loadgame issues

11-Mar-2005 (prissi)
	CHANGE: quickstone_t shrank to unsigned short int (saves memory)
	CHANGE: vector_tpl now with removal and insert_at at certain position
	CHANGE: grund_t now remembers the 10 next stations (this seems like maximum number to me)
		This allows way faster search for stations. Furthermore, passenger now are preferably routed to a station of the player/passenger AI.
	CHANGE: 'v' to display the station coverage
	CHANGE: station coverage setting saved in simworld.cfg

9-Mar-2005 (prissi)
	CHANGE: Townhall also opens its info-window
	FIX: StalkeXRP changed to his real name in credits
	FIX: Austrian and finnish citylist had still old names
	FIX: Citycars again in dat files (was omitted during makeobj link, because commented in simwrite.cc ???)
	CHANGE: Savegame format now 86.00, since this will be 86 with trams and more
	CHANGE: Median citizen is again median ...
	CHANGE: New founded city has always 1/10 of median citizens at the beginning

4-Mar-2005 (prissi)
	FIX: factory and transformer builder now checks their building sites before more strictly

1-Mar-2005 (prissi)
	CHANGE: menu clean up: Post -> special tools
	NEW: cursor for slop tool (cursor.Slope.pak)
	NEW: large docks, as many as you like
	NEW: as many stations as you like
	NEW: as many busstops as you like
	CHANGE: factories now have a passenger level
Following cursor.*.pak had become obsolete:
	BusStop, Crossing, Rail, Road, TrainStop, FreightTrainStop, TrainDepot, CarDepot, Post, ShipStop
	please define an icon and a cursor in your files!

24-Feb-2005 (prissi)
	NEW: larger ports possible
	NEW: passenger AI new also built lines to factories and attractions
	CHANGE: allow for higher initial mountains
	FIX: median citizens was actually maximum citizens

23-Feb-2005 (hsiegeln):
	NEW: presignals; -> trains will not enter a block, if the block to be entered thereafter is not free and they are waiting at a "presignal"
	NEW: presignals require the following PAK: misc.preSignals.pak
	TODO: presignals use old-signals icons on menu and for cursor; needs to be fixed
	TODO: gfx for preSignals currently use gantry-style; should use correct gfx; whatever that may be ...

22-Feb-2005 (hsiegeln):
	NEW: Margin graph in finance window
	NEW: Transported Goods graph in finance window
	FIX: net wealth initialization was missing for month graphs
	FIX: own vehicles couldn't be managed after loading game
	FIX: potential crash in line management window
	FIX: button enable/disable in line management window


Release Simutrans 85.04.1

21-Feb-2005:
	FIX: cleaned up many images, removed many pixels => 200kB smaller base set
	CHANGE: added heavy ore truck by MHz
	CHANGE: doubled power needed for acceleration, but every car now only consumers kW equiv. to its weight
	CHANGE: passenger level added to factory window
	FIX: correct calculation and passenger display for all monuments
	FIX: string overflow for new monuments corrected
	FIX: tooltip corrected

19-Feb-2005:
	FIX: removed unnecessary pixels from cathedral and stadium
	FIX: night lights for stadium
	FIX: initial display width now 704 instead 702
	CHANGE: added citycar pickup
	FIX: ship power values reworked

	FIX: clipping error for char display
	FIX: large map creation fixed
	CHANGE: now random map creates a map out of 9999 choices (theo. max 273025)
	CHANGE: removed blanks in ticker
	FIX: passenger generation from attraction and factories corrected
	FIX: passenger generation again level dependent: factories ~ 20
	FIX: no transformers on water
	FIX: production could jump for very high timer loads (i.e. during zooming)
		=> more performance
	FIX: new factories are again connected to stations

	CHANGE: bus AI added (player 2) including overcrowded lines
		=> new message "Travellers now\nuse %s's\nbusses between\n%s \nand %s.\n"
	CHANGE: mip_cobblestone now 50 km/h, cobblestone 60
	CHANGE: AI can build now much more roads
	FIX: maintenance of city road reduced to 3.00, because difference is charged to player
	FIX: error with way replacement in AI (same way replaced was charged)
	FIX: no income generating by overbuilding roads


Released Simutrans 0.85.04.0

11-Feb-2005:
	FIX: simultaneous AI now working without crash
	CHANGE: AI 1 always road only, AI 6 rail only
	FIX: more WF cars now in players and night colors
	FIX Book truck night colors and trailer
	FIX: MHz shipyard now in player colors
	FIX: fish wagon now in players color
	FIX: Again windows icon and version info
	FIX: clipping calculation for characters was faulty
	FIX: at some places wrong memory allocation repaired
	FIX: some windows were two times destroyed, now kill_list checked for doubles
	FIX: Linux binaries again linked with V5 libstdc++
	CHANGE: added USA citylist
	CHANGE: cleaned up simuconf.tab (Tomas)
	FIX: Several help window texts reworked


Released Simutrans 0.85.03.3

10-Feb-2005:
	CHANGE: Any "... Power Plant" or "...kraftwerk" will produce power
		=> Wind Power Station (and Solar Power Station) possible
	CHANGE: Power production now proportional to factory production
	FIX: transformer was built and then immediately removed
	FIX: use libstdc++ version 3 under Linux


Released Simutrans 0.85.03.2

9-Feb-2005:
	FIX: reduced passenger number again to initially intended value
		This is about 1/4 of the current value. Thus I doubled the number
		per building.
	FIX: no undo after bridges or tunnels
	FIX: UNDO failed for spieler=NULL (intercity roads)
	FIX: corrected season timing
	FIX: building transformer removes everything on that tile
	CHANGE: building powerline removes all trees on that tile
	CHANGE: finances also of the AI players "Finances of %s"
	FIX: since in current version, weight is only calculated during loading
		now the real weight 1000kg=1t is used

Released Simutrans 0.85.03.1

7-Feb-2005:
	CHANGE: added UNDO for road and rail buildings ('z') +"UNDO failed!" error
	FIX: simworld.cfg was wrongly initialized => no messages at all
	FIX: city AI was also ignoring transformers during building
	FIX: for calculating of possible passengers only these who found a
		station near the destination was counted. Now also the one, who
		gave up, because no station was there are counted
		=> city growth rates much lower, need a good service over whole map
	FIX: Renovation of townhalls: now all with roof texture and "real" grass
	FIX: Power station production increased after loading: check on load time
	FIX: error of an character allocation array (V. Meyer)
	FIX: superfluous parameters in check_for_crossing() removed.  (V. Meyer)


Released Simutrans 0.85.03

6-Feb-2005:
	FIX/CHANGE: replace building search in map window by simple gib_halt()
	FIX: No crowded stations messages from AI anymore
	FIX: Depot reached message was not in mailbox
	FIX: mailbox now starts always empty.
	FIX: after selecting a list, the info tool is selected back
	CHANGE: message settings will be save in simworld.cfg

5-Feb-2005:
	FIX: way building did not check for transformers
	CHANGE: when producing power, powerstations consumption raises 3x
		(to prevent building too many transformers)
	FIX: removing transformer when under power now reduced production again
	FIX: no more suicide divers at the fish_swarm
	FIX: factor for production increase could lead to very high values for
		low productions in 128 set


Released Simutrans 0.85.02.1

4-Feb-2005:
	FIX: list windows were not open correctly (fixed by Markus Weber)
	FIX: tooltip for main menu
	CHANGE: citylist for dutch cities by AlienDNA
	FIX: could not connect to a road built by the AI
	FIX: effect of power on production was faulty
	FIX: new tourist attractions and factories announcement were not translated

Released Simutrans 0.85.02.0

2-Feb-2005:
	CHANGE: german help files
	CHANGE: two new command line options "-timeline" and "-startyear"
	CHANGE: main menu again little different order and new icons
	CHANGE: list window toll added (after Markus Weber)
	CHANGE: vehicle image is now the loaded images (please comment)
	FIX/CHANGE: city do not grow until there is some transportation
	   going on
	CHANGE: minimum now 1 city
	CHANGE: possible to set minimum citizen number
	CHANGE: removed tool for road/rail crossings since this is done
	   automatically

30-Jan-2005:
	CHANGE: factory productions doubles with electricity
	CHANGE: indicator for transformer added for power status
	FIX: disallow building of city-AI on powerlines
	FIX: overcrowded station message again
	demi-FIX: on the expense of a small memory leak powerline now
	   loads and connects under all conditions
	CHANGE: added mailbox (open with 'B')
	CHANGE: AI could now given a now int tab-file "player 5"->"H-Trans GmbH"
	CHANGE: central message manager, also added the following messages:
	   "New factory chain\nfor %s near\n%s built with\n%i factories."
	   "%s wasted\nyour money with a\nnew townhall\nwhen it reached\n%i inhabitants."
	   "With a big festival\n%s built\na new monument.\n%i citicens rejoiced."
	   "To attract more tourists\n%s built\na %s\nwith the aid of\n%i tax payers."
	   "%s\nnow operates\n%i trucks between\n%s at (%i,%i)\nand %s at (%i,%i)."
	   "%s\nopened a new railway\nbetween %s\nat (%i,%i) and\n%s at (%i,%i)."
	   "Year %i has started."

25-Jan-2005
	CHANGE: two new button to map windows added: "Powerlines" and "Tourists"

24-Jan-2005
	FIX: powerline income was based on last consumption, now integrating
	   and reduced
	FIX: during loading the AI was not marked as AI => convois had remove
	   buttons again
	FIX: roadbuilder did not checked, whether I owned the ground or not
	   => crossing with AI possible
	   => removing road => strange things happened


Released Simutrans 0.85.01.1

23-Jan-2005:
	FIX: loading old savegames again


Released Simutrans 0.85.01.0

20-Jan-2005:
	FIX: linux: running in windows (again?)
	FIX: factories were not connected with cities
	FIX: tourist attractions again
	FIX: bridges obey speed limit again after loading (must be broken
	   since before 0.84.17)
	CHANGE: animated cinema now with night colors
	CHANGE: some industrial building renovated, night pixels removed
	CHANGE: city factories have a minimum distance of 6
	CHANGE: removed "BRIDGETOOL", "5WORLD_CHOOSE"
	CHANGE: now separate settings for land industry, city industry, and tourism called
	   "Land industries", "City industries", "Tourist attractions"
	CHANGE: added a second power plant "Oil Power Plant"

18-Jan-2005:
	FIX: Adding transformer now connects more reliable with powerline
	FIX: powerline ground has no owner (unlike ways),
	   so one can built a powerline on other grounds, like a bridge
	FIX: Romanian helpfile included
	FIX: AI won't destroy your powerlines any more
	FIX : AI now uses a little less trucks to prevent traffic jams and
	   shift calculation a little towards trains
	FIX: factories belong to the player => could be removed
	CHANGE: Every second powerline is now just line, powerline bridges
	CHANGE: tool added "Plant tree" (key '/' now without function)
	CHANGE: removed drivables (key 'n') since they crashed anyway
	CHANGE: removed add pump (key 'P'), since now add transformer does the right type automatically
	CHANGE: removed unnecessary bridge menu pak-file


Released Simutrans 0.85.00.0

16-Jan-2005:
	FIX: powerline works again (please, built from source to target!)
	FIX: powerline on slopes added
	CHANGE: new factory distribution code, distribution entirely by the same function, which built new suppliers
	CHANGE: added new concrete factory

11-Jan-2005:
	FIX: AI built railway tracks on water and over houses, disabled
	FIX: Create new industry (shift+i) new creates a random consumer instead of "Materialswholesale"
	FIX: New industries are crossconnected
	FIX: Producer and processing are now placed in cities, if requested in the dat file
	FIX: Several nightpixel removed, some buildings renovated, skyscrapers now with streetlights
	FIX: AI had problems which rectangular factories, if they were rotated
	FIX: AI crashed, when a factory was too close to the map borders
	CHANGE: "clean up" of the main menu
	CHANGE: new menu for "half documented" features:
		SPECIALTOOLS, Found new city, Build land consumer, Build city market,  Build powerline, Build drain, Marker
	CHANGE: MHz shipyard, special cursor, new depot icon
	CHANGE: City builds new industry after some time (see cityconf.tab), also crossconnected
	CHANGE: complete hungarian and romanian translation, preliminary russian one

9-Jan-2005:
	FIX: vehicle selection was wrongly calculated (very good vehicles were also excluded)
	FIX: in translation a second pak-specific entry could not overlaid a previous entry
		=> now their can be scenario-specific station and town names
	CHANGE: 	new city checks also for unique name
	CHANGE: in translation files all lines starting with '#' are ignored
	CHANGE: factory are constructed with their storage nearly full => AI can start immediately, less double lines


Released Simutrans 0.84.22.0

3-Jan-2005:
	FIX: Route finding in station was faulty (ignored dead ends and electrification)
	FIX: Station did not grow properly together
	FIX: citylist is now loaded with the correct language
	FIX: clipping of small font in map window works again
	CHANGE: Many buildings nightpixel removed/exchanged
	CHANGE: Renovation of the KI
		- tries to built networks (factories missing a single good for production a rated higher)
		- checks more factories
		- always use the cheapest means of transport (only a little biased towards rails ;))
		- all possible locations are now searched, including points near a previous built station
		- tries to built a single station
		- obeys timeline for vehicles
		- can electrify tracks
	CHANGE: Renovation of way/rail construction tool
		- automatically creates railroad crossings if possible
		- tunnels will always have the fastest way (not name dependent any more)
	CHANGE: Cities in a new map can now have a certain distance (see config/cityconf.tab)
	CHANGE: Japanese pak "Oil Power Plant" now have a powerline connection
	CHANGE: Full Unicode display support
		- renovation of all text displaying routines and therefore many dialogue boxes
		- support of BDF as an alternative font format (less than 256 chars of Unicode/ISO10626-1 coding only)
		- UTF8 encoded (2 Byte language) files are possible
		- 2 Byte output/editing works (no input due to SDL yet)
		- citylist can be either in text/ or pak/text/ (or where your pak-files are).


Released Simutrans 0.84.20.0

28-Nov-04: FIX: fixed a crash if a vehicle was sold while the vehicle
                info window was open
           FIX: cities can now skip gaps in building levels (gaps up to
                16 levels) -> this allows players to remove city building
                PAK files without unlinking higher level buildings from the
                chain unless they create gaps of 16 levels or more
           CHANGE: included MHz and Prissi in intro scroller and thanks.txt

           CHANGE: replaced animated fountain by better version created
                   by MHz

           CHANGE: included reworked images by Prissi:
                - a0-townh-stage1.png: fixed roof edge
                - g0-houses01.png: grass and night color fix for one house
                - g0-industry.png
                  * improved optics factory
                  * fixed water cistern night colors
                  * new industrial city building (fertilizer factory)
                  * improved grid structure for cylindrical grey gas tank
                - ls-bridges*.png: fixed night colors
                - ls-shores.png: added one missing pixel

27-Nov-04: FIX: gear is now calculated correctly for all vehicles of
                a convoi (Prissi)
           FIX: station statistics are now shown correctly even if less
                than 16 goods are used in the scenario (Prissi)

26-Nov-04: CHANGE: included MHz new ship depot
           CHANGE: included updated czech translation by Ondrej Machulda

Released Simutrans 0.84.19.0

??-Nov-04: CHANGE: included Hendriks changes

Released Simutrans 0.84.18.0

13-Nov-04: CHANGE: traffic density setting now ranges from 0 .. 16
           CHANGE: replaced "old church" tourist attraction by better
                   image from MHz
           FIX: traffic density 0 now creates no traffic at all
           FIX: tried to fix "unhappy passengers" counter (there was
                a fixed amount used instead of the actual number of
                passengers).

           Integrated Hendriks bug fixes:

           FIX: Sequence of "remove" and "update" in line management
                caused a crash
           FIX: finance window: text fixed
           FIX: finance window: debt warning is visible again
           FIX: line schedule updates now also affect convois waiting
                for freight
           FIX: depot windows sometimes displayed wrong vehicle information

10-Nov-04: FIX: fixed a bug that caused factories to stop producing goods
                if one of the outgoing storages became more than full
                (probably caused by another bug)

Released Simutrans 0.84.17.0

06-Nov-04: Integrated Markus and Hendriks changes:

           FIX: "no connection" station list filter fixed (Markus Weber)
           FIX: rail stations without roof now have the type
                "rail station", too (Markus Weber)
           NEW: mouse wheel support (Hendrik Siegeln)
           FIX: combobox drop down list now can be closed by return
                (Hendrik Siegeln)
           FIX: fixed a memory leak in schedule list ui (Hendrik Siegeln)
           FIX: fixed a problem with line/schedule updates
                (Hendrik Siegeln)

05-Nov-04: CHANGE: replaced old rail depot by MHz' new rail depot
           CHANGE: replaced one more industrial building by a better
                   version created by MHz

04-Nov-04: CHANGE: replaced three industrial buildings by better
                   versions created by MHz
           CHANGE: replaced one residential building by a better
                   version created by MHz
           CHANGE: improved two residential building images
           CHANGE: included updated hungarian translation by
                   Ferencz Szekely
           CHANGE: included updated polish translation by
                   Maciek Gajewski

Released Simutrans 0.84.16.4

01-Nov-04: FIX: fixed some accesses to uninitialized values in relief
                map frame.
                -> A crash has been reported upon pressing 'm' but
	        I couldn't reproduce it. I hope this was the reason
	        and my changes will fix it. At least my memory debugger
                is happy now. Since I couldn't reproduce the crash I
                can't tell if it is fixed or not!

Released Simutrans 0.84.16.3

31-Oct-04: FIX: depot maintenance cost is now calculated correctly
                after loading a saved game
           CHANGE: savegames are now sorted by date, newest on top
                   of list

30-Oct-04: FIX: placing a marker and confirming by pressing OK no
                longer causes a crash
                -> this required quite a lot of changes to event
                   handling, I hope I didn't break some other
                   functionality

Released Simutrans 0.84.16.2

25-Sep-04: NEW: included MHz new gasoline refinery
           FIX: opening the line management window now gives a click
                sound
24-Sep-04: FIX: included Hendriks fixes for the line management/button
                click problem
           FIX: tried to fix a freeze if the clock of the computer is set
                back
           NEW: included more Joachim Baums german texts about the trees

19-Sep-04: NEW: included MHZ' new car repair shop
           CHANGE: included updated czech translation by Ondrej Machulda

18-Sep-04: FIX: cities now build monuments again

08-Sep-04: NEW: included Joachim Baums german text about the beech trees

Released Simutrans 0.84.16.1

06-Sep-04: FIX: clickable "world view" in factory info windows works
                again.
           FIX: color codes in goods list now match those in the station
                statistics.
           FIX: emergency vehicle remove button "X" now works again.
           FIX: furniture factory had miscolored edge (should've been
                transparent).
           FIX: schedule window scrollpane now behaves properly
                (Formerly it scrolled the contents out of the window
                 if the "insert", "remove" etc. buttons were pressed)
           CHANGE: improved a few more german building descriptions.

Released Simutrans 0.84.16.0

05-Sep-04: CHANGE: included MHZ' new furniture factory
           CHANGE: included updated slovak translation by Ján Krnác
                   included updated prop-latin2.fnt (Ján Krnác ?)

04-Sep-04: CHANGE: included Hendriks depot window changes
                   - Vehicle lists now have scrollbars

03-Sep-04: FIX: station statistics no longer show the special good
                "None"
           NEW: Added "Ballonstart" image painted by MHZ
           NEW: Added color codes to goods list
           CHANGE: tooltips of way building tools now show 2 decimals
                   of the price and maintenance cost

01-Sep-04: CHANGE: replaced an industrial city building by a better
                   version provided by MHZ
           CHANGE: improved a few city buildings
           NEW: new commercial city building "roof cafe" provided by MHZ
           CHANGE: improved a few german building descriptions

30-Aug-04: NEW: replaced one city building by a better version painted
                by MHZ
           NEW: tooltips for some of the schedule windows buttons
           FIX: yearly money chart root is now updated correctly
                (shows current year, not year of previously saved game)

28-Aug-04: CHANGE: finished including Hendriks update
                   - factory info windows got scrollbars
                   - schedules can be promoted to lines
                   - finance window now stores monthly data for the
                     past 12 months (savegames are converted automatically)
                   - improved input focus handling
           NEW: new vehicle TPI Std 2-6-4T (steam)
           CHANGE: finance window now remembers size and settings if
                   closed and reopened unless you load a saved game
                   or start a new map.

28-Aug-04: CHANGE: started to include Hendriks update

Released Simutrans 0.84.15.3

24-Aug-04: FIX: assigning a vehicle to a new line by using the choice
                box in the vehicles schedule window no longer causes
                a crash.
           FIX: fixed a crash if a way without an owner was built (this
                problem was introduced by the fix for correct maintenance
                cost after replacing a way with another type of way
                in 0.84.15.2)

23-Aug-04: CHANGE: back-ported 128 set basement images to 64x64 pixel set
           CHANGE: if a passenger destination is a water square, the
                   destination is re-rolled. This doesn't avoid off-shore
                   destinations entirely but reduces them a lot.
           CHANGE: factories now produce passengers (commuting workers)
                   and mail properly
           CHANGE: theatre now has "Leuchtreklame" and lit windows

22-Aug-04: CHANGE: line management window now remembers size and settings
                   if closed and reopened unless you load a saved game
                   or start a new map.

Released Simutrans 0.84.15.2

22-Aug-04: FIX: if a way is replaced by another way, maintenance costs
                are now calculated correctly
           FIX: finance window chart now considers starting year correctly
           CHANGE: improved some images
                   - station floors
                   - station roofs
                   - loading bay images now have a few crates shown
                   - new oak tree (slightly modified version
                     from 128 set, original image by Tomas Kubes)
                   - new mountain pine tree
                   - improved fir image
                   - improved cement mill image somewhat
                   - added old roadster private car (slightly modified
                     version from 128 set)
           CHANGE: tried to reduce the overall number of oil wells
                   -> maybe the default industry density should be risen
                      a little bit now
           CHANGE: added new city building rule for houses
                   -> fills empty middle of 3x3 block of houses
           CHANGE: added translations for a few trees (don't know
                   the names of some -> no description possible)

21-Aug-04: CHANGE: improved some images
                   - some industrial town houses
                   - some commercial town houses

20-Aug-04: CHANGE: improved some images
                   - Townhall stage 0 and 1
                   - some residential town houses (night mode)
                   - some industrial town houses (night mode)

Released Simutrans 0.84.15.1

20-Aug-04: FIX: station can only store 128 units of goods per square
                -> this now also holds true for passengers generated
                   by tourist attractions

Released Simutrans 0.84.15.0

20-Aug-04: CHANGE: added a missing space to short freight info
           CHANGE: station can only store 128 units of goods per square
                   and type for all types of goods
                   -> for freight the limit was a total of 1000 before
                      regardless of station size
                   -> for passengers and mail it was 64/square before
           CHANGE: rectified and updated some of the german in-game
                   help files.
           NEW: all depot window buttons now got tooltips
           NEW: display options window got a "?" gadget to open the
                associated help window.
           NEW: station details window got a "?" gadget to open the
                associated help window.
           FIX: fixed a bug in HTML (help) display if a link was the first
                word of a line, it couldn't be selected as a link.
           NEW: added factory details (optional) windows

15-Aug-04: NEW: most depot window buttons now got tooltips
           CHANGE: included updated slovak translation by Ján Krnác

14-Aug-04: CHANGE: continued to work on monorail track and vehicles

12-Aug-04: NEW: shaved off a few more CPU cycles from the graphics code

11-Aug-04: NEW: hand-optimized assembly routines for drawing tiles
                -> about 5% faster than previously used C code

??-Aug-04: CHANGE: continued to work on monorail track and vehicles

Released Simutrans 0.84.14.0

06-Aug-04: CHANGE: added introduction dates for all ships
           CHANGE: added introduction dates for more busses

05-Aug-04: FIX: fixed a bug that caused signals to become partly
                transparent after zooming out and zooming in again
           FIX: fixed a bug that cause station names to be displayed in
                mini world view in some windows (e.g. station info)
           FIX: changed printers ink, chemicals and medicine from metric
                "tons" to metric "crates"
           NEW: "max_transfer" parameter added to simuconf.tab
           CHANGE: added introduction dates for all train engines

04-Aug-04: CHANGE: improved some images
                - pharmaceutical plant

03-Aug-04: CHANGE: improved some images
                - Serj Gaz 4 Goods truck is now a little bit larger
                - H-Trans Mail truck
                - Tree 1 was replaced by a better tree image
                - Commercial building "Office block"

02-Aug-04: NEW: introduction message for new vehicles

01-Aug-04: FIX: limited max distance for pathfinder to 480 steps. This
                fixes a crash of a route with almost 512 step was found
                and a train wants to add additional steps. The chosen
                parameters are safe for trains up to 31 carriages. This
                should be ok, since the player can't set up trains longer
                than 16 carriages.

Released Simutrans 0.84.13.0

31-Jul-04: NEW: show up arrow for capped station statistic bars
           NEW: "show_names" parameter included in simuconf.tab
           CHANGE: included updated czech translation by Ondrej Machulda

29-Jul-04: NEW: on-map statistics for stations can now be toggled by
                pressing !
           NEW: timeline can now be switched on/off for testing in
                simuconf.tab (default is off)

28-Jul-04: NEW: on-map statistics for stations
           NEW: improved city roads for 64x64 pixel tile set

Released Simutrans 0.84.12.0

24-Jul-04: NEW: (Hajo)
                buildings mail and passenger levels now actually influence
                creation of mail and passengers
           FIX: one more bugfix to make Simutrans run past year 2612
           CHANGE: I've tried a kind of 'optimization'. koord3d objects
                   formerly had a size of 6 bytes, which is bad for both
                   32 bit and 64 bit systems. I've now squeezed them in
                   4 bytes -> this means they require less memory and are
                   better aligned in memory, but the components now are
                   11 and 10 bits in size which adds some overhead to
                   component accesses. Right now, I don't know if the
                   tradeoff will be a win or a loss ... please let me
                   know about your experiences.
           CHANGE: (DarioK)
                   Passengers now check for destination station before
                   doing pathfinding. This is slower for new games with
                   only few stations, but faster for big games with a
                   lot of interconnected stations
           FIX: (Hendrik)
                loading games with 0 factories works again

18-Jul-04: NEW: (Hajo)
                buildings now have separate mail and passenger generation
                levels

Released Simutrans 0.84.11.0

10-Jul-04: CHANGE: language/translation file entries/translation facility
                   now supports up to 4K of text per entry
           CHANGE: game time is now an unsigned 32 bit value. This
                   change should allow to play Simutrans games beyond
                   year 2612, the limit is now around year 3200

           Included Hendriks updates:

           Bugfixes:
           - delete multiple lines in line management window, and
             immediate selection of other line could crash Simutrans
           - suppliers now get correctly registered, even for savegames
           - line management window "update line" selected wrong line

           Changes:
           - textinput supports clipping & scrolling & more
           - combobox uses new textinput component and is now inheriting
             gui_textinput_t
           - window titles now support clipping


Released Simutrans 0.84.10.0

03-Jul-04: FIX: new map window now displays translated factory names

           Included Hendriks updates:

           Bugfixes:
	   1) now lists up to 24 suppliers of an industry (was 6 before)
	   2) improved focus handling of text input fields

	   Bugfixes:
           the new "gueterbahnhof" was not shown in overview map overlays
           (coverage, etc)
           "operating profit" was adding vehicle's running cost to profit,
           rather than subtracting

           Change:
           added ev_key_mod to event struct (ev_key_mod holds key modifiers,
           such as SHIFT, ALT, STRG, etc); required for new features (see
           below)

           New:
           overview map enhancement (show connected industries; shows
           customers default, use SHIFT to show suppliers) map zooms in/out
           respecting SHIFT key

           Change:
           savegame version now 84007 (was required for new curve in finance
           window)
           if user clicks into the scrollbar, top-left or bottom-right the
           slider, now the scrollbar scrolls up/down accordingly


19-Jun-04: Included Hendriks updates:

           New:
           line filter in line management (all, truck, train, ship)
           using tabs

           New:
           introduced new curve to finance window: ops profit

           Change:
           simplified delete_line interface (now accepts simline_t *,
           too)
           fixed potential (very minor) memory leak in line management
           window (halt_list_item_t was instantiated always, now it is
           created if required, only);

           Change:
           savegame version now 84007 (was required for new curve in
           finance window)
           if user clicks into the scrollbar, above/left or below/right
           the slider, now the scrollbar scrolls up/down accordingly

Released Simutrans 0.84.9.1


13-Jun-03 FIX: oil rigs are now initially linked to their stations
               again

Released Simutrans 0.84.9.0

10-Jun-04 FIX: fixed an invalid memory read in image encoding (zooming
               from zoom level 2 to zoom level 1 could cause a crash)
          CHANGE: reduced output storage capacity of most factories
          CHANGE: default industry density is now 450 (was 420)

02-Jun-04 FIX: included Hendriks fix for an index problem in
               deleting a line
          CHANGE: improved a few buildings images
          CHANGE: replaced duckpond-park with tomas new park

Released Simutrans 0.84.8.6

31-May-04 CHANGE/FIX: station<->factory link is now bidirectional, this
                      means, situations in which a station was linked
                      to a factory but the factory not linked to the
                      station cannot occur anymore. In games with many
                      stations and factories, this change should also
                      save a little bit of CPU time for other tasks.
                      Attention: the link has a length of 4 squares,
                                 this means, there can be at most 2
                                 squares between the station and the
                                 factory (unless the station has an
                                 irregular shape, e.g. T-shaped).
          FIX: building powerlines no longer crashes the game
          FIX: new cities can only be built on empty, flat squares
          FIX: new cities no longer can be built on water
          FIX: added a missing space to station detail info
               string (indention of "goods needed by factories" list)
          CHANGE: splash screen now uses proportional font

Released Simutrans 0.84.8.5

19-May-04 CHANGE: if user has not selected a language yet, Simutrans
                  defaults to english now
          CHANGE: there are now 32 goods categories available for
                  use in scenarios
          CHANGE: mouse pointer is now shown on splash screen
          FIX: added a missing space to station short freight info
               string (e.g. shown in line management)

Released Simutrans 0.84.8.4

16-May-04 FIX: all road bridges can be used now
          FIX: stations can't be connected sideways anymore
          FIX: scenario specific translations now get packaged, too

Released Simutrans 0.84.8.3

01-May-04 NEW: included Hendriks changes:
               - internal improvements in line management
               - fixed a crash if list and filter window were
                 closed by pressing backspace
          FIX: fixed a bug in MakeObj that created all vehicles with
               engine type "steam"
          FIX: horses got engine type "bio"
          CHANGE: depot frame now deduces engine type from vehicle
                  data instead from vehicle name (this means that
                  in old translations, the type will be listed twice!)
          CHANGE: news ticker discards newly incoming messages that have
                  the same text as the last shown message

15-Apr-04 CHANGE: moved scenario specific texts into scenario
                  directory, and adapted translator to read them
                  from there

14-Apr-04 CHANGE: cleaned up translation facility API

Released Simutrans 0.84.8.2

11-Apr-04 FIX: lines entered from line management window now show up
               in depots again
          FIX: lines entered in another depot, are visible in all
               depots again after opening their info window

10-Apr-04 CHANGE: saved games of versions < 84006 became incompatible due
                  to an accident. I can't revert this accident, so the
                  game now treats such saved games as incompatible and
                  gives an appropriate message instead of crashing

Simutrans 0.84.8.1 for developers only

09-Apr-04 FIX: added a safety check to vehicle list, to avoid a crash
               if the entry of a just deleted vehicle is clicked
          FIX: button_t was missing an assignment operator which could
               cause a crash in certain circumstances

Released Simutrans 0.84.8.0

04-Apr-04 NEW: freight train station - so far look only, no effect on
               gameplay yet

03-Apr-04 NEW: goods info window now shows weight per unit, too.

02-Apr-04 CHANGE: enabled -async option for SDL based Simutrans
                  versions

01-Apr-04 CHANGE: adjusted weights of busses and trucks

31-Mar-04 CHANGE: adjusted 64x64 pixel tile set wagon weights
          CHANGE: AI now searches more locations for stations
          FIX: AI now properly raises/lowers land in order to
               build a station
          CHANGE: AI now uses "wait for 100%" setting if using trains

30-Mar-04 NEW: weight of freight is now considered in acceleration
               calculation
          CHANGE: small steam engine now has gear 1:2
          CHANGE: big steam engine now has gear 1:1.2
          CHANGE: pharma producer consumes 230% chemicals instead
                  of 530% chemicals to produce medicine

Released Simutrans 0.84.7.1

29-Mar-04 FIX: fixed a bug in loading engines with old style way type
               "electrified track" -> now they are listed in depots
               again, waytype is now silently changed to track
          FIX: included a fix by Hendrik to better initialize
               waiting goods statistic for less frequented stations
          NEW: included Stefan "MIP" Wuttichs cobblestone road

28-Mar-04 NEW: MakeObj now supports engine_type for vehicle DAT/PAK
               files:
                 - diesel
                 - electric
                 - steam
                 - bio
                 - fuel_cell
                 - hydrogene
          NEW: MakeObj now supports weight_per_unit for goods DAT/PAK
               files:
                 - weight_per_unit
          NEW: steam engines now always produce steam clouds while
               driving
          FIX: fixed an array bounds violation in AI bridge building

27-Mar-04 NEW: cobblestone road
          FIX: 's' and 't' shortcuts work again

26-Mar-04 NEW: initial intercity road type can be configured in
               simuconf.tab
          NEW: added introduction date attribute for new ways types
          CHANGE: removed last reference to "Track" and "Road" (the
                  old types)

25-Mar-04 FIX: fixed a bug in wegbauer_t that caused a crash if a way
               without description was to be built
          CHANGE: changed AI code to use new way types
          CHANGE: initial inter city roads now work properly with new
                  road types

24-Mar-04 CHANGE: changed way builder to work with new way types
          CHANGE: changed city building code to work with new way types
          CHANGE: changed maintenance cost calculation to work with new
                  way types
          CHANGE: road tools menu
          CHANGE: rail tools menu
          INTERN: restructured 64x64 pixel tile set way images and
                  way descriptions

23-Mar-04 FIX: included Hendriks fix for typed lines
          NEW: prepared road tool icons
          NEW: road images for dirt road and gavel road
          INTERN: restructured 64x64 pixel tile set way images and
                  way descriptions

22-Mar-04 CHANGE: continued to work on new way types (descriptions,
                  menus, icons, cursors, DAT/PAK files)
          INTERN: reduced number of #includes in translator.h

21-Mar-04 CHANGE: continued to work on new way types:
                  changed MakeObj and PAK loader classes to write and
                  read new 'way' PAK files

20-Mar-04 FIX: included Hendriks bugfix for schedule list/waypoint
               crash

          released Simutrans 0.84.6.0

          NEW: rail tools menu now shows costs of the actions
          NEW: road tools menu now shows costs of the actions
          CHANGE: changed error reporting mechanism for template
                  (container) classes
          CHANGE: started to rework rail tools menu to allow several
                  track types
          CHANGE: started to rework road tools menu to allow several
                  road types

17-Mar-04 CHANGE: integrated Hendriks changes

15-Mar-04 FIX: industries are now created on all densities except
               density 0

14-Mar-04 CHANGE: pause only cancelled by key codes >= 32
          CHANGE: pause now really stops game time (industries
                  don't try to catch up with production after
                  unpausing)

13-Mar-04 NEW: frameless window type
          CHANGE: changed news ticker to frameless window
                  -> this means it can now receive click events
          NEW: ticker messages can now be bound to positions. If clicked
               an a position is bound the map is centered on the position.

12-Mar-04 CHANGE: reduced header file dependencies

11-Mar-04 FIX: fixed some GCC 3.2 compatibility issues in the template
               classes
          NEW: minimum industry density setting does not generate any
               industries at all

released Simutrans 0.84.4.0

06-Mar-04 FIX: fixed a problem in removing a signal inside a station

05-Mar-04 CHANGE: included Hendriks changes
                  - schedule window now has scrollbars
                  - up to 32 stops per schedule allowed
                  - minimize map doesn't leave buttons floating
                  - minimize station and vehicle info window doesn't
                    interfere with chart drawing anymore

04-Mar-04 FIX: "no route" vehicle list filter works again (was broken
               during introduction of new vehicle code between 0.83.x
               and 0.84.x

released Simutrans 0.84.3.2

03-Mar-04 FIX: fixed a problem in removing signals
          FIX: fixed a text formatting problem in factory info window

released Simutrans 0.84.3.1

29-Feb-04 NEW: city list window (hotkey 'T')

28-Feb-04 FIX: overhead wires no longer disable way info display
          CHANGE: finished to incorporate Hendriks new relief map
          CHANGE: way statistics now get saved with the game

27-Feb-04 CHANGE: started to incorporate Hendriks new relief map
                  -> need to change the structure somewhat to fit
                     better

22-Feb-04 CHANGE: fixed some mistakes that have been introduced while
                  changing character arrays to the new buffer objects
          CHANGE: vehicle list now formats income with thousands
                  separators
          CHANGE: included updated danish translation (now using ø)
          CHANGE: included updated japanese translation
          NEW: added toolbar icon for line management

21-Feb-04 CHANGE: reworked object info handling to use bounds-checked
                  character buffer objects instead of plain character
                  arrays. I hope this will help to solve some of the
                  memory (i.e. buffer overrun) problems

20-Feb-04 NEW: added max_hops parameter (goods routing search depth)
               to simuconf.tab

19-Feb-04 CHANGE: changed city name list to use <cstring_t> instead
                  of <const char *>

released Simutrans 0.84.2.2

19-Feb-04 FIX: fixed a typo in simuconf.tab: display_height is now
               written properly (formerly the code checked for
               display_heigth)
          FIX: fixed a buf that made too fast vehicles miss the
               proper stopping point sometimes (could cause trains
               to get stuck near signals)

released Simutrans 0.84.2.1

16-Feb-04 FIX: Bridge tools menu size now adapts properly to number of
               contained icons

released Simutrans 0.84.2.0

15-Feb-04 FIX: added ø character to prop.fnt (needed for danish
               translation)
          CHANGE: included updated danish translation from
                  Finn Rosenbech Jensen (not yet using ø, was made
                  for former font version)
          NEW: included new, downscaled, oil rig from 128x128 pixel
               tileset made by James Starr
               WARNING: this one is 3x3 squares - the old one was 2x2
                        if you load old games, that have things near
                        oil rigs, there might be bad effects if the
                        new oil rigs overlap the existing things!
               WORKAROUND: get the old factory.Oelbohrinsel.pak from
                        the 0.84.0.1 base package and use it instead
                        of the new one.

14-Feb-04 FIX: fixed a bug that could cause a truck with a trailer to
               wait for itself to clear the road (= was stuck)
          NEW: added "topspeed" parameter to bridge dat files
          CHANGE: removed bridgepos parameter from bridge dat files
          NEW: speed limit for bridges (not really sure if that works
               for sure it won't affect existing bridges in old games,
               only newly built bridges)
          NEW: bridge tool tooltips now list additional information
               (price, speed limit)
          WARNING: the changes to the bridge DAT/PAK files introduced
                   a slight incompatibility with former bridge PAK files:
                   the old files do not store icon information for the
                   menu. Thus if you use old PAK files with this
                   version, the bridge tools menu will show empty icons.
                   The tooltips will help to identify the correct sort
                   of bridge.
                   -> ATM this only affects the 128x128 pixel tile set
                      and selfmade bridges. Both must be updated to
                      include icon information and recompiled with
                      MakeObj 0.1.6
                   -> See datfiles_15-Feb-04.zip for examples
                      (MakeObj forum, examples section)

12-Feb-04 NEW: added more simuconf.tab entries
          NEW: new toolbar like tool chooser window (will be used
               to select bridge types and way types)
          CHANGE: changed bridge tool selector to use the new
                  tool chooser

11-Feb-04 NEW (by Hendrik): line selection in depot window now got
                            a drop-down list (click into the input
                            field to open)
          CHANGE (by Hendrik): vehicle info window now shows total
                            running cost
          NEW: a simple tree planting tool (hotkey /)
          CHANGE: vehicle info window shows top speed limit and
                  max top speed of the pulling engine

09-Feb-04 FIX: added missing town hall upgrade at 3500 inhabitants

released Simutrans 0.84.1.0

07-Feb-04 NEW: added 1% waiting time to schedule choices
          NEW: included japanese translation and fonts
          CHANGE: chosen language is no longer saved with game
                  (this means that the chosen language won't be
                   altered if you load a game that was created with
                   a different language setting)
          CHANGE: improved coal mine image a little bit

06-Feb-04 FIX: fixed a problem that's been introduced during some changes
               while 0.83.x development: it is no longer possible to
               build roads or rails through a bridge abutment (was ok
               before 0.83.x, too).
          FIX: town hall upgrades no longer modify squares south of the
               new town hall if those squares are owned by a player
          CHANGE: factory info window now shows max production per day
          CHANGE: lowered coal consumption of power stations by 30%
          CHANGE: risen productivity of saw mill and material
                  wholesale by 15% each

05-Feb-04 CHANGE: included new fi.tab provided by Antti Louko
          CHANGE: improved steel mill image

04-Feb-04 NEW: speed limits for ways (currently 50 km/h on city roads
               130 km/h on other roads and 450 km/h on rails)

released Simutrans 0.84.0.1

02-Feb-04 FIX: fixed a bug if a line was deleted while it had
               pending updates
          FIX: fixed a an access to an uninitialised variable if
               a line was deleted after loading a saved game

released Simutrans 0.84.0.0

01-Feb-04 CHANGE: finished rework of convoi and vehicle class
          CHANGE: lowered productivity of coal mines
          CHANGE: improved townhall stage 1 image
          CHANGE: improved townhall stage 2 image
          NEW: vehicles now issue a message in the news ticker if
               they enter a depot
          FIX: fixed a bug in town hall expansion code

          FIX (by Hendrik): vehicle info window minimum size now
                            considers chart width
          FIX (by Hendrik): station info window minimum size now
                            considers chart width
          FIX (by Hendrik): list of lines stopping at a station
                            is now properly updated after a change
                            to the line
          NEW: included Paul Szczepaneks stadium
          NEW: included Danish translation by Finn Rosenbech Jensen

31-Jan-04 CHANGE: continued thorough rework of convoi and vehicle class

30-Jan-04 CHANGE: started thorough rework of convoi and vehicle class
                  structures
                  - moved route data from vehicle to convoi class
                  - moved async step from vehicle to convoi class

                  Code cleanup
                  - moved strequ from simplan.cc to simstring.c,
                    renamed to tstrequ

released PAK update

28-Jan-04 CHANGE: - unified window colors
                  - added shadows
                  - reworked many building images

27-Jan-04 NEW: included Paul Szczepaneks tennis court, theatre and
               home market images.

26-Jan-04 CHANGE: improved car factory image
          CHANGE: improved steel mill image

released Simutrans 0.83.7.1

25-Jan-04 CHANGE: replaced a residential city building with a better
               version from 128x128 pixel tile set (Modern house)
          CHANGE: replaced an industrial city building with a better
               version from 128x128 pixel tile set (Tools factory)
          CHANGE: adjusted city building AI to get better industrial
               and commercial city areas
          CHANGE: adjusted chart size and placement to allow bigger
               value ranges (line management, station info, vehicle info
               - suggestion by Hendrik Siegeln)
          CHANGE: improved oil field from 128x128 pixel tile set included
          CHANGE: increased probability to create a bookshop, car shop,
                or furniture shop in a city.

24-Jan-04 FIX: fixed an array bounds violation if loading a
               heightfield again after increasing the number of cities.
          FIX: fixed a problem in removing signals - now issues an
               error message if the signal combination cannot be
               removed safely.
          FIX: removed an erroneously lit pixel from one of the trees
          NEW: translatable thousand and fraction separators
               (language dependant number formatting)
          NEW: 4x7 font (map legend) now also available in latin-2
               (needed for polish and czech translation)
          NEW: added lights to private cars

23-Jan-04 FIX: zooming now works reliably again (was broken due to
               introduction of skinning support)
          CHANGE: replaced wait loop by timer solution

22-Jan-04 NEW: continued to work on skin support -> support for
               user defined button skins

released Simutrans 0.83.7.0

21-Jan-04 NEW: continued to work on skin support -> created
               example/default skin
          NEW: added tooltips to vehicle and station info window
               buttons
          CHANGE: changed some buttons shapes (factory info and
                  depot info windows)

20-Jan-04 NEW: continued to work on non-darkening image drawing

19-Jan-04 NEW: started to work on non-darkening image drawing
          NEW: started to work on skin support

released Simutrans 0.83.6.1

18-Jan-04 FIX: latin-2 font now also loaded if saved language setting
               needs latin-2 font
          FIX: intercity road offset can be 0,1 (64x64 pixel tileset)
               or 0,2 (128x128 pixel tile set) -> I hope it will make
               the intercity roads also work with the 128x128 pixel
               tile set
          CHANGE: intercity roads now have no owner anymore

released Simutrans 0.83.6.0

18-Jan-04 NEW: support for latin-2 proportional font and new polish
               translation. The latin-2 font and polish translation
               update have been kindly provided by Maciek Gajewski
          CHANGE: included new italian translation and citylist. Both
               have been kindly provided by Stefano Bonzi
          CHANGE: small updates to chart layouts (station, vehicle and
               line management windows)

17-Jan-04 CHANGE: made line management window resizeable
          FIX: scrollbars in convoi and station info window now work
               again, even if the chart is hidden
          FIX: tried to fix the initial road connection problem with
               128x128 pixel tile set

16-Jan-04 MERGE: included Hendriks changes
               - more vehicle statistics
               - more station statistics
               - heavily improved line management window
               - finance window 32 bit integer overflow fixed

released Simutrans 0.83.5.0

14-Jan-04 NEW: initial road connections between cities. This slows
               down map creation noticeably. The maximum length of
               the roads (= time spent during map creation) can be
               configured with a simuconf.tab entry - if map creation
               is too slow now on your computer, edit simuconf.tab
               and lower the max road length.
          NEW: overhead wires now have a maintenance cost of
               2 CR/month (configurable via simuconf.tab)


12-Jan-04 FIX: tried to get more information about PAK file loading
               problem on some Linux versions
          CHANGE: changed a commercial city building image+description

11-Jan-04 NEW: Debugging helper: buildings list window
          CHANGE: pak update
               - new old-style goods truck
               - two more high level industrial city buildings
               - one more high level commercial city building
               - replaced "Medium offices" with better image
               - changed levels of some buildings to achieve better
                 look of cities
               - changed descriptions of some buildings
               - fixed two mismatched buildings descriptions

10-Jan-04 NEW: back ported Gaz-4 goods truck from 128x128 set to 64x64

09-Jan-04 NEW: started to work on introduction dates for vehicles
               Currently they are just stored in the PAK files and
               displayed in the depot window - no effect on gameplay
               yet.

               MakeObj 0.1.5 support two new attributes for vehicles:

                 intro_year (int):  Year of introduction
                 intro_month (int): Month in year

                 gear (int): gear of engines - will work as power
                             multiplier.

               If you create PAK files, make sure to include them in
               your dat files!!!

               The gear value is an factor to distinguish freight
               train engines and passenger train engines - freight
               train engines use to have a larger gear value, this
               means they have less top speed but they can pull heavier
               trains. (Of course this is only an approximation to
               reality)

               I've assigned a few introduction dates and gear values
               to trucks, and some train engines, but I think I need
               help to assign proper values to all vehicles.

          CHANGE: risen max map size to 1024x1024

08-Jan-04 FIX: fixed a bug in rtrim() function that caused characters
               128-255 to be treated as whitespace (effect: city names
               ending in umlauts or accented characters got those
               characters removed)

released Simutrans 0.83.3.0 and upgraded food chain

08-Jan-04 FIX: Map legend now dynamically adapts to the number of
               configured factories (-> always big enough to list all
               factories)
          CHANGE: more finetuning on 64x64 image set and configuration
          CHANGE: rebalanced food chain configuration to better fit
                  into the 64x64 object set

07-Jan-04 NEW: Goods overview/list now shows category of goods, too
               (Hotkey Shift-G)
          Back ported IL-209S goods truck and trailer

released back-ported food chain

          Back-ported 128x128 food industry chain to 64x64
          - Goods: canned_food, flour, beer, grain, meat, fish, food,
                   milk
          - Factories: grain farm, fish_pond, fish swarm, cow farm,
                       brewery, dairy, grain mill, bakery,
                       food processing plant, cannery, supermarket
          - Vehicles: cooling wagon, milk wagon, cooling truck,
                      milk tanker, fishing boat

          Updated 64x64 pixel tile set
          - lumber plantation size increased to 3x3
          - further improved a few city buildings images

06-Jan-04 Updated 64x64 pixel tile set
          - improved a few city buildings images
          - included new printing works image
          - included new coal mine image
          - added Patricks Rock again (had been lost)
          - included improved sidewalks
          CHANGE: included new french translation by Dominique Gainche

04-Jan-04 CHANGE: included updated czech translation by
                  Ondrej Machulda

released Simutrans 0.83.2.2

04-Jan-04 FIX: included a fix by Hendrik to prevent a crash if the
               last vehicle of a convoi is removed from the convoi in
               the depot
               -> we are not 100% sure if this fix will not break
                  something else

03-Jan-04 FIX: added missing variable initializers to convoi_t
               constructors (Hendrik, Hajo)
               -> This should fix a number of line-management
                  related problems after loading a saved game
               -> This might also fix the trashed line names in
                  the vehicle info window (the bug doesn't occur on my
                  system, so I can't test if this fix really helps)

released Simutrans 0.83.2.1

02-Jan-04 FIX: tried to fix the trashed line names in vehicle info
               window (the bug didn't occur on my system, so I can't
               test if this fix really helps).
          FIX: added 'special building' translation to de.tab
          FIX: uprising messages are now time-synced (raise equally
               fast on all computers)
          NEW: added 'w' key documentation to keyboard help
          CHANGE: changed behaviour of " key: only ordinary city
                  buildings are hidden, special buildings stay visible
          CHANGE: line management window now opens fully inside screen/
                  window in default 800x600 resolution
          CHANGE: resolutions of width 1400 and 1600 now try to open
                  in fullscreen mode (I can't test this on my system,
                  so I don't know if it works well or not).

01-Jan-04 FIX: line numbers are now created in subsequent order again
          CHANGE: line 'name' is now initially set to all bytes 0 upon
                  creating a new line.
          CHANGE: included citylist_pt.txt
          MERGE: included Hendriks changes:
                 - Station info details window now list connected lines,
                 too.

released Simutrans 0.83.1.3

31-Dec-03 FIX: fixed a crash if the schedule of a line was changed
               (double free, Hendrik)
          FIX: fixed potential use of an uninitialized variable in
               schedule list ui

released Simutrans 0.83.1.2

29-Dec-03 FIX: changed convoi waiting times from steps to real time
               -> with this fix, waiting times should consider the
                  time lapse factor
          FIX: fixed a crash if station-connections are being rebuild
               while there is a vehicle without a schedule
          FIX: made two more entries of the lines management window
               translatable.
          FIX: fixed a bug that could produce the same line id twice
               (two lines with same id severely screw up the line
               management, this was an important fix).
          CHANGE: included new fi.tab provided by Antti Louko
          CHANGE: included citylist_en_gb.txt from the feedback forum
          CHANGE: added new entries for line management window to
                  en.tab and de.tab

released Simutrans 0.83.1.1

28-Dec-03 FIX: fixed this problem:
                1. buy 4 wagons (without an engine)
                2. add a waypoint to the schedule of the convoi
                3. try to start the convoi
                4. error message appears (convoi cannot drive,
                   because it has no engine)
                5. click on 'put in front' button
                6. buy an engine
                => crash
               This fix required a major rework of the schedule handling.
               I'm not sure how stable the new code is.
          FIX: removing signals from circle-shaped rail blocks did
               not work properly. This is fixed now.
          CHANGE: road vehicles depot now has same spacing as rail
                  vehicle depot (= 14 vehicles per row, 64x64 mode)
          CHANGE: re-added this to the 0.83 again (had been lost in early
                  0.83.x versions):
                  passenger statistics in city window now shows
                  unreachable passenger destinations in orange and
                  reachable destination in yellow


27-Dec-03 CHANGE: added more debug/trace statements to PAK file
                  loading code (hope this will some day help to
                  track down the PAK file loading problems on
                  some Linux systems)
          CHANGE: code cleanup

released Simutrans 0.83.1.0

22-Dec-03 NEW: included Hendriks changes
               - Vehicle lines are now sorted
               - Fixed a crash due to an uninitialised variable in
                 vehicle line list
                 "press 'w' in new game, select "update" -> game crashes"
                 -> now fixed.

released Simutrans 0.83.0.1
released Simutrans 0.82.15.7exp

20-Dec-03 CHANGE: passenger statistics in city window now shows
                  unreachable passenger destinations in orange and
                  reachable destination in yellow

19-Dec-03 FIX: moved savegame format entry from forrestconf.tab to
               simuconf.tab

released Simutrans 0.82.15.6exp

14-Dec-03 FIX: forest config is now read from 'config' subdirectory, too
          CHANGE: split forest config from simuconf.tab, now it read
                  from forrestconf.tab
          FIX: tried to fix the goods distribution problem for factories
               bigger than 2x2 tiles

released Simutrans 0.82.15.5exp

04-Dec-03 NEW: city names can now be read from name list files. Each
               language may have it's own city name list, i.e.
               text/citylist_cz.txt
               If no list file exists for a language the old city
               name creation scheme is used to create city names.

released Simutrans 0.82.15.4exp

29-Nov-03 CHANGE: better distinguishable colors for finance window
          FIX: on slow computers it could happen that the vehicle
               starting sound was played several times. This should
               be fixed now.

28-Nov-03 FIX: fixed a variable overflow in finance window (Hendrik)
          FIX: finance window total money is now updated dynamically
               (Hendrik)
          CHANGE: replaced most strcpy() calls by a bounds checked, 0
               terminating string copy function

released Simutrans 0.82.15.3exp

27-Nov-03 FIX: fixed a potential buffer overflow is city building
               rules reading code
          FIX: fixed a potential crash if a curiosity building was
               removed

released Simutrans 0.82.15.2exp

25-Nov-03 FIX: fixed a bug in city building rule evaluation code
          CHANGE: moved simuconf.tab to config subdirectory
          CHANGE: moved city building rules into config/cityrules.tab

released Simutrans 0.82.15.1exp

24-Nov-03 FIX: fixed an uninitialized variable in station sorting code
               that could cause a program crash
          FIX: fixed an uninitialized variable in button display/event
               handling code
          CHANGE: added bounds checks to station sort mode text arrays
               access code
          CHANGE: changed Peters new city building rules to avoid
               cities only consisting of one single, extremely long
               road

released Simutrans 0.82.15exp

22-Nov-03 FIX: fixed a potential crash if pressing the "X" button
               to remove vehicles from the map
          NEW: included Hendriks new finance window
          NEW: included Hendriks code to sort goods list in station
               info window.
          FIX: fixed a memory leak in Hendriks sorting code
          NEW: included catalan translation from Juan-Josep Bargues
          NEW: included updated czech translation from Ondrej Machulda

15-Nov-03 CHANGE: included Peters new city generation rules.
                  They are about 30% slower than the old set of
                  rules but create better cities, I think.

12-Nov-03 CHANGE: ships reference speed for speed bonus is now 40km/h.
                  It was 80km/h before. Other vehicles still have a
                  reference speed of 80km/h
          CHANGE: included Hendrik Siegeln in intro scroller
          FIX: vehicle list "no income" filter fixed (Hendrik)
          FIX: vehicle list "name" filter fixed (Hendrik)
          FIX: depot frame refresh after selling stored vehicles
               (Hendrik)
          FIX: adjusted sign height in 128x128 mode (Hendrik, Hajo)

released Simutrans 0.82.14exp

01-Nov-03 NEW: buildings pak files (nodes) are now versioned
          NEW: support for "chance" value in special town
               buildings pak files. Chances are given in percent
          NEW: special city buildings are now built according to
               their chance value
          FIX: towns don't skip growth step anymore
          FIX: town halls are now always properly upgraded
          FIX: added missing translation for "Baumarkt" to de.tab
          CHANGE: cathedral is now a special city building with a
               30% chance to be built for each city
          CHANGE: big stadiums now have a 40% chance to be built
               (was 100% chance before)
          CHANGE: drive in cinemas now have a 30% chance to be built
               (was 100% chance before)
          CHANGE: Deltic is now a diesel engine

31-Oct-03 CHANGE: got a saved game from Wolfgang Rufeger which crashed
               upon electrifying tracks. Reason for the crash: the track
               has no owner. I have no idea how that can happen. I've
               added an error check to rail block electrification
               routine - this at least avoids the crash, but it'd be
               better to know why the track lost the owner value
          CHANGE: changed a minor compatibility issue in ribi_t.h

released Simutrans 0.82.13.1exp

21-Oct-03 FIX: fixed a minor glitch in scrolling/dragging the map if
               mouse pointer was close to the relief map
          CHANGE: vehicles now play their sound before departing instead
               of after arriving

released Simutrans 0.82.13exp


19-Oct-03 FIX: good 'None' no longer shown in goods statistics
          NEW: Included updated czech translation by Ondrej Machulda
          NEW: improved two more building images

18-0ct-03 FIX: factories that don't produce anything now again
               consume input (got broken during of the changes
               for multiple products)
          FIX: plastics ship is available again (seems it was lost
               since the change to the pak file based configuration)
          CHANGE: updated keyboard help

16-Oct-03 NEW: statistics window, so far only displays transport fees
               and speed bonus for goods. (Press 'G' to open)
          NEW: speed bonus for fast transport of certain goods (see
               goods statistics window for details);

15-Oct-03 NEW: new locomotives: MJHN Deltic, MJHN Avocet, Light Br 5-7
          CHANGE: improved window resizing

14-Oct-03 NEW: new city building
               new vehicle: Colin Motor Bus
          NEW: relief map is now draggable with right mouse button

13-Oct-03 CHANGE: improved a few building images
          CHANGE: included a new residential city building


released Simutrans 0.82.12exp


12-Oct-03 NEW: new factory: Pharmaceuticals
               new shop: Chemist
               new good: Chemicals
               new good: Medicine
          CHANGE: further changes to factory code to distribute
                  multiple products properly to all destinations
          CHANGE: adjusted income for some goods

11-Oct-03 NEW: researched how to version nodes in pak files. First
               tests implemented for factory pak files
          NEW: prepared factory code to support multiple products
               per factory
          NEW: new good: printers ink (produced by refinery)
          CHANGE: removed umlauts from pak file names -> this means
                  old games cannot be continued because the names
                  of factories and goods do no longer match

10-Oct-03 NEW: convoi info window now displays current destination
          FIX: buttons now ignore window resize events (made them
               flicker between pressed and unpressed state)
          CHANGE: improved a few building images
          CHANGE: included a new industrial city building
          CHANGE: reordered a few building images

09-Oct-03 CHANGE: implemented the faster movement code for private
                  cars, too.
          CHANGE: lowered coal consumption of the power plants
          NEW:    included better power plant image
          CHANGE: improved a few building images
          CHANGE: reordered a few building images

released Simutrans 0.82.11exp

08-Oct-03 FIX: got a saved game with stuck vehicles. Changed vehicle
               movement code so that vehicles can drive again.
               -> side effect: new code is slightly faster than before
                  and saves 4 bytes of memory per convoi :)
          CHANGE: continued work on new powerlines
          CHANGE: started to prepare better debugging support

03-Oct-03 CHANGE: continued work on new powerlines, fixed some bugs

released Simutrans 0.82.10exp

17-Sep-03 FIX: ships can be started from depots again
          FIX: maintenance costs lowered and moved to simuconf.tab
          FIX: removed unnecessary waiting time for vehicles that
               wait for XY% full but already reached XY%
          CHANGE: continued work on new powerlines

16-Sep-03 CHANGE: continued work on new powerlines


released Simutrans 0.82.9exp


15-Sep-03 FIX: fixed a very serious bug in AI station building. This
               bug was probably a long time there, but lately its
               effect caused a crash, due to changes to other program
               parts. Big thanks go to Duvelke for providing a saved game
               to reproduce this bug!

14-Sep-03 CHANGE: included updated italian, portuguese and dutch
                  translations

???       CHANGE: added two more high level commercial buildings images
          CHANGE: removed one low quality commercial building image
          CHANGE: improved a few building images
          CHANGE: changed configuration of some engines and wagons

11-Sep-03 CHANGE: improved AI station building ability
          CHANGE: AI can now transport gasoline too - better said, it
                  can now transport any good except mail an passengers

09-Sep-03 CHANGE: changed configuration of some trucks and trailers
          CHANGE: introduced new members of the tigress vehicles class


released Simutrans 0.82.8exp


06-Sep-03 FIX: fixed a bug in heightfield loading code that sometimes
               created lines of land at the right and bottom map borders
               even if there was supposed to be sea there.

          CHANGE: Some config files now get closed immediately after
                  reading - former Simutrans versions kept them open
                  until the program ended.

          CHANGE: Adapted weight, prices and running costs of some
                  wagons

          CHANGE: Changed some english and german translations entries

04-Sep-03 FIX: Another fix to load saved games with convois without
               vehicles but a schedule which are sometimes created by
               Volkers new depot code. Thanks go to Manfred Duesing
               for providing a saved game to reproduce this bug!

          CHANGE: risen height value range for heightfields from
                  from -5...1  to -14...10

          CHANGE: changed city building code to keep up with high
                  growth factors. It was reported that the old code
                  had problems with factory above +4, the new code
                  should work well with higher factors, too

03-Sep-03 FIX: Fixed a type/range problem in getting heights from the
               map datastructure. This bug caused various height-related
               problems, including a crash if land was risen above 7

02-Sep-03 FIX: Fixed a bug in Volkers new depot code that allowed
               to remove depots which had vehicles stored in them.

01-Sep-03 CHANGE: Wagons and trailers now have speed limits, too

          NEW: High speed passenger and mail cars suitable for the
               Tigress I engine

31-Aug-03 CHANGE: new maps now can have cities up to size 3300
                  (was 1000 before)

30-Aug-03 CHANGE: separated coordinate and cstring classes again (Volker
                  had tightly linked them) to get cleaner interfaces.


released Simutrans 0.82.7exp


26-Aug-03 FIX: Got a saved game where convois had insanely high wait
               lock values. I don't know how that could happen -
               anyway the locks now have an upper bound of 1023
               so that sooner or later such convois start to move
               again.

          CHANGE: Changed a potentially insecure instruction order
                  in removing convois via the emergency button.
                  Crashes have been reported, but couldn't be reproduced.
                  I still hope this change will help.

          CHANGE: Reduced vehicle waiting time by another 5%

          CHANGE: Changed city information window to list unemployed
                  and homeless people


released Simutrans 0.82.6exp


23-Aug-03 FIX: Labels/signs now appear centered in 128x128 tile mode,
               too.

          CHANGE: Modified memory management: risen basic block size
                  of pools to 16384 entries (had been 1024 before)
                  This speeds up both allocation and deallocation
                  of pooled objects. The overhead of partly used pools
                  is small compared to Simutrans' overall memory
                  consumption. (Currently this particularly speeds
                  up map destruction, an operation that is performed
                  before creating a new map, loading a new game and
                  before quitting Simutrans).

21-Aug-03 FIX: Hajo: it seems Volkers new depot code sometimes saves
               convois without any vehicles. But Simutrans can't load
               them afterwards and crashes upon loading such a saved
               game. I've implemented a workaround that allows to
               load such games again, but I think this needs further
               investigation and testing.

          FIX: Fixed a temporary inconsistency of convoi data that
               lead to serious problems with the new reduced waiting
               time for vehicles.

20-Aug-03 FIX: Removing a mail office now resets a stations ability
               to collect, store and move mail.

          FIX: Car factory had input capacity 0/0t plastics. I'm not
               sure if this affected the game at all, but it's now
               set to 0/300t

          CHANGE: Only one mail office per station allowed

          CHANGE: Reduced overall loading time of vehicles. Trucks,
                  busses and ships now need about 2 seconds to load,
                  trains need 2 + (number_of_waggons/4) seconds to
                  load. -> If you have a slow computer and Simutrans
                  is near the max CPU power already, the vehicle
                  loading times will grow. Try the -refresh n switch
                  in that case (see readme.txt for details).

13-Aug-03 CHANGE: Reworked new vehicles/new pathfinding
                  (not included in official release).

released Simutrans 0.82.5exp


30-Jul-03 CHANGE: Limited max passenger search depth (route planning)
                  to 300 stations (was 900 formerly)

          FIX: Heightfield loading now works well with artificial
               slopes - no extra support walls are created anymore

29-Jul-03 CHANGE: Lowered passenger rate for higher level buildings

28-Jul-03 FIX: Added missing initialization to slope array

          FIX: Added missing initialization to buildings after
               loading

          FIX: Fixed a 'race condition' in world destruction.
               In rare occasions, there was step() called on cities
               that just underwent destruction.

          CHANGE: lowered passenger rate for higher level buildings

27-Jul-03 NEW: UI button class got a tooltip feature. Added tooltips to
               some buttons that didn't have a meaningful label

          NEW: Passenger statistics for stations (happy, unhappy, no
               route found). Newly created passengers become unhappy
               if their chosen starting station has more than 64
               passengers per segment already waiting there. Unhappy
               passengers will not use your transport service.
               "No route" in this case means that a passenger came to
               the station, couldn't find a route to his desired
               destination and went home.

          Included updated czech translation by Fast Ikarus
          Included updated polish translation by Lukasz Remis
          Included Tomas Kubes' monument

26-Jul-03 FIX: Fixed a crash if the height of a schedule entry
               (waypoint) was changed and the schedule window was
               opened after the height change

          FIX: Using the emergency button to remove vehicles now resets
               the rail block counters if the vehicle was a train

          NEW: tooltips for tool selection windows

22-Jul-03 FIX: Screenshot directory is now created with correct
               access permissions under Linux

          FIX: all 16 player color sets are loaded correctly again

          FIX: Fixed two minor bugs in world map creation that caused
               trouble if the water level was changed from default level

20-Jul-03 CHANGE: Continued work on artificial slopes - created menu icons
                  and added slope tools to raise and lower land.

          NEW: Textures for slope support walls

          NEW: Added loading and saving of artificial slopes.

          FIX: Fixed a bug in heightfield loading (wrong filename suffix)
               (Heightfields are still searched in the "save" directory)

19-Jul-03 CHANGE: Continued work on artificial slopes - completed slope
                  table, created a menu and tools

17-Jul-03 CHANGE: Continued work on artificial slopes - painted slope
                  cut walls and implemented first version of slope
                  mapping table.

16-Jul-03 CHANGE: Changed grid heights to sint8. This saves 65k
                  for a standard 256x256 map

          CHANGE: Continued work on artificial slopes - grounds now
                  have up to three images: artificial walls, the ground
                  itself and a way image (this takes additional 128k
                  of memory for a standard 256x256 map)

14-Jul-03 NEW: Started to work on artificial slopes

13-Jul-03 FIX: Fixed a bug in AI code that could crash the game if the
               AI was searching for suitable places to build a station
               near the map border

          CHANGE: Private cars speed risen to 60 km/h

12-Jul-03 CHANGE: Enlarged text buffer for convoi info window from 16k
                  to 32k

          CHANGE: Lowered passenger generation at tourist attractions by
                  20%

          CHANGE: Included Tomas Kubes' sawmill in 64x64 image set

          NEW: Added emergency button to vehicle info window - it removes
               the vehicle from the map. This is useful to get rid of
               stuck vehicles. Be careful: the removed vehicle is gone
               forever! The button is labelled "X".

          NEW: AI will now remove vehicles if they have no suitable
               route (anymore) - i.e. due to a bug or player sabotage.

09-Jul-03 FIX: Tourist attractions are valid passenger destinations
               again - formerly this information was lost after
               loading a saved game

          FIX: Fixed bug in tourist attraction buildings own tourist
               generation code ... sometimes they produced insane amounts
               of tourists, followed by periods of no production at all.
               Generation rate is now set to 82 passengers per minute
               for perfect destination coverage (I never reached more than
               30% coverage so far).


07-Jul-03 FIX: Fixed a bug in payment calculation while waiting for a
               given loading level (i.e. wait for 100%).

          CHANGE: During my tests it seems that maintenance costs are
                  much too low. Thus I've doubled all maintenance costs.
                  -> this is also an incentive to use ships. Unlike rails
                  and roads, water doesn't need maintenance :)

          NOTE: Due to the changed payment calculation (introduced in
                0.82.0exp), passenger transport gives higher revenues
                now. Maybe further adaptations must be made, but the
                new calculation scheme is correct, while the old scheme
                was wrong.

06-Jul-03 FIX: Compressed savegames work reliably now. (See simuconf.tab
               for details)

          CHANGE: Changed income calculation: now on every stop income
                  is calculated for all transported goods, based on the
                  distance since the last stop.

                  Before, it happened that goods that stayed in the
                  vehicle for several stops, only paid the last hop,
                  instead of the full distance.

          CHANGE: Lowered (to 25%) amount of passengers generated at
                  tourist attractions. Now up to 42 passengers are
                  generated per minute (less if the player has not 100%
                  destination coverage).

          Included new or updated  language files:
                  nl.tab - Martyn Minnis <MartynMinnis@Hotmail.com>
                  cz.tab - Kamil "FastIkarus" Ondrák <fastikarus@centrum.cz>
                  fi.tab - Antti Louko <alou@mbnet.fi>
                  pl.tab - Piotr Pietrzak <pyotr@wp.pl>
                  sk.tab - Ján Krnác <Krnac@UZIS.Sk>
                  sv.tab - Julius Grantén <ge_klav@hotmail.com>
                  pt.tab - Eric C. Olivera <ecostaoli@yahoo.com.br>


28-Jun-03 Changes by Volker:

          CHANGE: New path structure - subfolders font, palette, save and
                  screenshot are now used. Starting the new game will
                  create them automatically and move the files there.
                  Be careful: an old version will not find them afterwards.

          NEW: More work on new depot dialog (resizeable etc.)

          NEW: Speedbar for vehicles

          CHANGE: Removed old code - this can only read games saved with
                  the prev. version.

          NEW: Savegames are now zipped by default - loading autodetects
               the savegame type.
               (Hajo: doesn't work on my system. Default seems to be set to
                binary, not zipped. Forcing zipped mode causes a crash).

          CHANGE: Trees are displayed small in hide-buildings-mode

          NEW: When using commandline "-load <savegame>" the extension
               needs no longer be supplied.

???       CHANGE: industry distribution now generates larger average
                  distances between industries

21-Jun-03 CHANGE: continued work on new vehicles and pathfinding

20-Jun-03 CHANGE: continued work on new vehicles and pathfinding

19-Jun-03 CHANGE: continued work on new vehicles and pathfinding

18-Jun-03 CHANGE: continued work on new vehicles and pathfinding

17-Jun-03 NEW: started to work on a new vehicle class that implements
               a different, more flexible pathfinding method


About 0.82.pre1

This version is really just a preview. Volker told me he will further
improve the depot dialog, but you can already try it a bit.
Also Volker made a lot of internal changes that can affect stability
but we hope that overall they will help  further development. A few
minor bug fixes are also included.

You can use this version with the 0.81.35exp base package.


14-Jun-03 FIX: fixed a bug in player color tables (green color set
               got wrong values due to some wrong index calculations)
          FIX: fixed ground water level calculation in zoom modes
               with a raster width of less than 64
          FIX: bridges can now be built on electrified track
          CHANGE: included Volkers changes (lots ... most notably the new
                  depot window)

09-Jun-03 CHANGE: support for unzoomable images (icons ...)
                  adapted MakeObj, display routines and dat files
                  -> if image names in .dat files are prefixed with
                  "> " they will not get zoomed in the game
                  -> IMPORTANT NOTE: this changes makes all previous
                  PAK files incompatible!!!

07-Jun-03 FIX: player color table initialisation wasn't executed
               after starting a new game. Table now gets initialised
               always.

29-May-03 CHANGE: enhanced MakeObj and Simutrans to use 7 shades of
                  player colors (instead of 4). Also there are now 9
                  reserved player colors that can be used for future
                  expansions
          -> This change introduces a slight incompatibility with old
             saved games. The player color settings will most likely
             become reset to color set 0 if loading an old game, some
             times a random other set can be chosen. This means you'll
             most likely have to choose your preferred color set again.

25-May-03 released 0.81.33exp

24-May-03 FIX: tourist generation now depends on real time (formerly
               it depended on simloops, but simloops vary too much to
               be a reliable measure)
          NEW: factory window now displays the category of produced
               goods if they are categorized goods

15-May-03 NEW: added category for cooled goods (category 4)
          CHANGE: changed calculation of town growth a bit
                  (towns grow slower now)
          CHANGE: zoom level can now be changed by "page up"
                  "page down" keys, too. (Zooming quality is still bad)

11-May-03 NEW: translations are now read from 'text' subdirectory.
               Simutrans can now read up to 40 translation files.
               Thanks to Adam Barclay for this nice addition.

08-May-03 CHANGE: cursor keys now scroll map, too

25-Apr-03 FIX: traced Simutrans for memory leaks and accesses of/to
               uninitialised memory

21-Apr-03 CHANGE: optimized some graphics routines (5% faster now)

20-Apr-03 CHANGE: reduced number of malloc()/free() calls for loading
                  trees and buildings (-> games should load a bit faster
                  now)

19-Apr-03 FIX: fixed a crash if the player or AI scheduled a new vehicle

18-Apr-03 FIX: after a schedule is changed, freight to stations that are
               no longer included in the schedule is removed from the
               vehicle
          FIX: saved games in which factories have negative amounts
               of input stored are now repaired (amount set to 0)
               upon loading. Also factories that have more than 15000
               units of input are clipped to 15000 units.

15-Apr-03 FIX: fixed a memory leak in slist_tpl/nodelist

08-Apr-03 FIX: goods distribution didn't consider multiple destinations
               per station properly. This should be fixed now.

05-Apr-03 CHANGE: factories now distribute goods always to that station
                  that currently has the least amount of that good stored
          CHANGE: reduced vehicle waiting time at stations by 15% in
                  average. Unfortunately the waiting times vary strongly.
          CHANGE: improved shores images a bit
          FIX:    tried to fix a bug in the AI code that sometimes created
                  train stations with defective last tiles and then placed
                  trains on those defective tiles with the effect that
                  those trains never could move

29-Mar-03 CHANGE: removed last dependency to ADT package

23-Mar-03 CHANGE: optimized map lookup

22-Mar-03 CHANGE: optimized goods routing

21-Mar-03 CHANGE: optimized goods routing

20-Mar-03 CHANGE: optimized vehicle routing
          FIX: land vehicles now always find shortest path
          CHANGE: optimized routing of goods and passengers

16-Mar-03 CHANGE: changed ownership (player) management for things
          CHANGE: tried to reduce memory consumption, saved 8 bytes
                  per map square that has no bridge or tunnel
                  -> risen max map size to 768 for that people with
                     powerful computers.
          FIX: fixed a potential buffer overflow in minivec_tpl
          FIX: fixed a potential buffer overflow in microvec_tpl

15-Mar-03 NEW: included Matthews changes for "min size" window gadget
          NEW: "new map" dialog now gives estimated memory requirement
               for chosen map size
          NEW: included 4 types of variant grass to break the uniformity
               if the landscape

13-Mar-03 FIX: fixed a problem if tunnels went under squares with name
               signs or bridges went over them
          FIX: fixed the dat file for TPI Class 26 engine

06-Mar-03 NEW: fixed another bug that caused a program freeze if a
               private car had gone 2^32 steps (overflow problem)

05-Mar-03 NEW: include Tomas' new forest creation routines

02-Mar-03 FIX: added some missing entries to german translation
          CHANGE: slightly risen productivity of gas stations

26-Feb-03 CHANGE: finance window now formats money as 1.000,00
          FIX: negative total balance is now displayed in red

23-Feb-03 NEW: number of transported passengers now influences city growth
               (see +X in city info window. +1 means doubled growth, +2 means
               tripled growth rate. Will always be 0 after loading a new game
               and midnights. Needs a while to be recalculated.)
          NEW: new industry branch 'gasoline production'
          NEW: included Alberto Beccarias updated italian translation
          CHANGE: reenabled display/brightness control.
                  Range is now -8 ... 0
                  0 being the brightest setting. 0 is default value.
          CHANGE: slightly risen the average distance of industries
          CHANGE: made church a special building
          released unofficial 0.81.23exp

22-Feb-03 NEW: tested -nosound and -nomidi switches on windows

20-Feb-03 NEW: -nosound and -nomidi switches to turn off sound and music

19-Feb-03 FIX: fixed a bug in building level-crossings on non-empty squares
          NEW: Materialwholesale now also accepts planks and steel
          NEW: Home market now also accepts planks

17-Feb-03 FIX: fixed a bug in help text viewer that caused a crash if more
               than two <a href=""></a> tags were included in the help text
          FIX: included Alberto Beccaria as italian translator into the
               intro scroller
          FIX: fixed a bug in image zooming if going back to zoom factor 1
          CHANGE: included new help texts by Adam Barclay

???       Stopped development of zooming feature. Need to wait for
          Volkers new MakeObj with more flags for images (unzoomable
          images -> currently icons and other menu-images get zoomed, too).
          Very simple (fast) zoom routine is working now, zoom quality
          is bad.

12-Feb-03 NEW: continued to work on zooming feature

11-Feb-03 NEW: continued to work on zooming feature

10-Feb-03 NEW: started to work on zooming feature (use > and < keys to zoom
               in and out)

09-Feb-03 NEW: added legend to relief map window
          CHANGE: included Tomas Kubes' new english city name syllables
                  in en.tab
          CHANGE: performance tuning
               - changed route_t and vector_tpl index parameters to
                 unsigned, saving one if conditional on each access
          released unofficial 0.81.22exp

08-Feb-03 NEW: player starting money can now be configured in
               simuconf.tab
          NEW: factories now require different amounts of input to produce
               goods. I.e. to produce one ton of iron 2 tons of iron ore
               and 0.5 tons or coal are required
          CHANGE: included Tomas Kubes' new darkening (night mode) code
          FIX: fixed a wrong gridded grass tile that appeared to be
               invisible
          FIX: fixed landscape pointer position calculation in 128x128
               tile mode
          FIX: fixed refresh area for landscape pointer movement in
               128x128 tile mode
          FIX: level crossing only can be build on empty squares
               (this prevents a crash if you built them while a vehicle was
               passing this square)
          FIX: fixed input overflow problem in factories

06-Feb-03 CHANGE: more performance tuning
                  - optimized dingliste bei(n) now takes an unsigned
                    parameter, saving one if conditional
                  - changed array_tpl and array2d_tpl parameters to
                    to unsigned, saving one (two) if conditionals on each
                    element access

05-Feb-03 CHANGE: more performance tuning
                  - inlined ist_bruecke und ist_tunnel, added flags
                    to grund_t
                  - changed minivec get() parameter to unsigned,
                    this saves one if condition
                  - removed one if from karte_vollansicht_t::display_dinge
                  - removed one if from grund_t::display_dinge
                  - removed one if condition and one assignment from
                    karte_t::sync_step
                  - inlined grund_t::gib_weg, and optimized the routine
                    slightly

04-Feb-03 CHANGE: tried to reduce the memory consumption - reduced by 8 bytes
                  per ground.
          CHANGE: tried to optimize pedestrian routines
          CHANGE: profiling and overall performance tuning

01-Feb-03 FIX: mail office now has player colors
          FIX: overhead lines adapt their shape if tracks are removed
               or added
          FIX: fixed world/map scrolling in bigtile (128) mode
          FIX: fixed bridge icons for night mode with lights
          FIX: scrolling with numeric keypad works again
          FIX: Stadium 2, Layout 1 fixed (created invisible stadiums before)
          NEW: ESC closes all windows (BACKSPACE and DELETE do that too)

28-Jan-03 NEW: there is now a toggleable ground tile grid. Press # to
               switch the grid on/off.

27-Jan-03 NEW: finished buttons for the factory info window to jump to
               consumers, also added buttons to jump to the workers home
               towns

27-Jan-03 NEW: started to add buttons to the factory info window
               to jump to consumers conveniently

26-Jan-03 NEW: started to work on lights for the night mode
          released unofficial 0.81.20exp

25-Jan-03 FIX: road tunnels again get correct image after loading (was
               broken during migration to new pak files)
          FIX: private cars are no longer visible while passing a tunnel
          FIX: it is not longer possible to build rail stations twice on
               the same square if overhead lines are present
          CHANGE: saved 4 bytes of memory per convoy
          CHANGE: included improved paper mill from Tomas Kubes
          released 0.81.19exp

23-Jan-03 FIX: overhead lines on bridges are now (again) loaded correctly
               from saved games
          FIX: signals on bridges are now loaded correctly from saved games
          CHANGE: city building tool now included in toolbar
          FIX: city building cursor now has proper size
          FIX: removing roads and railroad track now costs 100 Cr

22-Jan-03 FIX: Again included this fix, it had somehow been lost:
          07/13/02 - FIX: fixed a bug that caused an endless loop once
                     a private car had gone more than 2**31 steps
          FIX: fixed overhead line images for diagonal track
          NEW: started work on line (route) management

20-Jan-03 CHANGE/FIX: also doubled running cost for 'Bennhardt' engines
                  (had been overlooked yesterday)
          NEW: added Colins hong kong ferries
          NEW: added Bens industrial city buildings

19-Jan-03 FIX: fixed dat file entry for "large office building (by Trikky)"
          FIX: sand truck can now be used without trailer
          CHANGE: changed max map size from 576 to 640 (requires ~60MB ram
                  and a whole lot CPU time plus memory bandwidth!)
          CHANGE: changed "Passenger %" for monuments from 150 to 60
          CHANGE: enhanced capacity of all busses by about 5%
          CHANGE: changed capacity of mail wagon from 60 to 120 bags
          CHANGE: changed capacity of mail boat from 140 to 180 bags
          CHANGE: changed capacity of mail trucks to 50 and 60 bags
          CHANGE: doubled running costs of all vehicles. Lowered running
               costs for electric engines slightly.
          CHANGE: rose starting money to 150000 Cr
          CHANGE: newly generated passengers will not use stations
                  where more than 64 passengers per square are already
                  waiting
                  Note: workers nevertheless use crowded stations!
          CHANGE: reduced passenger generation ratio from (building_level+2)
                  to (building_level+4)/2   ->  that is roughly the same
                  as before for low-level buildings, but only have of the
                  former rate for high-level buildings
          released 0.81.18exp

18-Jan-03 CHANGE: added updated italian translation from Alberto Beccaria
          released 0.81.17exp
          CHANGE: changed grounds to use memory pools (should save about 256K
               main memory for a 256x256 map, and also be faster)
          FIX: Ships can now be sent to depots again
          FIX: fixed a bug in restoring overhead line images when loading
               games that had been saved under a different OS or with a
               different set of PAK files - this also saves 4 bytes
               per saved overhead line tile

17-Jan-03 FIX: made some bugfixes for new bigtile mode
          FIX: fixed a bug in overhead line y-offset calculation that
               made overhead tiles on bridge ends move higher and higher
               if the overhead lines were re-built (again)
          NEW: added automatic tile size detection (PAK files reader)
               -> requires at least one full width image in tile set
          NEW: linked lists now allocate nodes from a pool. Slightly faster
               than before and conserves a little bit of memory
          CHANGE: changed toolbar window to work with 128 and 64 pak files
          CHANGE: additional station segments only cost half of a new segment
          CHANGE: new station segments now cost 2400Cr

16-Jan-03 TEST: made some tests with 128x128 tiles
          FIX: fixed a bug in MakeObj/PNG file reading
          FIX: fixed a bug in MakeObj image writing

15-Jan-03 NEW: preparation for configurable tile size

14-Jan-03 NEW: tried to implement a more efficient management for
               linked list nodes, try to reuse as many nodes as possible

12-Jan-03 FIX: fixed rail bridge images which seem to have been damaged
               during the conversion to the new multi-pak file approach.
          FIX: fixed a basement image which seems to have been damaged
               during the conversion to the new multi-pak file approach.

08-Jan-03 FIX: fixed a bug that sometimes move the city area out of map
               bounds if a town hall was renewed
          FIX: added correction code to read games with towns that suffer
               from the above mentioned problem

05-Jan-03 FIX: player cannot rename AI stations anymore
          FIX: VT95 and VT98 can be run as single cars again
          FIX: TPI F7A can be run on non-electrified track again
          FIX: hotkey 'e' used wrong landscape pointer image
          FIX: fixed VT95 images which seem to have been damaged
               during the conversion to the new multi-pak file approach.
          CHANGE: schedule window now displays destination coordinate
                  (Schedules are platform-precise!)

04-Jan-03 CHANGE: bus stops now can be placed even if there are
                  pedestrians there
          NEW: added monument inscriptions to en.tab
          FIX: fixed plastic wagon images (player color) which
               seem to have been damaged during the conversion to the
               new multi-pak file approach.
          FIX: overhead powerlines on bridge ramps on even ground have
               correct height offsets now
          FIX: overhead powerlines in tunnels are no longer visible
          FIX: removed extraneous second 'dock' button from ship tools menu

03-Jan-03 CHANGE: tried to reduce jitter in vehicle movement
          CHANGE: tried to optimize the updates of trees, buildings etc.
                  overall this should help to run larger games, but I
                  don't know how much improvement it will bring.
          FIX: fixed steel truck and steel trailer images which
               seem to have been damaged during the conversion to the
               new multi-pak file approach.

01-Jan-03 FIX: stations can now be built on electrified track, too
          FIX: Bennhardt BR140 now only runs on electrified track
          FIX: fixed a bug in AI code that tried to use electric engines
               on non-electrified track
          FIX: added missing STADIUM1 entry to en.tab and de.tab
          FIX: fixed mixed lines for 'Lade Spiel' in de.tab

22-Dec-02 CHANGE: lowered passenger % of townhalls. Now:
                  75, 75*4, 75*4, 75*4
          CHANGE: added checks for two potential crashes in searching
                  for locations of monuments and town halls
          CHANGE: repaired images for paper wagon, paper truck, paper trailer
                  which seem to have been damaged during the conversion to the
                  new multi-pak file approach.
          FIX: added missing wav files (lost since conversion ...)
          released unofficial 0.81.12exp

21-Dec-02 CHANGE: more work for overhead powerlines

20-Dec-02 CHANGE: more work for overhead powerlines

15-Dec-02 CHANGE: more work for overhead powerlines

12-Dec-02 NEW: started work on overhead powerlines for electrified track

11-Dec-02 NEW: non-station buildings can be hidden from display by pressing
               " (Shift-2 on a german keyboard). This is useful if large
               buildings block sight to something important.
          NEW: started to work on electrified, monorail and maglev track types
               electrified tracks work already, yet they still look the same
               as ordinary tracks

07-Dec-02 CHANGE: changed capacities:
                  Furniture wagon:  20 crates
                  Furniture truck:   16 crates
                  Furniture trailer: 18 crates
          NEW: Option for semaphore signals
          released unofficial 0.81.11exp

???       released 0.81.10exp

30-Nov-02 CHANGE: improved/reworked H-Trans coal truck image
          FIX: fixed .dat file for furniture wagon

17-Nov-02 FIX: fixed some bugs in routing of goods (broken during changes
               for categorized goods)
          BUG: Station list filter for incoming/outgoing goods might work
               differently than before. I never used it, so my change is just
               a guess
          released unofficial 0.81.9exp

16-Nov-02 NEW: enlarged schedule window
          CHANGE: goods are now grouped into unique goods, parcel service and
                  bulk goods. Vehicles that transport goods of the categories
                  parcel and bulk goods can now transport _any_ good of those
                  categories. I.e. a coal car can now also be used to
                  transport iron ore.

                  Parcel service: Books, Furniture
                  Bulk goods:     Sand, Stone, Coal, Iron Ore

                  Due to this change the savegame format became incompatible.
                  Sorry, no conversion is possible, even some of the pak files
                  now have a different structure.
          CHANGE: enlarged text buffer for vehicle information window to
                  reduce the danger of buffer overruns

26-Oct-02 FIX: After schedule changes, no-longer existing routes are
               checked and waiting goods are cleaned up. This should
               fix the long-standing bug that passengers and goods
               waited endlessly after a route was shut down and/or
               replaced by another route.
               This cleanup action is pretty time consuming. In games
               with many stations and vehicles, running on slow computers
               this will take several seconds to complete.
          released unofficial 0.81.8exp

20-Oct-02 FIX: Oil rigs now accept passengers and mail (again, was broken
               after 0.81.0)
          released unofficial 0.81.7exp

19-Oct-02 FIX: fixed a bug in loading saved games (height information
               was accessed before actually loaded)
          FIX: fixed a bug in AI bridge testing routines (AI tried to build
               bridges in unsuitable locations and ended up with broken
               routes)

12-Oct-02 FIX: random pedestrians can now actually be turned on and off
               in simuconf.tab
          FIX: fixed a bug which caused convois not being saved after
               visiting a depot without disassembling the convoi
          FIX: maintenance costs are now displayed in red
          CHANGE: relief map is now zoomable: right click into map to
                  toggle zoom/unzoomed display
          released unofficial 0.81.6exp

06-Oct-02 CHANGE: tried to make relief map zoomable

06-Oct-02 FIX: updated/fixed more images/animations
          FIX: tried to fix the problem that some vehicles were not
               immediately visible after loading.
          FIX: fixed the problem of vehicles stored in depots being
               invisible after loading.
          released unofficial 0.81.5exp

05-Oct-02 FIX: updated/fixed more images
          FIX: italian translation is available again
          FIX: added Bennhardt train engines again
          CHANGE: message windows now appear above the mouse pointer and
                  don't obstruct the players actions anymore.
          CHANGE: depot windows open in the top-left corner of the screen now.

04-Oct-02 FIX: fixed many mistakes in new config files and image set
          FIX: maintenance costs are now displayed correctly in finance
               window
          FIX: fixed a translation mistake in en.tab

03-Oct-02 FIX: fixed a bug in tree creation that was introduced with the new
               configuration system.
          FIX: fixed a bug in loading tunnel descriptions

20-Sep-02 CHANGE: Starting money again set to 100.000Cr
          CHANGE: made info windows for pedestrians and private cars
                  configurable in simuconf.tab

29-Sep-02 CHANGE: changed passenger generation in cities (steps more
                  frequently, but only every 8th row)

28-Sep-02 CHANGE: continued code cleanup
                  -> all 'builder' classes now located in 'bauer'
                  -> all 'searcher' classes now located in 'sucher'

26-Sep-02 CHANGE: continued code cleanup

25-Sep-02 MERGE: included Volkers changes to the config/object system
          CHANGE: started to move factory classes into a separate package
          CHANGE: did some code cleanup in simgraph16.c

22-Sep-02 NEW: station detail info now displays factory coordinates, too
          NEW: water (ground) animation can now be turned off in
               simuconf.tab (i.e. if you have a slow CPU and want to save
               some computation time for other tasks)
               They serve some useful purpose, though: the more you see
               around a spot, the better the place to build a station there.
          NEW: player/AI colors can now be configured by editing the file
               "special.pal" which is a text file containing 64 RGB colors
               in decimal values
          FIX: loading pedestrians works now
          FIX: fixed some problems in day&night mode:
               1) vehicles/player properties darken now during nights
               2) window title bars don't darken during nights
          CLEAN: did some more code cleanup in simgraph16.c
          CHANGE: interrupt routine now updates display first and then
                  calculates next frame - i hope this will reduce the
                  jitter in vehicle movement
          CHANGE: changed sync_step routine to be (hopefully) faster and
                  more robust against the most common coding mistakes
                  (deleting/removing a sync object while a sync step is
                  running).
          CHANGE: tombstone arrays are now configurable in simuconf.tab

21-Sep-02 NEW: schedules are no longer lost if a vehicle enters
               a depot

20-Sep-02 FIX: repaired broken AI road/railroad building routines
          TIME: 2:00h

19-Sep-02 MERGE: continued merge of sources
          NEW:   station detail info now includes connected industries
          CLEAN: cleanup in simgraph16.h and simgraph16.c
          TIME: 1:30h

18-Sep-02 MERGE: merged Volkers changes for new config system
          TIME: 2:00h

05-Sep-02 NEW: included italian translation from Alberto Beccaria
          NEW: built preview for BeOS
          CHANGE: updated thanks.txt
          TIME: 1:30h

02-Sep-02 CHANGE: changed layout of the ship depot. It looks a bit better
                  than before, but some ships are just too oversized - why
                  don't the artists follow the size guidelines?
          CHANGE: some trailers now fit to all trucks
          CHANGE: changed price, weight and running cost of the double
                  decker busses
          FIX: fixed alignment of some ships
          TIME: 2:00h

01-Sep-02 FIX: bus stops are recolorable again
          FIX: changed and added some entries to de.tab
          FIX: changed and added some entries to en.tab
          FIX: included hu.tab fix from MrTLee
          CHANGE: tried to improve bus stop images
          CHANGE: changed sand wagon to be recolorable
          CHANGE: changed stone wagon to be recolorable
          TIME: 2:30h

31-Aug-02 CHANGE: raised starting money to 100000 Cr
          CHANGE: if a help text can't be found, the help text frame
                  error now includes the filename of the missing file
          CHANGE: drive in cinema is now built at 600 inhabitants
          CHANGE: lowered productivity of coal mines and iron ore
                  mines by 10%
          CHANGE: all of Bennhardts vehicles have reasonable prices and
                  running costs
          TIME: 1:30h

30-Aug-02 CHANGE: changed tombstone implementation for stations
                  to a more efficient variant
          CHANGE: removed brightness and contrast control from the
                  display options dialog because they didn't work anymore
                  since the transition to the 16 bit graphics code and
                  those features most likely won't be implemented again.
          CHANGE: declared savegames previous to 0.80.10 incompatible
                  because some vehicles couldn't be restored from such
                  savegames properly.
          FIX: oil rigs don't raise the players maintenance costs anymore
          NEW: added missing stadium images
          TIME: 1:00h

29-Aug-02 CHANGE: included updated translations
          CHANGE: changed prices for "Bennhardt" train engines
          CHANGE: changed tombstone implementation for convois and
                  railblocks to a more efficient variant
          FIX: fixed a crash if the vehicle list was left open and
               displaying a vehicle that enters a depot
          FIX: fixed stadium images for layout A
          FIX: fixed non-matching entries for Tigress I in language files
               and vehikel.tab, also removed an unused double entry for
               the Tigress I from vehikel.tab
          TIME: 3:00h

07/20/02 - FIX: fixed 2 wrong entries in gebaeude.tab
         - FIX: included Dennis' correction for en.tab
         TIME: 1:00h

07/14/02 - FIX: sped up buying vehicles in depots
         TIME: 1:00h

07/13/02 - FIX: fixed a bug that caused an endless loop once a private car
                had gone more than 2**31 steps
         TIME: 1:00h

07/11/02 - FIX: factory descriptions are restored after loading. This fixes
                a crash after loading saved games in 0.80.10a
         - FIX: (hopefully) oil rigs now accept passengers
         TIME: 1:00h

07/08/02 - FIX: heightfield loading now loads other files than
                "heightfield.ppm", too
         - FIX: confirming the heightfield file selector box with
                an invalid name no longer crashes the game.
         - FIX: better error messages for heightfield loading, errors
                no longer quit the program.
         - FIX: colors of the factories in the map window are now again
                the color configured in industry.tab
         TIME: 1:00h

07/07/02 - NEW: included 8 new train images painted by Benjamin "Bennhardt"
                Siegel
         - NEW: included the alignment-corrected trucks from Jens "JET" Emmel
         - NEW: included a new ship from Jens "JET" Emmel
         - FIX: buying a trailer or wagon without having an engine no longer
                crashes the game
         - KNOWN PROBLEMS:
             - ship depot display is messed up pretty much
             - all of Bennhardts engines have same price and running cost,
               sensible values will be discussed on the mailing list and
               included
         - released unofficial 0.80.10-16exp
         TIME: 2:00h

07/06/02 - NEW: finished heightfield loading
         - NEW: included the improved trees from Tomas Kubes (sorry Tomas I
                had to modify them slightly).
         - CHANGE: changed the toolbar icons
         TIME: 4:00h

07/05/02 - NEW: option to load heightfield (a PPM image where the brightness
                of a pixel determines the height for that spot on the map)
         TIME: 1:30h

07/01/02 - FIX: fixed a bug in Markus' patch for the depot window - when
                buying a new vehicle the cost of a lot of different vehicles
                was also withdrawn from the players account.
         - released unofficial 0.80.9a-16exp

06/30/02 - FIX: maintenance cost is now actually subtracted from players
                account every month.
         - FIX: fixed a wrong entry in gebaeude.tab
         - MERGE: included Owen Rudges Win32 midi playing routines
         - released unofficial 0.80.9-16exp

06/29/02 - NEW: maintenance costs for roads, railroads and buildings:
                - road/railroad:  5.00 Cr/month
                - each building: 50.00 Cr/month
                (There is a small bug here: ATM oil rigs belong to the player,
                and thus the player has to pay maintenance costs for them).

         - MERGE: merged Markus patch to display only matching carriages
                  in the depot window
         TIME: 1:30h

06/23/02 - NEW: List of all schedules (also saved 4 bytes memory per schedule)
         - FIX: savegame frame shows local time instead of GMT
         - CHANGE: map frame now has a minimum sizeof 96x64 pixels
         TIME: 0:30h

06/15/02 - CHANGE: sped up graphics by another 2%
         - released unofficial 0.80.8-16exp
         TIME: 3:00h

06/14/02 - FIX: industries have several consumers again (Volker)
         - FIX: building a loading bay on a cities road sets the roads owner
                correctly now.
         - NEW: tunnels and bridges are displayed in the map (Volker)
         TIME: 1:00h

06/13/02 - FIX: window resizing bugs fixed
         TIME: 1:00h

06/09/02 - MERGE: merged Markus changes
                  - station list now includes icons
         - MERGE: merged Volkers changes
                  - internal changes to train and truck stations to
                    streamline the class hierarchy
                  - more and more strict tests for building roads/railroads
                  - new industry distribution. Can consider weights, given by
                    industry.tab, to prefer (or not) certain industry
                    branches.
                  - existing screenshots are preserved, new screenshots
                    always get high enough numbers.
                  - changed load/save dialog
                    * Buttons for deleting files (take care!)
                    * Displays save date and time
                    (Just a proposal - test it, and let us know if you like it
                     or not)
                  - schedules: depots listed as depot and no longer as waypoint
         - TEST: tested Owens win32 media routines, but couldn't get them
                 to work with my compiler - excluded in this release.
         - CHANGE: the Linux version now tries to open 640x480, 800x600
                   1024x768 and 1280x1024 in fullscreen. Use the -screensize
                   option to force a windowed mode by using a different
                   resolution.
         - released unofficial 0.80.7-16exp
         TIME: 4:00h

06/08/02 - NEW: map window remembers size and uses old size when open again
         - NEW: painted animated diesel smoke and steam (only used with
                vehicles currently)
         - CHANGE: smoke type is now read from current vehikel.tab instead
                   from saved game.
         - CHANGE: included Volkers changes to allow processing an
                   unlimited number of images with makepak16
         TIME: 1:00h

06/07/02 - CHANGE: frame sync smoke is now a 5 frame animation
         TIME: 0:30h

06/05/02 - CHANGE: changed income calculation for transports to:
                   distance * amount * price * (pow(0.97, distance)+0.4)/2.0
                   this is nearly linear for long distances and a bit
                   better than linear for short distances.
         - CHANGE: vehicles only produce smoke while heavily accelerating
         TIME: 1:00h

06/02/02 - FIX: clicking a post office opens the station window again
         - FIX: fixed a memory leak during map destruction.
         TIME: 2:30h

06/01/02 - MERGE: merged Markus' changes for resizeable windows
         - CHANGE: adapted Markus' changes to fit better into Simutrans
         TIME: 1:30h

05/30/02 - NEW: help texts for relief map and finance window added
         - NEW: industry colors are now read from industry.tab
         - NEW: support for hyperlinks in help texts
         - CHANGE: better error messages for wrong entries in industry.tab
         TIME: 3:00h

05/29/02 - FIX: fixed "wait for xxx%" entry in en.tab so that the % number
                is always clearly visible in the schedule dialog
         - NEW: preparation for factory color configuration in
                industry.tab
         TIME: 1:00h

05/25/02 - CHANGE: restructured system dependant code - preparation to
                   build system dependant media subsystems. Started to
                   include Owen Rudges native win32 MIDI playing code.
         TIME: 1:00h

05/19/02 - FIX: Player color (object recoloring) feature works again.
         - CHANGE: removed colormap functions from HiColor system
                   wrappers
         - CHANGE: buildings basements now use mempools
         - NEW: (Hellmade) included screenshot facility for 16 bit graphics
                engine
         - MERGE: Merged Volkers changes (Filter-Dialogs, many small patches)
         - released unofficial 0.80.6-16exp
         TIME: 3:00h

05/18/02 - FIX: (Hellmade) Double headed trains will be correctly
                disassembled in depots
         - FIX: (Hellmade) Buying more than 16 wagons for a train
                moves the additional wagons to the pool section
         TIME: 3:30h

05/09/02 - NEW: merged Volkers changes
         - FIX: fixed a clipping bug for coloured images in the 16 bit
                graphics engine.
         - CHANGE: info windows for buildings now carry title "Building"
                   again.
         TIME: 1:30h

04/20/02 - NEW: integration of Flors new image set
         - FIX: fixed some display problems of the toolbar
         - FIX: building and removing tunnels costs some money now
         - FIX: building and removing bridges costs some money now
         - FIX: city building tool places townhall on the right spot
                now
         - FIX: industries productivity now varies (the range parameter
                from industry.tab is no longer ignored)
         - CHANGE: cementmill now requires stone
         - CHANGE: productivity/range entries in industry.tab updated
         - CHANGE: changed night to a more blueish color
         released unofficial 0.80.4-16exp
         TIME: 2:30h

04/18/02 - FIX: fixed a buffer overflow in simgraph16.c (dirty tiles list)
         - NEW: extended error checking capabilities for memory management
                -> can now detect overflows
         TIME: 1:30h

04/17/02 - FIX: F1 key now triggers general help in 16 bit version, too
         - NEW: internationalizeable help texts
         TIME: 0:45h

04/13/02 - CHANGE: "random map" buttons now generates a real random
                   sequence of maps
         - FIX: tried to fix a bug that sometimes prevented the AI from
                building tunnels (the AI ended up with a broken route)
         - FIX: fixed a crash if a highest level building was build
                (crash only occurred in 0.80.2-16)
         TIME: 1:00h

04/11/02 - FIX: fixed a bug in player-triggered city building
         TIME: 0:30h

04/10/02 - NEW: player can found new cities - hotkey 'C'
         - CHANGE: hotkey for vehicle list changed from 'C' to 'V'
         TIME: 0:30h

04/07/02 - CHANGE: converted dirty tile list to bitfield. This saves some KB
                   of memory.
         - FIX: fixed a potential access to an uninitialized route element
         - FIX: tried to fix the road vehicle lockup problem on level
                crossings
         TIME: 1:00h

04/06/02 - FIX: fixed some untranslated messages in bridge building
         - FIX: fixed some wrong entries in en.tab and de.tab
         - CHANGE: updated thanks.txt file
         TIME: 0:30h

04/04/02 - CHANGE: changed night darkness to be less dark
         - FIX: fixed a crash if land was raised from under a ship
         - FIX: fixed a crash if a stop outside the map was added or
                inserted into a schedule
         TIME: 0:30h

04/03/02 - FIX: fixed a bug in the 16 bit graphics code that caused a crash
                when a player-colored image with an invalid number was
                displayed.
         TIME: 0:30h

03/28/02 - CHANGE: merged Volkers 2nd update to house building
         - Release unofficial 0.80.2_16
         TIME: 1:30h

03/27/02 - CHANGE: 16 bit graphics routines about 40% faster than before
         - FIX:    fixed some typos in help texts
         TIME: 1:30h

03/26/02 - CHANGE: exchanged . and , keys for time lapse control
         - CHANGE: tried to optimize 16 bit graphics engine
         TIME: 1:30h

03/24/02 - FIX: pressing shift doesn't trigger keyboard help anymore
         - NEW: merged Volkers changes to house building
         - NEW: merged Markus changes to station list window
         TIME: 0:30h

03/09/02 - FIX: raising/lowering land at the border of the map no longer
                crashes.
         TIME: 0:30h

02/23/02 - NEW: included help texts for loading and saving games.
         TIME: 0:30h

02/22/02 - FIX: fixed a crash if a railroad track or road was build
                outside the map.
         TIME: 0:30h

02/17/02 - FIX: fixed a crash if a railroad track was built at the
                very edge of the map
         - CHANGE: news ticker is only displayed if there are news
         TIME: 0:30h

02/16/02 - NEW: added more help texts: language, options
         - FIX: fixed a bug in the flowtext display component
         TIME: 1:00h

02/15/02 - FIX: fixed the 'cloud offset overflow' problem
         - NEW: added more help texts: depot help
         TIME: 1:00h

02/13/02 - NEW: added more help texts
         TIME: 1:00h

02/11/02 - NEW: working on in-game helpsystem, added more help texts
         TIME: 1:00h

02/10/02 - NEW: working on in-game helpsystem, added more help texts
         TIME: 1:00h

02/09/02 - NEW: working on in-game help system
         TIME: 1:30h

02/07/02 - NEW: started working on in-game help system
         TIME: 1:30h

02/06/02 - CHANGE: made some changes for Markus Weber
         TIME: 0:30h

01/28/02 - FIX: Fixed a crash when a vehicle was sold. This bug was
                introduced during yesterdays changes to convoi routing.
         - FIX: Fixed a crash if vehicle.tab did not contain a vehicle
                that was required by depot.tab
         TIME: 1:00h

01/27/02 - CHANGE: Made convoi route preparation also an
                   asynchronous task.
         - CHANGE: Because asynchronous tasks take longer to execute,
                   vehicles stop longer at stations than before.
                   To rebalance the game, the productivity of all industries
                   was reduced by 10%.
         - CHANGE: Due to the new asynchronous parts in convoi setup
                   vehicles may remain much longer in a inconsistent state.
                   That problem is solved now.
         - NEW: released unofficial version 0.80.pre3
         TIME: 2:00h

01/26/02 - CHANGE: Increased safety buffer in convoi info display.
         - CHANGE: Increased safety buffer in station info display.
         - CHANGE: Made convoi setup an asynchronous task.
         - CHANGE: Halved minimum acceleration.
         - CHANGE: Reduced uphill speed.
         - CHANGE: Reduced speed in curves.
         - CHANGE: Fiddled with frame time calculation to get smoother
                   vehicle movement.
         TIME: 3:30h

01/24/02 - FIX: Fixed some bugs in asynchronous vehicle loading code.
                Overall asynchronous loading seems to allow to use quite
                some more vehicles than before.
         - FIX: Improved responsiveness to user input under high load.
         TIME: 2:00h

01/23/02 - FIX: Debugging
         - CHANGE: Made vehicle loading an asynchronous task.
         - CHANGE: Passengers and goods transfer at most 30 times from
                   one transport to another to reach their destination.
         TIME: 2:00h

01/20/02 - CHANGE: Saved 8k memory per convoi.
         - CHANGE: Saved 8k memory per station.
         - CHANGE: Included a change from Markus Weber to display summary
                   information in station info windows.
         - CHANGE: Changed layout of vehicle list to display vehicle
                   with 3 figures (100+) better.
         - CHANGE: Using memory pools for water grounds - this saves 4 bytes
                   per water square and speeds up allocation and deallocation
                   of water grounds. It also helps to reduce memory
                   fragmentation.
         - FIX: Fixed a possible buffer overflow in halt list.
         - FIX: Included a fix for setting the correct water level during
                loading a game.
         - NEW: released unofficial version 0.80.pre2
         TIME: 3:00h

01/19/02 - FIX: Fixed a bug in clipped 16 bit image display routines
         - FIX: Fixed a bug in SDL sound routines that caused a crash
                in the windows version
         - FIX: Fixed a possible buffer overflow in route calculation of
                goods and passengers.
         - NEW: Fullscreen mode for Linux/SDL in 640x480, 800x600, 1024x768
                and 1280x1024 (The Windows version always offered those as
                fullscreen modes)
         TIME: 3:00h

01/17/02 - NEW: RGB555 <-> RGB565 transform for 16 bit engine finished
         - NEW: optimized 16 bit engine
         TIME: 3:00h

01/16/02 - FIX: Fixed a bug that crashed Simutrans if the player managed to
                delete/destroy a private car.
         - NEW: Makepak16 reads 8/16/24 bit PNG files now.
         TIME: 1:00h

01/13/02 - MERGE: Andreas Rövers sound routines for SDL
         - TEST: Tested Simutrans with SDL 1.2
         - NEW: updated 16 bit graphics routines (not complete yet)
         TIME: 4:00h

01/12/02 - NEW: -scenario <directory> option to make Simutrans read
                config files and daten.pak from that directory.
         TIME: 3:00h

01/09/02 - MERGE: included Markus' resizer component and the changes to the
                  vehicle list
                  -> Station list window and vehicle list window can be
                     vertically resized now
         - CHANGE: changed look of resizer component to better fit the other
                   gui components of Simutrans
         - NEW: released unofficial version 0.80.pre1
         TIME: 1:00h

01/08/02 - FIX: automated test suite works again (was broken since Volkers
                changes during summer/autumn last year).
         - FIX: cities generate passengers to 2x2 squares sized tourist
                attractions, too.
         - CHANGE: using memory pools for trees - this saves 4 bytes per
                   tree and speeds up allocation and deallocation of tress.
                   It also helps to reduce memory fragmentation.
         - CHANGE: did some finetuning to make the framerate more constant
         - MERGE: include Markus' new station list window and button
         TIME: 5:00h

01/02/02 - MERGE: merged Volkers changes
                  - Shift-M opens marker UI
                  - Removing a bus stop from a square with a sidewalk
                    keeps the sidewalk
                  - Bugfixes for bridges and tunnels
                  - Code cleanups
         - CHANGE: changed layout of the "options" dialog
         - CHANGE: changed layout of the "new world" dialog
         TIME: 2:30h

12/28/01 - CHANGE: Reverted some changes made by Volker:
                   - city roads belong to nobody again
                   - a square that the player builds a road or railroad on
                     and that had no former owner belongs to the player again
                   -> That fixes the 'bus station on city roads' problem
         - FIX: Included a bugfix from Volker to make bridges work again.
                It seems to work.
         - FIX: Added missing screen refresh after removing a long bridge
         TIME: 1:30h

12/20/01 - FIX: Trains can now be stopped while passing signals without bad
                effects, like corrupted signals and disrupted trains.
         - CHANGE: Reduced productivity of coal mines and oil fields.
         - Released unofficial version 0.79.11exp
         TIME: 2:00h

12/19/01 - CHANGE: Removed 'passenger X%' from industry info window
         - MERGE: Merged Volkers changes -> Bridges no longer need 'hills'
                  to start/end but can be built on flat ground, too.
         - FIX: Goods with "error in routing", that means they cannot reach
                their destination any longer, are now removed from stations
                after a while. They are also removed from vehicles upon the
                next scheduled stop.
         - FIX: Fixed a bug in the AI code that sometimes prohibited the use
                of tunnels in the AIs routes
         - FIX: Partly loaded vehicles display the loaded/empty cars now.
         - NEW: Option in the schedule dialog to set a required loading grade.
                Vehicles can now wait for a minimum amount of loaded goods
                before departing.
         TIME: 6:30h

12/15/01 - MERGE: included Markus changes to world creation UI and convoi UI
         - CHANGE: Changed layout and text of the full load option in
                   convoi info window.
         TIME: 1:10h

12/15/01 - CHANGE: prepared Makepak 1.07 for release
         TIME: 0:30h

12/12/01 - FIX: I got two savegames from beta testers that had an animation
                count of 0 for some factory buildings. That count should
                never be 0, even a non-animated building has a least one
                frame (image) to display. During loading of a game the
                count gets now set to 1, but how could there a 0 be saved?
                The 0 caused a crash after loading the game, so this 'fix'
                at least allows to load the saved games again.
         - FIX: fixed a crash after clicking the bridgebuilding tool twice
         - FIX: fixed a small display problem in the news ticker line
         - CHANGE: Changed lower bound of frame time to 28ms, this yields
                   a frame rate of 35FPS which should be smooth display.
         - Released unofficial version 0.79.9exp
         TIME: 1:30h

12/09/01 - FIX: Passenger generation in cities is now bound to real time.
                I had wrongly assumed that the simulation loop is running
                always at the same speed but it varies too much. Now,
                passenger generation tends to be lower in the average case
                but it is constant regardless of your computers speed.
         - FIX: Volkers changes prevented the AI to build tunnels and
                bridges. I've repaired the AI's road/railroad building
                routines. I hope it works all ok again.
         - FIX: Newly built stations display world view camera, too.
         - CHANGE: Changed layout in station info and convoi info windows.
         - CHANGE: Optimized month change in city class.
         - CHANGE: Optimized routing of goods.
         - CHANGE: Optimized routing of vehicles.
         - CHANGE: Tried to reduce the jitter in frame rate. Frame time
                   has now a lower bound of 30ms and a higher bound of 124ms.
                   Interrupt checks were added to ensure a jitter of less than
                   5 ms in frame display; I've tested this on my system, slower
                   systems might still have a larger jitter. (Timer precision
                   is 5 ms, that means, the current jitter is below timer
                   precision, more precision is impossible with this timer).
         - CHANGE: Waiting goods and passengers at station search a new route
                   now and then. This is useful if a new shorter connection is
                   build and the waiting goods/passengers are supposed to use
                   it.
         - Released unofficial 0.79.8exp
         TIME: 7:00h

12/08/01 - CHANGE: Included Volkers changes
                   - CHANGE: Signals can now be build near crossings
                   - FIX: A few fixes to bridgebuilding
                   - FIX: Unmasked ribis for ways were determined wrong
         - CHANGE: Tried to optimize Simutrans further but gained less than
                   1% overall
         - CHANGE: Changed news ticker to store only 4 messages instead of 10
         - CHANGE: Increased capacity of furniture truck to 8 crates
                   Increased capacity of furniture trailer to 10 crates
         - NEW: Included Jens 'JET wood trailer'
         - FIX: Changed some code in station info display to fix a buffer
                overflow.
         - FIX: Changed some code in vehicle info display to fix a buffer
                overflow.
         TIME: 2:00h

12/05/01 - CHANGE: changed some return types from value types to
                   references. This seems to speed up execution.
         TIME: 1:00h

12/01/01 - FIX: oil rigs can no longer be removed using the 'raise land'
                tool.
         - FIX: oil rigs display a station info window again.
         - FIX: Fixed a bug that caused some landscape pointers to be
                displayed at wrong height
         - FIX: Fixed a bug that caused landscape pointers to be
                displayed twice
         - NEW: 'Game paused' splash message
         - NEW: Included Flor Wauters furniture trailer
         - CHANGE: reduced memory consumption of each water square by 4 bytes.
         - CHANGE: optimized screen refresh, gained about 10% speedup if
                   many vehicles are visible
         TIME: 5:00h

11/29/01 - FIX: if the remover tool is applied to water, the water itself
                no longer gets removed
         - CHANGE: changed tree class to reduce the amount of memory modified
                   per step
         TIME: 1:30h

11/28/01 - CHANGE: made mountain height and landscape roughness
                   parametrizeable for Markus' new 'new world' dialog
         TIME: 0:45h

11/26/01 - FIX: fixed a crash if the bus station building tool was selected
         - FIX: included a fix from Volker: if a signals was to near to a
                crossing the rail block was not correctly traversed. Volkers
                change should fix that problem.
         - FIX: fixed a potential crash during map creation (placing power-
                connector for power plant sometimes failed. This is not fixed
                really, problematic power plants will just get no power
                connector. I'll change that once powerlines actually work )
         - CHANGE: "Vehicle XY has no route" is only displayed for vehicles
                   which the player actually owns.
         - CHANGE: Factory info window now carries the name of the industry
                   as title.
         - PROBLEM: with the change from static to animated buildings the
                    title of most building info windows changed from
                    'building' to 'house'.
         - Released unofficial 0.79.7exp
         TIME: 1:30h

11/25/01 - CHANGE: only wagons inside of a stations will be loaded/unloaded
         - CHANGE: loading/unloading has a base duration (32) and an additional
                   duration for each wagon (8)
         - CHANGE: internal change: replaced many old 2d coordinates in
                   paramterlists with 3d coordinates.
         - CHANGE: Added "Station XY is crowded" message to the newsticker
         - CHANGE: Factories don't check stations for good distribution
                   as often. This should speed up the program.
         - FIX: rail block is marked 'left' if a train enters a depot
         - FIX: added missing screen refresh when saving a game per name
         - FIX: fixed a bug in blockmanager, which could cause and endless
                loop during world destruction
         - FIX: fixed several bugs in handle_as_id_tpl which caused crashes
         - FIX: fixed a crash when a vehicle with freight was sent to a depot
                and re-assigned to another convoi.
         - Released unofficial 0.79.6exp
         TIME: 8:00h

11/24/01 - NEW: minivec template, a very small vector type.
         - CHANGE: Reworked plan squares to use minivec type instead of a
                   list type to store grounds. This saves at least 512K
                   memory for a standard 256x256 squares map. In addition
                   accesses should be faster now.
         - CHANGE: Removed an unused variable from ground class. It seems
                   it was introduced by Volkers changes but actually not
                   used. This saves 512K for a standard 256x256 square map.
         - CHANGE: Reordered variables in ground class, which saved another
                   4 bytes per ground. Why is the compiler too stupid to do
                   this automatically?
         - CHANGE: Squeezed 4 bytes from every object of the thing class
                   hierarchy (most numerous objects in Simutrans). This
                   also shrinks the saved games.
         - CHANGE: Linked list templates now use a global list of free nodes.
                   This shrinks each list object by 4 bytes, and it speeds
                   up node allocation.
         - CHANGE: Depot window class and depot data class are now separated.
         - CHANGE: Code cleanup, reduced interdependencies of header files
         - CHANGE: Improved look of info windows
         - NEW: experimental support for multi-headed engines
         TIME: 6:15h


11/22/01 - CHANGE: Removed superclass infowin_t from weg_t. It was
                   not needed and just consumed memory.
         - CHANGE: Removed superclass infowin_t from ding_t. It was
                   not needed and just consumed memory.
         - NEW: Thing info window adapter class
         - CHANGE: Started to separate depot gui and depot model classes
         TIME: 2:10h


11/20/01 - NEW: Ground info window adapter class
         - CHANGE: Changed class hierarchy of ground classes to be
                   independent from info window class
                   -> this allows inlining of some functions and thus
                      speeds up some things (3% speedup overall).
         - FIX: Info windows display correct ground name again, this
                feature was lost during Volkers changes.
         - FIX: Fixed a bug that crashed Simutrans if a ground was removed
                while the info window for this ground was still open. This
                also fixes a similar bug for things that are removed.
         TIME: 1:10h

11/18/01 - NEW: New engine: Tigress I (1144-1151)
         - CHANGE: Code cleanup
         - CHANGE: Trees are now generated according to their preferred
                   placement on new maps. Some prefer lower terrain, some
                   prefer the upper regions.
         - CHANGE: Trees generate up to three new trees during their lifetime.
                   Formerly depending on the system Simutrans was running on
                   sometimes much too many new trees were generated.
         - NEW: news ticker
         - CHANGE: Some smaller optimizations, avoided function calls,
                   about 4% speedup in total for games with many vehicles
         TIME: 6:30h

11/17/01 - CHANGE: Merged Andreas' changes:
                   - If a new schedule is set, only those goods are
                     removed from a vehicle which cannot reach their
                     destination anymore. Formerly all goods were removed.
         - CHANGE: Merged Markus' changes:
                   - Ok and Cancel buttons for savegame file chooser. The
                     new savegame chooser looks really cool :)
         - CHANGE: Merged Volkers changes:
                   - fixed a small flaw in hashtable datatype
                   - new class to load *.tab files, this loader should become
                     standard in future for all *.tab files
                   - new integer hashtable template
                   - new bridgebuilder class which is responsible for
                     building and removing bridges
                   - New bridge types, new bridge building menu
                   - Changes to pointer checking and memory management
         - CHANGE: Added comments for all methods of the convoi class
         - FIX: fixed a bug that left copies of the landscape pointer
                image visible when moving the landscape point uphill or
                downhill
         - CHANGE: Sped up routing (pathfinding) of goods, this allows to
                   use larger transport networks
         - CHANGE: Routing of goods cannot be interrupted anymore
                   this fixes a potential bug in routing, but also may
                   cause a slowdown in really large games. I hope that
                   the optimization of routing will reduce this problem.
         TIME: 4:30h

11/14/01 - NEW: Merged Markus Webers changes to the Simutrans UI
         - NEW: Merged Andreas' changes to the SDL system wrapper file
         - CHANGE: limited 'random map' to 0-999
         - CHANGE: system wrapper can now choose between software or
                   hardware cursor. Currently Allegro uses software
                   cursor, SDL and X11 use hardware cursor.
         TIME: 1:15h

11/13/01 - FIX: fixed a bug in removing railroad tracks, which sneaked in
                with Andreas' changes
         - NEW: released unofficial 0.79.4exp
         TIME: 1:00h

11/12/01 - FIX: fixed a memory leak that sneaked in while optimizing
                vehicle routing
         - NEW: released unofficial 0.79.3exp
         TIME: 1:00h

11/11/01 - CHANGE: STL priority queue can't be used with Mingw32. Using
                   self made priority queue.
         - FIX: fixed a bug in routing. The bug limited the usable distance
                of routes for all vehicles, and slowed routing down,
                especially if ships were routed.
         - CHANGE: changed routing of goods. It had a similar bug like
                   routing of ships. I hope this change didn't break
                   something. If it works it'll speed up routing of goods
                   in complex networks quite a bit.
         - CHANGE: added tooltips for all tools of the toolbar
         - CHANGE: tripled text buffer size for station info. There were
                   problems reported which might be related to a buffer
                   overflow in station info display. New buffer size is
                   8192 bytes. Mingw32 does not support snprintf(), but with
                   sprintf() I have no idea how to avoid buffer overflows.
                   I just hope 12288 bytes is big enough.
         - CHANGE: doubled buffer size of convoi info text, too, just to
                   be a bit more save. Now 8192 bytes buffer size.
         - CHANGE: included Flors updated drive in cinema
                   included Flors general purpose ship
                   included Flors updated furniture factory
                   included Flors updated home market
                   included Flors updated planks truck
         - CHANGE: included Volkers update:
                   FIX: image calculation of single rail pieces on slopes
                        fixed
                   FIX: some problems with directional bits in
                        rail block manager, simplified some code
                   FIX: fixed problems when removing bridges and tunnels
         TIME: 6:00h

11/10/01 - FIX: fixed a typo in de.tab
         - FIX: included Andreas' fix for wrong curves in tracks
         - FIX: included Andreas' fix to remove trees if land is lowered
         - CHANGE: switched to STL priority queue for vehicle routing, this
                   should speed routing up for long and complex routes, but
                   is somewhat slower for short routes
         - CHANGE: optimized vehicle routing, now about 20% faster than
                   before. This allows to use 20% more vehicles than
                   before! Changes due to the switch to the STL priority
                   queue are not included in this measurement.
         TIME: 3:00h

11/05/01 - CHANGE: included Tristans fixed vehikel.tab with better
                   weight and power values for trucks, busses and ships
         - CHANGE: changed vehicle info display in road vehicle depot
                   to display power and weight
         TIME: 0:15h

10/28/01 - CHANGE: changed vehicle routing. Fixed a bug in search for best
                   route. Vehicles should now always find the shortest route.
         - CHANGE: cities build a stadium at a population of 2500, was
                   formerly 2000.
         - NEW: cities build a drive in cinema at a population of 1500.
         - FIX: fixed a wrong entry in en.tab and de.tab
                ("Verkehrsteilnehmer")
         TIME: 3:00h

10/27/01 - FIX: removing ground from above tunnels works now
         - FIX: removing tunnels works now
         - FIX: removing bridges works now
         - CHANGE: removing bridges and tunnels no longer places rails
                   on the end squares, but cuts the rails at the end
                   of the former structure
         - CHANGE: added END markers to depot.tab sections and a check
                   if given vehicle count matches actual vehicle count.
         - CHANGE: updated thanks.txt
         - NEW: included Jens wood transport ship
         TIME: 2:30h

10/21/01 - CHANGE: changes savegame format to load/store animated factories
         - CHANGE: enlarged scroll range in vehicle and station info windows
         - NEW: included Flors animated factories
         - NEW: included Flors new trucks

10/15/01 - NEW: animated factories
         - CHANGE: better animation support for all buildings

10/12/01 - CHANGE: changed makepak to read PNG images, converted all
                   images to PNG format.

10/08/01 - NEW: added Flors new pause icon.
         - CHANGE: enlarged scrollable range in vehicle info windows

10/04/01 - FIX: if vehicles are stored in depots and the map was saved and
                loaded again, Simutrans crashed. This worked in former
                versions, I don't know why it was broken in between.
                Nevertheless this is fixed. (calc_bild() of the vehicle
                checked the ground of the map square which was not yet
                completely loaded at this moment, and this inconsistency
                made the game crash. Vehicles call calc_bild() often while
                moving. Theoretical there is a chance that the image of a
                vehicle is wrong now directly after loading, but I couldn't
                find any problems yet.
         - FIX: if a saved game from a Simutrans with a different vehicle.tab
                is loaded, some vehicle informations are not available.
                Formerly this caused a crash while loading the game. Now the
                information is replaced with 0 values. This has the result that
                the 'unknown' vehicles do not move (power and weight are set
                to 0), but the saved game can be loaded and all common vehicles
                (common in both vehicle.tab files from the saving and loading
                Simutrans) will work.
         - NEW: released unofficial 0.79.pre3

10/03/01 - FIX: fixed a buffer overflow in station name creation.
         - FIX: if the hardware clock is set back while Simutrans runs,
                the negative time difference is ignored.
           -> this change limits the time Simutrans can be run without stopping
              to about 23 days!
           -> this change saved 4 bytes memory in each goods-destination
              object both in main memory and saved games
         - FIX: due to Volkers changes, saved pedestrians didn't move anymore
                after loading. This is fixed, they move again.
         - NEW: The '!' key (Shift-1) toggles the display of station and
                town names.
         - NEW: The '.' and ',' keys can be used to change the time lapse
                setting. This is an experimental feature, if you want to
                be safe, do not use this.

09/30/01 - FIX: removing a building (or tree) sets ground to bare land
                (was broken due to Volkers changes)
         - FIX: factory owner is restored when loading a game
                (was broken due to Volkers changes)
         - FIX: vehicles are now displayed correctly (uncropped) again.
                (was broken due to Volkers changes)
           -> This fix does not work for vehicles on bridges, but since the
              problem only occurred with ships noticeably I think the fix is
              'good enough'. We have no ships on bridges so far.
         - CHANGE: conserved about 160KB for a standard size map save file
           -> This change limits the number of players to 127. I guess, this
              isn't really a restriction.
         - CHANGE: changed text for "optionen > quit" to "New map", because
                   it opens the new map dialog rather than quitting the
                   program.
         - CHANGE: changed image for "Please wait, creating a new map"
                   message window
         - NEW: released unofficial 0.79.pre2

09/29/01 - FIX: fixed a bug in Volker changes to routing; ships move again
           -> there is still a display problem in the graphics
         - FIX: if a text input field was active while the containing
                window is closed, the action bound to the input field is
                not triggered any more

09/26/01 - Merged Volkers changes
           -> binary save game format (saves about 30% space, saves and
              loads much faster, incompatible to previous versions)
           -> bugfixes for route calculation and object management in
              world map
         - FIX: fixed a problem in saving industries with Volkers new code:
                buildings no. 2 and 3 got mixed during saving
         - FIX: Volkers changes prohibited removing trees and town buildings
                It's now again possible to remove trees and houses
         - NEW: Released semi-official Simutrans version 0.79.pre1

09/23/01 - CHANGE: enabled producing industries to have more than one
                   consumer.
         - NEW: More than one consumer per producer. This finally overcomes
                the strict 1:1 relation of producers and consumers and allows
                more flexibility in the game.
         - CHANGE: modified buttons of the schedule input window to match
                   the look of most other buttons in Simutrans
         - FIX: fixed a display problem in train/convoi and station info
                windows

09/22/01 - CHANGE: instead of enabling all things as synchronous objects
                   only a few are sync steppable now. This change should
                   improve the performance of Simutrans, especially if many
                   vehicles are used.
         - FIX: fixed a bug in route calculation that could crash the game

09/20/01 - CHANGE: cleaned up vehikel_t class.
                -> saved 4 bytes per vehicle
                -> removed two unneeded methods
                -> moved a method into convoi_t class where it belongs
                -> reduced number of method calls from convoi_t to vehikel_t
                   during driving by 50%, this should speed up things a bit
         - FIX: fixed a wrong bounds check which could make the game crash
                in route_t

09/19/01 - FIX: if a game was loaded and right after loading saved all
                industry buildings showed up as construction areas forever
                after loading again. This problem is fixed now.
         - NEW: added a new industry: furniture factory

09/16/01 - FIX: textinput fields release focus now if the containing window is
                closed
         - FIX: it was possible to choose invalid color sets by clicking left
                or right of the color bars in the color chooser window. This
                problem is fixed now.
         - FIX: fixed a bug which crashed the game when a vehicle entered
                a depot while the vehicle info window was opened

         The following fixes fix problems introduced with the new tunnel
         and bridge data structures or were done by Volker who wrote the
         new data structures and associated code:

         - FIX: fixed visibility of vehicles entering and leaving tunnels
         - FIX: fixed visibility of vehicles driving uphill/downhill
         - FIX: fixed vehicle smoke creation for tunnels
         - FIX/NEW: Merged Volkers changes:
           - Fixes to compile Simutrans with MS Visual C++
           - Fixed a problem in pipeline/powerline code
           - Positioning of the relief map works now with big maps, too
           - Added a replacement for 'opendir()' which is unknown to VC
           - Removed some printf's from blockmanager code
           - Optimized access to ground objects
           - Moved updates of the relief map into ground object class
           - Fixed an array  bounds violation problem in vehicle routing
             code. This bug was probably very seldom triggered.
           - Removed unneeded methods from the squares objects
           - Changed vehicle movement a bit.
           - Fixed a problem in the bridge building tool

09/09/01 - CHANGE: World display in convoi and station windows fixed
         - FIX: Industries get a proper list of worker residential cities
                even after creating a new map.
         - FIX: Display of desired destinations in city info window fixed

09/08/01 - FIX: Renaming of newly build vehicles works now
         - BUG: The window title gets translated automatically. If by
                accident the vehicles new name is included as string
                in the language file the window title displays the translation
                for this string instead of the string itself.
         - NEW: Version stamp for saved games
         - NEW: Version check and error message when loading saved games
         - CHANGE: Cleaned up fahrer_t, vehikel_t hierarchies: removed
                methods which were no longer used after Volkers changes

09/06/01 - NEW: Released semi-official Simutrans version 0.78.12
         - CHANGE: updated todo list
         - CHANGE: mail offices can no longer be build on roads and railroads
         - CHANGE: maps with invalid rail blocks can be loaded again
                (added Volkers hack). I'm not sure if this fixes the problem
                but at least you can load the maps again and try to go on
                with the game.
                -> This change is untested because I had no saved maps with
                   invalid rail blocks.

09/04/01 - NEW: A limited file chooser for loading/saving games. Allows to
                enter names for games, up to 60 characters per game. Does not
                work on operating systems which have less than 60 chars per
                filename. This allows to have more than 5 different savegames.
                -> All existing savegame files need to be renamed to *.sve
                   manually, because the new Simutrans version only detects
                   *.sve files!!!
         - NEW: Clicking the entries of the vehicle list now opens the
                vehicle information window of the clicked vehicle. This way
                you can inspect your vehicle fleet very easily.

08/24/01 - FIX: "Bankrupt" message is displayed if a player is bankrupt
                (Was hidden due to some other changes in the code)
         - CHANGE: "You are in dept" messages now tell how many months are
                left to pay back the money.
         - CHANGE: updated todo list
         - NEW: Factories do not deliver goods to stations where more than
                1000 units of the same good are already stored. This should
                support a fair distribution of goods if several routes exist
                and one route has only a tiny transport capacity. Formerly
                all routes got the same amount of goods and if the tiny routes
                transport capacity was below that, immense amounts of goods
                were piled up at the tiny routes source stop. Now the tiny
                route is capped once 1000 units are stored on it's stop and
                the other routes are preferred by the factory.
         - NEW: Released unofficial version 0.78.11exp

08/23/01 - NEW: new station info and station detail windows
                -> renaming stations is now possible
                -> station window now has scrollbars to scroll big
                   goods/passenger lists
         - CHANGE: heavy workaround to get station name synced with
                displayed name (due to a design mistake in an earlier stage)
         - BUG: text input fields keep input focus if window gets closed.

08/22/01 - CHANGE: change convoi info window to use the new UI classes.
                This cleans up some code and streamlines more of the UI.
         - NEW: added text input facility for changing convoi name to
                convoi info window -> this allows to change vehicle names!
         - NEW: text area component (only used in new convoi window so far)

08/20/01 - FIX: Fixed a bug which crashed the game if a new map was created,
                then the game was quit and again a new map with more cities
                was created (caused by deleting the new number of cities
                instead of the old number).

08/17/01 - CHANGE: included Owens update for the money dialog
                   Negative values are now displayed in red.
         - CHANGE: adapted a few more dialogs to the rule:
                   unchangeable values -> black
                   changeable/changing values -> white
                   This way the player can see immediately which values are
                   fixed and which are supposed to be changed/changing

07/01/01 - NEW: built a new BeOS release (0.78.10exp)

06/30/01 - NEW: merged Owens finance window update
         - NEW: (internal) label text can now have other colors than black
         - CHANGE: to unify the finance window look with existing dialogs
                all changing entries are displayed in white, all constant
                entries are displayed in black now

06/23/01 - NEW: assigned click sounds to more actions to give a better
                feedback to the user

06/22/01 - FIX: sometimes the interrupt routine was called while it
                was already running. In rare cases this could lead to a
                double free() of the same object. The second free was
                likely to crash the game (C++ standard says something
                about undefined behavior in that case) or do even worse.
                This is fixed now, the interrupt routine can't be called
                any more if it is running already.

06/20/01 - NEW: added command line switches -h, -?, -help and --help
                which all print a help message
         - NEW: added a few more debug (error and fatal error) messages
                to loading/saving railroad tracks with invalid rail block
                IDs. This won't help the player immediately but allows better
                bug reports.
         - NEW: added a -screensize option to choose arbitrary resolutions
                This also allows to run Simutrans windowed in multiple
                window sizes.
         - FIX: fixed a problem which crashed the game if a station building
                had its name set to NULL. This should not happen normally
                but NULL should be a allowed value for a name string
                (meaning 'no name'). Now the program should be able to cope
                with station building names which are NULL. Usually this
                problem was reported as "The game crashes if I click a station"
         - CHANGE: found some more printf calls and replaced them by calls
                to the new logging system.

06/17/01 - CHANGE: Info windows display a bit of the environment, too, now,
                instead of just the objects square. This required changes to
                the clipping check in simgraph.c
         - BUG: new clipping support for graphics isn't perfect. The last
                line of graphics in the main display is not drawn correctly.
                In general clipping for images seems to truncate the last line
                while other drawing functions are fine. Workaround: draw one
                additional line (this hides the effects).
         - NEW: finance statistics get loaded/saved. Old savegames can be
                read; all finance stats are set to 0 when reading old games.
         - NEW: finance statistics get reset to 0 every year
         - NEW: Released unofficial version 0.78.8exp

06/16/01 - NEW: Translated Owens finance window entries
         - NEW: Finished work on vehicle list window
         - NEW: Painted two icons (finances, vehicles) for the toolbar
                to open the new finances and vehicle list windows
         - FIX: Fixed two bugs in the scrollpane class which displayed
                scrollbars at wrong position if the scrollpane was not
                located at (0,0)
         - BUG: Finance statistics/informations are not yet loaded/saved
         - CHANGE: Increased max speed of private cars

06/15/01 - CHANGE: Merged Owens finance window routines
         - FIX: Finance window title bar is now displayed in player colors
         - NEW: Started working on vehicle list window

06/14/01 - NEW: Released official version 0.78.7exp

06/13/01 - NEW: Built official version 0.78.7exp

06/09/01 - FIX: building signals directly adjacent to tunnels/bridges works
                now.
         - FIX: removing signals near bridges/tunnels works now.
         - CHANGE: adjusted station timeout to new timeflow. It's now again
                   90 days (was less than 1 day)
         - BUG: The block repair tool does not work if there is a train
                waiting on a bridge and the block below the bridge shall
                be repaired. In this case the train on the bridge is counted
                as if it was on the ground block and the wagon counter of
                the ground block is set too high.

06/06/01 - FIX: fixed a problem during image calculation in the schiene class
                which could crash the game during destruction of a map, i.e.
                if a new game was loaded.

06/02/01 - CHANGE: Changed a lot more printf calls to calls to the new
                   debug/logging class. I hope I have changed all of them!
         - CHANGE: Changed a suspicious piece of code in window management:
                   if you had 31 or 32 windows open, and closed a window,
                   the program read data behind the window array. This data
                   was copied into the window array. In general there was too
                   much data copied but usually within the window array.
                   I don't know how harmful it is to read from behind arrays,
                   but nevertheless this is fixed now.
         - CHANGE: Changed another  suspicious piece of code in window
                   management: similar to above but executed when a window was
                   topped.
         - CHANGE: Increased the window array size from 32 to 64 entries,
                   this means up to 64 subwindows can be displayed.
         - CHANGE: The behavior for "-log" was changed. The output is now
                   written into the 'simu.log' file AND into the console window
                   (was only 'simu.log' before).
         - CHANGE: Changed default resolution from 640x480 to 80x600. There
                   were never ever problems with higher resolutions reported,
                   so this seems to be fairly safe.
         - CHANGE: Stations without ground squares have name "Unnamed" until
                   a ground is added to the station. This fixes a possible
                   crash when inquiring stations to early or late.
         - FIX: fixed a bug which blocked the railway line if a
                one-way signal was removed. Now it's safe to remove one-way
                signals, too!

06/01/01 - CHANGE: Changed a lot of printf calls to calls to the new
                   debug/logging class, rated as "Message", "Warning",
                   "Error" and "Fatal error". Fatal error quit the program
                   immediately.

05/27/01 - NEW: Added more error detections to the id_handle template
                (tombstone id checks). This checks should catch about 50% of
                all internal data corruption problems. (The other 50% can't be
                checked because in those cases the result of the corruption is
                a valid tombstone ID again).
         - CHANGE: changed "Warning: Convoi was saved in state 4 or 5"
                   to "Message: Convoi was saved in state 4 or 5"
                   because this is not an error, but normal program action.

05/26/01 - CHANGE: Tried to migrate to from Allegro 3.9.32 to Allegro 3.9.36
                   Compiled and installed new Allegro Library for Windows.
                   -> Supports now DirectX up to version 7.0, hopefully
                      this will save some of the "no suitable graphics
                      driver found" problems.
                   -> 'simuwin -res 5' runs Simutrans in a window nicely now
                      (Windows version only, other versions have window by
                      default)

05/24/01 - CHANGE: Translated debug messages in rail block manager
         - CHANGE: Loading a map now tells how many factories trains/convois
                   are loaded
         - CHANGE: Improved id_handle_tpl for better checking if a handle is
                   bound to an object
         - CHANGE: Adapted automatic tests for tombstone checking
         - CHANGE: Cleaned up code in rail block and rail block manager
                   classes
         - CHANGE: Stations are now using handles and tombstones, too
         - CHANGE: Translated a few more messages from the tools

05/23/01 - NEW: Tombstone/id_handle templates allows to check for dangling
                pointer in all classes retrofitted with tomstone tables
         - CHANGE: Retrofitted rail block class with tombstone table
         - CHANGE: Split rail block classes and rail block management code
                   into two files

    ------------------------------------------------------------------
    Made a break to gather my thoughts and find new solutions for some
    problems with Simutrans.
    ------------------------------------------------------------------

04/22/01 - NEW: Map preview in map selection window (new game window)
         - NEW: Included Tilli's new vehicle setup routines for smoother
                starting of vehicles.
         - CHANGE: relief map look changed

04/21/01 - CHANGE: Text input fields have a cursor now, changed handling of
                input focus a bit
         - CHANGE: rearranged ground and road images to allow multiple
                sets of ground images
         - FIX: renaming cities from loaded games works now


04/19/01 - NEW: Text input fields
         - CHANGE: City info window uses text input field

04/14/01 - FIX: found an array bounds violation in simgraph.c in a
                text drawing routine. This caused random crashes and other
                strange behavior if text was drawn half-outside the screen.
         - FIX: found an array bounds violation in simgraph.c in another
                text drawing routine. Nearly as evil as the bug mentioned
                above.
         - FIX: fixed an array bounds violation in simsound.cc
                If no sound card was detected the first MIDI title read from
                music.tab was read into midi_titles[-1] and overwrote an
                helper array of the AI. This made the game crash when the AI
                was using the values from this array.

04/13/01 - FIX: removing one of those smoke-clouds crashed the game. This is
                fixed now. This bug could be triggered either by using the
                'remover' tool or by building something on squares which
                contained clouds.
         - CHECK: it was reported that removing rails or roads and thus
                breaking a vehicles route would crash the game. This
                could not be reproduced.
         - CHANGE: included new en.tab, fi.tab, fr.tab and es.tab
                (language files)

04/11/01 - FIX: fixed a bug which aborted the game if empty spaces in the
                depot were clicked while being in sell mode
         - FIX: midi playlist displays message
                "Musicplaying disabled/not available" if either no MIDI
                files could be loaded or if the soundcard could not be
                initialized successfully
         - FIX: Song name in playlist is updated if a new song starts
                playing

04/09/01 - Merged Owens new sound routines: a simple MIDI playlist UI
           for browsing the MIDI files forward and backward.
         - CHANGE: Unified look of playlist UI with other Simutrans UI

04/08/01 - Released 0.78.0

04/07/01 - CHANGE: en.tab and de.tab updated, included corrections from
                Seth and Dirk.
         - CHANGE: included new hungarian language file
         - CHANGE: translated a few more debug/info messages from german
                to english.
         - FIX: included Tilli's tree placement fix.

04/04/01 - FIX: clicking an empty entry in the engines area of a depot
                window no longer aborts the game. This bug was introduced
                during the changes in 0.77.6 when a bounds checked array was
                introduced as container for engines ... a failed bounds
                check aborted the game in this case.

04/01/01 - CHANGE: AI build trains of different length now
         - CHANGE: AI uses different engine types now
         - FIX: AI no longer buys trailers without trucks

03/31/01 - NEW: New industry: Bookshop (painted by Tuomas, tiled by me)
         - NEW: New vehicle: Book van (painted by Sergiu, modified by me)
         - NEW: New good: Books
         - NEW: New private car (painted by Dirk, recolored by me)
         - CHANGE: included new powerlines from Daniel
         - CHANGE: included new transformer station from Daniel
         - CHANGE: Doubled the running cost for all locos, they were
                smaller than the average truck running cost before.
                Now running costs for train engines are higher than
                truck running costs in average.
         - CHANGE: Raised the capacity of all trucks by 10-30%.
                Trucks should be able to compete (at least sometimes)
                with trains.
         - CHANGE: Power station has now upto three suppliers (was two
                formerly). I hope this is enough to produce electric energy
                more continuously.

03/28/01 - CHANGE: compiled a new Linux test version with a different setup
                of libraries (left out all DGA libs in Allegro setup).
                The new version runs on a wider range of Linux systems now.

03/23/01 - CHANGE: Cleanups for new map window, sets scroll positions to
                actual map coordinates when opening a new map window.
         - CHANGE: Text drawing routines can now choose from two fixed
                width fonts and one proportional font.
         - CHANGE: The image of the power connectors at power stations was
                changed to a grey power line segment.
         - CHANGE: Linux version can now be built with Allegro, sound and
                music works, mouse is self-managed as in windows fullscreen
                mode:
         - NEW: Sound effect for income/expenditure.

03/22/01 - NEW: Powerlines. Power stations get power connectors. The player
                can place transformer stations near other industries and
                connect power stations power connectors and the transformer
                stations with powerlines.
                Hotkeys: 'g' to place a transformer station
                         'l' to build a powerline
         - NEW: A 4x7 font, used in relief map to display town names.
                Small and hard to read.
         - CHANGE: Event handling during scrolling changed. Now the frame_time
                is no longer changed during dragging the map. This should
                prevent some possible problems (passenger rate) with a
                ridiculous fast looping main loop (which was the result
                of a map drag before).
         - CHANGE: Fixed width font drawing routines clip correctly now.

03/21/01 - CHANGE: Goods/destination objects changed from heap allocation to
                stack allocation and to value variables instead of pointers.
                The former solution (heap/pointers) was always a source of
                problems. The new implementation should be more robust
                against several error types (dangling pointers!).
                It's probably not more correct than before, but allows
                to keep playing even if an error occurred. This solution
                needs to copy more memory (16/24 bytes instead of four
                for each assignment but saves one indirection on each value
                access and saves calls to new/delete. All in all it seems to
                be roughly as fast as before (no measurable difference). I
                think, it's even faster now.
         - CHANGE: Changed event queue indices in simsys_d.c to unsigned types.
                They were always checked for higher bound, but not for
                lower bound. Making them unsigned prevents the occurrence of
                negative values, and a higher bound check is now sufficient
                to ensure values of valid range. Similar to the change above,
                this might not be more correct than before but it should be
                more robust against errors than before.
         - CHANGE: Changed a few more lists to list templates to gain type
                safe interfaces. Should allow better error checking by the
                compiler.
         - CHANGE: Changed memory allocation scheme of map squares. They prefer
                to keep memory instead of freeing it. They just free memory
                if they have space for more than 32 objects but contain less
                than 8 objects. In other cases they keep the allocated space.
                This reduces the number of calls to new/delete and should
                therefore speed up the program, but it might use up to
                four times more memory than before (couldn't verify this, the
                game needed 12 megs to play a 256x256 map before and still
                needs less than 13 megs for a 256x256 map).

03/20/01 - FIX: Fixed a bugs which destroyed the freelist of the
                node_container_t by accident. Cause was a freelist=0
                in the constructor of the node_container while
                freelist is a static member and should not be nulled
                in the constructor.result was a memory leak.
         - CHANGE: Allow putback of node lists in node_container_t. This
                reduces the number of calls to new and delete and should
                be more efficient. It simplifies code and moved two
                implementations to a single source, thus enhancing
                maintainability. The queue_t and Stack classes benefit from
                this feature.
         - FIX: Fixed a memory leak in sound_frame_t. Sliders and labels
                are now data fields of the class instead allocated separately
                on the heap. This way they are automatically freed if the
                frame is deleted.
         - CHANGE: Updated two of my houses, adjusted window sizes and wall
                colors. Added a lamp (lit at night) to one of the houses.

03/19/01 - CHANGE: Some memory management changes started:
                - reduced number of calls to new/delete by reusing
                  node objects (nodes are used in all linked data containers
                  and are allocated/deallocated very frequently
                - changed HNode and KNode (goods routing and vehicle
                  routing) memory management to use freelists.

03/18/01 - CHANGE: Image updates from Trikky and Oskari included
         - CHANGE: Mouse pointer no longer visible during loading,
                saving and while creating a new map. This prevents the
                'footsteps' problem.

03/17/01 - CHANGE: Relative volumes of music/sound adjusted.
         - CHANGE: Sound volume has a wider adjustment range now.

03/15/01 - CHANGE: included Ricks updated images
         - FIX: Event handling problem in options dialog fixed, this fixes
                also event problems in the new savegame slot dialog.
                This also makes the buttons real 'pressable', not
                just 'touchable' as before.

03/14/01 - NEW: MIDI playing routines by Owen Rudge integrated
         - NEW: MIDI volume selector to sound control added
         - FIX: Saving games with Shift-S works again
         - CHANGE: Mouse position update changed, last change had a bug
                introduced

